Mountains = dlg {
	nam = 'Горы';
	pic = 'gfx/00.png';
	enter = function()
		set_music('bgm/DesertWind.mp3');
		p 'После перелета, который вы успешно проспали, пилот высадил вас около домика, небольшого домика глубоко в горах, на который навёл вас пеленгатор. Внутрь вы попали, но Свида тут не оказалось.^-- Чёрт! Ненавижу такое! Как он посмел! Разрушу, смерть! -- Фрэнк, вас начинает реально пугать в этой своей ярости. Другая проблема заключается в том, что только что двоих солдат из вашего отряда разорвала на куски взрывчатка, подложенная Свидом под порог этого самого дома.';
		enemy_life = 25;
		if rnd(2) == 1 then
			Life = Life - rnd(5);
			p 'Вас тоже задело осколками.';
		end;
		p 'Плюс ко всему, какие-то отморозки (Фрэнк решил, что их двое, хотя шум они производят на целый взвод) методично обстреливают дом из базуки. Внезапно настала тишина.^-- Хочешь стать героем, солдат? -- по внутренней связи спросил вас Хорриган.';
		weapon_id();
	end;
	phr = {
		{'Да не особенно.', '-- Что такое, солдат? Трусость?! Иди и прикончи их, иначе я прикончу тебя.^Вам ничего не остаётся как пристрелить этих маньяков, у которых, (хочется верить!) кончились ракеты для базуки.', [[pjump 'next';]]};
		{'Служу Анклаву!', '-- Тогда иди и прикончи этих скотов.^Вам ничего не остаётся как пристрелить этих маньяков, у которых, (хочется верить!) кончились ракеты для базуки.', [[pjump 'next';]]};
		{};
		{tag = 'next', code[[p('Выбраться через заднюю дверь и атаковать с неожиданной стороны. (Скрытность - ', Sneak*10, '%)');]], code[[
			if Sneak >= rnd(10) then
				set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
				p 'Вам удалось незаметно подобраться к первому противнику полностью увлеченному процессом перезарядки базуки и аккуратно пристрелить его. Но вас тут же заставил залечь второй наемник, который открыл беглый огонь по вашей позиции.'; pjump 'second';
			else p 'Ваш неуклюжий маневр был замечен врагом и вы едва успели нырнуть обратно в домик. Остается только попробовать пристрелить этого гада.'; end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать противника. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 5;
			if rnd(10) ~= 0 then
				p 'Отличный выстрел. Судя по вскрику со стороны противника.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Этот подлец еще и отстреливается.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Впрочем броня спасает от серьезных ран.';
				end;
				pon 'Energy_Weapons';
			else
				p 'Наемник убит. Вы выбрались из домика и убедились в этом лично. Но неожиданный выстрел заставил вас залечь. Жив еще один враг.';
				enemy_life = 25;
				pjump 'second';
			end;]]};
		{};
		{tag = 'second', code[[p('Перестреливаться из-за укрытия. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			if rnd(10) ~= 0 then
				p 'Отличный выстрел. Судя по вскрику со стороны противника.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Этот подлец еще и отстреливается.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Впрочем броня спасает от серьезных ран.';
				end;
				pon 'second';
			else
				walk 'Desert';
			end;]]};
		{tag = 'second', 'Бежать.', '-- Что?! - Взревел Френк Хорриган и пошинковал вас своим мощным пулеметом. -- Я не давал команды отступать!', code[[walk 'end1';]]};
	};
};

Desert = dlg {
	nam = 'Пустыня';
	pic = 'gfx/00.png';
	enter = 'Ну, что ж… первые два трупа у вас на счету уже есть. Связавшись с Посейдоном вы получаете сперва приказ «захватить Свида живым», потом после живописного описания вами неразбавленной нецензурной бранью сложившейся вокруг ситуации приказ видоизменился в «растереть Свида в порошок», потом, наконец, в качестве компромиса – захватить его живым, а если он откажется, то ликвидировать.';
	phr = {
		{'Продолжить преследование.', 'Найдя следы Свида, вы отправляетесь в погоню. Через некоторое время беглец с семьёй был настигнут. Тот, сразу видно, жутко нервничает. Он повернулся лицом к вашей изрядно потрёпанной компании.', [[pon 'sw1']]};
		{tag = 'sw1', false, 'Встать рядом с Френком.', 'Вы встали по правую руку от массивного тела Фрэнка, второй солдат встал слева от него.^-- Пойдём со мной, старик. -- просипел Хорриган.^-- Никогда! ^-- Нет, значит нет. -- Не стал настаивать Фрэнк.', [[pon 'sw2']]};
		{tag = 'sw2', false, 'Открыть огонь.', 'Короткая очередь и опасный террорист, убийца и разжигатель войны окончил свои дни в пустыне. Внезапно ваш лидер повернулся и произнёс:^-- Убирайся, тебя это не касается.', [[set_sound('weapon_sounds/'..tostring(weapon)..'.ogg'); pon 'sw3']]};
		{tag = 'sw3', false, 'Оглянуться.', 'Только тут вы замечаете, что всю сцену видел какой-то дикарь в потёртой кожаной броне.^-- Уходим. -- Приказал Френк.^Оглянувшись, вы видите, что туземец пришёл в себя и как раз обыскивает трупы.', [[pon 'sw4']]};
		{tag = 'sw4', false, 'Вернуться к вертибёрду.', 'Сев в вертибёрд, вы летите домой. По прибытии на базу пришлось сдать всё взятое на складе имущество.', [[walk 'Main_corridor']]};
	};
	exit = function()
		armor = 0;
		weapon = '00';
		mission = 5;
		set_music('bgm/Enclave.mp3');
		narkoff(); 
	end;
};

Vanamingo = dlg {
	nam = 'Пустыня';
	pic = 'gfx/00.png';
	enter = function()
		set_music('bgm/DesertWind.mp3');
		p 'Пилот, как и обещал, скинул вниз трос. Под вертибердом бродит пара странных созданий черного цвета и нервно помахивают щупальцами. Создания радиации это, а не пришельцы. Что-то вам не по себе.';
		enemy_life = 150;
		weapon_id();
	end;
	phr = {
--		{'Вернуться на базу в Наварро. (Провал задания)', 'Дело ваше, больше сюда я не полечу.', code[[back();]]};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 13;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Но не смотря на это залитый сукровицей ванаминго поднимается и пытается вас укусить.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
			else
				p 'Ванаминго мертв. Но вдруг из-за спины вы услышали зловещий шорох. К вам подкралась вторая тварь, про которую вы уже и забыли.';
				take 'vanamingo_corpse';
				enemy_life = 150;
				pjump 'second';
				weapon_id();
			end;]]};
		{tag = 'Unarmed', false, 'Атаковать тварей.', 'Вообще это было плохой идеей соваться в рукопашный бой с двумя монстрами, пусть вы и в броне, но это вам не помогло. Удар щупалец свалил вас на землю и сознание померкло.', [[walk(end1);]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать тварь. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Отличный выстрел. Ванаминго пошатнулся.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Тварь резко сократила расстояние и взмахнула щупальцами.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Впрочем броня спасает от серьезных ран.';
				end;
				pon 'Small_Guns';
			else
				p 'Ванаминго мертв. Но вдруг из-за спины вы услышали зловещий шорох. К вам подкралась вторая тварь, про которую вы уже и забыли.';
				take 'vanamingo_corpse';
				enemy_life = 150;
				pjump 'second';
				weapon_id();
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Ванаминго падает от выстрела из вашей бандуры.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Тварь резко сократила расстояние и взмахнула щупальцами.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Ванаминго мертв. Но вдруг из-за спины вы услышали зловещий шорох. К вам подкралась вторая тварь, про которую вы уже и забыли.';
				take 'vanamingo_corpse';
				enemy_life = 150;
				pjump 'second';
				weapon_id();
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Тварь резко сократила расстояние и взмахнула щупальцами.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Ванаминго мертв. Но вдруг из-за спины вы услышали зловещий шорох. К вам подкралась вторая тварь, про которую вы уже и забыли.';
				take 'vanamingo_corpse';
				enemy_life = 150;
				pjump 'second';
				weapon_id();
			end;]]};
		{};
		{tag = 'second'};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 13;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Но не смотря на это залитый сукровицей ванаминго поднимается и пытается вас укусить.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
			else
				p 'Ну, что задача кажется выполнена. Вы вызываете пилота, который все это время кружил неподалеку и тот подобрав вас, летит обратно в Наварро.';
				walk(Navarro);
				set_music('bgm/Navarro.mp3');
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать тварь. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Отличный выстрел. Ванаминго пошатнулся.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Тварь резко сократила расстояние и взмахнула щупальцами.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Впрочем броня спасает от серьезных ран.';
				end;
				pon 'Small_Guns';
			else
				p 'Ну, что задача кажется выполнена. Вы вызываете пилота, который все это время кружил неподалеку и тот подобрав вас, летит обратно в Наварро.';
				walk(Navarro);
				set_music('bgm/Navarro.mp3');
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Ванаминго падает от выстрела из вашей бандуры.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Тварь резко сократила расстояние и взмахнула щупальцами.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Ну, что задача кажется выполнена. Вы вызываете пилота, который все это время кружил неподалеку и тот подобрав вас, летит обратно в Наварро.';
				walk(Navarro);
				set_music('bgm/Navarro.mp3');
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Тварь резко сократила расстояние и взмахнула щупальцами.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Ну, что задача кажется выполнена. Вы вызываете пилота, который все это время кружил неподалеку и тот подобрав вас, летит обратно в Наварро.';
				walk(Navarro);
				set_music('bgm/Navarro.mp3');
			end;]]};
	};
};

Ranger = dlg {
	nam = 'Пустыня';
	pic = 'gfx/00.png';
	enter = function()
		set_music('bgm/DesertWind.mp3');
		p 'Вы спустя некоторое время находите лагерь калифорнийцев. Они явно не ожидают, что в этой пустынной местности кто-то обладает достаточным интеллектом, чтобы за ними следить, поэтому вы можете спокойно за ними наблюдать из укрытия. Двое солдат НКР вооружены штурмовыми винтовками, одеты в боевую кевларовую броню, ведут себя спокойно, алкоголя и наркотиков не видно.';
		enemy_life = 50;
		weapon_id();
	end;
	phr = {
		{tag = 'one', 'Вернуться на базу в Наварро. (Провал задания.)', 'Позорно конечно, но это задание вам не по зубам.', code[[walk(Navarro);]]};
		{tag = 'Speech', code[[p('Поговорить с рейнджерами. (Разговор - ', Speech*10, '%)');]], code[[if Speech >= rnd(10) then p 'Едва вы входите в лагерь калифорнийцев, как два ствола тычутся вам в нос и ещё в правое ухо (что за дурная привычка совать оружием в лицо?).^-- Ты кто? Откуда в пустыне? Зачем пришёл?'; pon 'sp1'; poff 'one'; else p 'Едва вы успели сказать "Хай", как нервный рейнджер нажал на спуковой крючок. Теперь ничего не остается как только сражаться.'; end;]]};
		{tag = 'sp1', false, 'Эй, ребята, сколько вопросов, давайте по одному. Да, убери ты свою палку, я охотник, охочусь на.. э-э-э.. Когтей Смерти, точно!', '-- Да, ты гонишь, бродяга. Дурак что ль? У тебя и оружия толкового нет. Когтей! - Калифорнийцы явно опешили от такого наглого вранья. Надо выкручиваться.', [[pon 'sp2';]]};
		{tag = 'sp2', false, 'Да, ладно, ребята. Я действительно охотник. И честно говоря, я последний охотник из всей нашей экспедиции. Нас было восемь человек, все специалисты, но после нападения целой семьи Когтей, всех съели. У меня ноги быстрые. Меня и взяли-то приманкой быть, Когти меня бы не догнали. И знаете, сдаётся мне, что этот табор Когтей валит прямо сюда по моим следам. Так что, кто живым остаться хочет, тот пусть меня послушает и свалит, а я с вами пойду!', 'Рейнджеры быстро сориентировались в возникшей ситуации:^-- Не-не-не, парень, давай-ка ты на север, а мы на восток в родной город, нам Когти на хвосте ни разу не нужны. Давай, приятель, нам пора. Ты сам говорил, что тебя им не поймать, так что наша защита тебе не нужна.', [[pon 'sp3'; poff 'Unarmed'; poff 'Small_Guns'; poff 'Big_Guns'; poff 'Energy_Weapons';]]};
		{tag = 'sp3', false, 'Эй, ребята?', 'Вас проигнорировали. Не прошло и пяти минут, как рейнджеры НКР собрались и оперативно, постоянно оглядываясь назад, засеменили на восток. А вы, как и было запланировано, отправились на север. Потом вы вернулись, и немного последили за ними, отряд уверенно двигался в восточном направлении. Всё в порядке, задание выполнено.', [[ranger_die = 1; pjump 'ext';]]};
		{tag = 'Unarmed', false, 'Атаковать рейнджеров.', 'Вообще это было плохой идеей бежать открыто к рейнджерам по пустынной местности. Пока вы приблизились рейнджеры нашинковали вас из своих винтовок.', [[walk(end1);]]};
		{tag = 'Unarmed', false, code[[p('Подрасться поближе. (Скрытность - ', Sneak*10, '%)');]], code[[if Sneak >= rnd(10) then p 'Вам удалось незаметно подобраться к лагерю и ударом своего оружие вы сразу вырубаете одного из противников.'; pjump 'second'; else p 'Ваш неуклюжий маневр был замечен рейнджерами и вашу позицию начали методично отстреливать.'; pjump 'run'; end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать рейджеров. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			poff 'sp1'; poff 'sp2'; poff 'sp3';
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Сухой треск ответных выстрелов.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Вы ныряете за камень и только каменная крошка, выбитая пулями, посыпает вас.';
				end;
				pon 'Small_Guns';
			else
				p 'Рейнжеры мертвы. Ну, что задача кажется выполнена. Вы вызываете базу, оттуда прилетает вертиберд и подобрав вас, летит обратно в Наварро.';
				ranger_die = 1;
				walk(Navarro);
				set_music('bgm/Navarro.mp3');
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать рейджеров. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Ваш ствол солидно ухает и со стороны рейнджеров слышны крики боли.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Сухой треск ответных выстрелов.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Вы ныряете за камень и только каменная крошка, выбитая пулями, посыпает вас.';
				end;
				pon 'Big_Guns';
			else
				p 'Рейнжеры мертвы. Ну, что задача кажется выполнена. Вы вызываете базу, оттуда прилетает вертиберд и подобрав вас, летит обратно в Наварро.';
				ranger_die = 1;
				walk(Navarro);
				set_music('bgm/Navarro.mp3');
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать рейджеров. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда и со стороны рейнджеров слышны вопли.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Сухой треск ответных выстрелов.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Вы ныряете за камень и только каменная крошка, выбитая пулями, посыпает вас.';
				end;
				pon 'Energy_Weapons';
			else
				p 'Рейнжеры мертвы. Ну, что задача кажется выполнена. Вы вызываете базу, оттуда прилетает вертиберд и подобрав вас, летит обратно в Наварро.';
				ranger_die = 1;
				walk(Navarro);
				set_music('bgm/Navarro.mp3');
			end;]]};
		{};
		{tag = 'run', code[[p('Попробовать скрыться в пустыне и запутать следы. (Следопыт - ', Outdoorsman*10, '%)');]], code[[if Outdoorsman >= rnd(10) then p 'Вам удалось оторваться от преследования, да похоже не особо вас и преследовали. Сделав круг вы зашли к лагерю с другой стороны.'; pjump 'one'; else p 'Неудача преследует вас. Рейнджеры застигли вас на отрытом месте и расстреляли издалека.'; walk(end1); end;]]};
		{};
		{tag = 'second', code[[p('Атаковать рейджера. (Рукопашная - ', Unarmed*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			if rnd(10) ~= 0 then
				p 'Отличный удар. Рейджер скривился от боли.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, промах.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Рейнджер выстрелил.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Впрочем броня спасает от серьезных ран.';
				end;
				pon 'second';
			else
				p 'Ну, что задача кажется выполнена. Вы вызываете базу, оттуда прилетает вертиберд и тот подобрав вас, летит обратно в Наварро.';
				ranger_die = 1;
				walk(Navarro);
				set_music('bgm/Navarro.mp3');
			end;]]};
		{};
		{tag = 'ext', 'Вернуться в Наварро.', nil, [[walk(Navarro); ways(Navarro):del(Ranger);]]};
	};
};
