-- $Name:Fallout II: По Ту Сторону Баррикад$
-- $Version:1.07$
-- $Name(ru):Fallout II: По Ту Сторону Баррикад$
instead_version "1.8.0"

require 'xact'
require 'hideinv'
require 'para'
require 'dash'
require 'quotes'
require 'timer'
--require 'dbg'

game.codepage="UTF-8";

game.act = 'Не получается.';
game.inv = 'Хм, странная штука.';
game.use = 'Не сработает.';
game.forcedsc = true;

dofile "staff.lua"
dofile "weapon.lua"
dofile "enclave.lua"
dofile "continent.lua"
dofile "navarro.lua"
dofile "den.lua"
dofile "santamaria.lua"
dofile "vault13.lua"
dofile "klamath.lua"
dofile "newreno.lua"
dofile "sanfran.lua"
dofile "gecko.lua"
dofile "vaultcity.lua"
dofile "ncr.lua"
dofile "redding.lua"

global {
	Life = 10;
	MaxLife = 10;
	Moral = 10;
	MaxMoral = 10;
	Exp = 0;
	Rad = 0;
	MaxRad = 10;

	Unarmed = 1; --рукопашная
	Sneak = 1; --скрытность
	Steal = 1; --воровство
	First_Aid = 1; --медицина
	Small_Guns = 1; --легкое оружие
	Big_Guns = 1; --тяжелое оружие
	Energy_Weapons = 1; --энергооружие
	Outdoorsman = 1; --следопыт
	Speech = 1; --разговор
	Gambling = 1; --игра
	Science = 1; --наука
	Repair = 1; --ремонт

	Perk = '';
	Grave = '';
	Point = 10;
	Dollars = 200;
	Gold = 0;
	rank = '';
	weapon = '00';
	damage = 0;
	armor = 0;
	armor_count = 0;
	enemy_life = 0;
	enemy_damage = 0;
--временные эффекты
	epsycho = 0;
	ementat = 0;
	ebuffout = 0;
	ejet = 0;
--квесты Джека
	mission = 0;
--стоимость рабов в Дене
	price_slave = 3000;
--временная переменная количества тыренного голда в Дене
	iGold = 0;
--болтология повара в Наварро
	cook_count = 0;
--квест с рейнджерами в НАварро
	ranger_die = 0;
--Льюис в Арсенале анклава
	lewis = 0;
--Квест с вертибердом в Кламате
	vert_clamat = 0;
	car = 1;
	kerling = 0;
	lloid = 0;
	charlie = 0;
--Квест с гражданством
	sitizen = 0;
--болтология комика в баре Бишопа
	comic = 0;
--Квест Лидии в ГУ
	lidia = 0;
--Квест с саботажниками в Анклаве
	sabotage = 0;
	sab_1 = 0;
	sab_2 = 0;
	sab_3 = 0;
--Поиск Лоры
	search_lora = 0;
--поющий гитарист
	guitar = 0;
--ящик в коридоре Б Анклава
	case = 0;
--Квест мерка с картиной
	merk = 0;
--ЖД станция
	wr = 0;
--квесты шребера
	shreber = 0;
--квест поиск мстителя
	minigan = 0;
};

Form = dlg {
	nam = 'Анкета',
	enter = 'Компьютер предложил вам заполнить анкету.';
	phr = {
		{tag = 'one', 'Ваша особенность.', '-- Можно выбрать только одну особенность.', [[pjump 'perk';]]};
		{tag = 'one', 'Ваши навыки.', '-- У вас есть десять очков, которые свободно можно распределить на умения. Максимальный уровень навыка сейчас равен 5. Далее в процессе выполнения заданий и получения опыта можно будет поднять до 10. Поднять уровень навыка можно заплатив учителю. Можно заглянуть например в тренировочный центр в коридоре D.', [[pjump 'skill';]]};
		{always = true, 'Выключить терминал.', nil, [[rank = 'Рядовой'; back();]]},
		{};
		{tag = 'perk'};
		{'Оптимист - +10 к максимуму морали, -5 к максимуму здоровья.','Принято.', [[MaxMoral = MaxMoral + 10; MaxLife = MaxLife - 5; Perk = 'Оптимист'; pjump 'one';]]},
--		{'Однорукий - Вы плохо стреляете из двуручного оружия, но хорошо владеете оружием требующим для использования одну руку. +1 к умению стрелять при использовании одноручного оружия, -1 к боевому навыку при стрельбе из двуручного.','Принято.', [[Perk = 'Однорукий'; pjump 'one';]]},
		{'Алкоголик - Вы много времени проводите в барах и бармены сразу узнают постоянного клиента. Поэтому иногда вы можете рассчитывать на скидку или совет.','Принято.', [[Perk = 'Алкоголик'; take 'gin'; pjump 'one';]]},
--		{'Метаболизм - Вы можете использовать все наркотические, лекарственные и прочие препараты только непосредственно перед боем, зато вы получаете полный иммунитет к яду и радиации.','Принято.', [[Perk = 'Метаболизм'; pjump 'one';]]},
--		{'Милашка - Вы просто уси-пуси, а раз так, получите +1 к разговору при общении с женским полом, но -1 к разговору при общении с мужским.','Принято.', [[Perk = 'Милашка'; pjump 'one';]]},
--		{'Пацифист - Вы получаете бонус +1 к навыкам красться, взлом, следопыт, наука, ремонт, речь и игра (при этом максимум навыков возрастает до шести!), зато получаете -1 к рукопашному бою и всем видам оружия. Помните, если ваш навык стрельбы ниже единицы, оружие использовать вы не сможете. Максимум у боевых навыков становится равным четырём.','Принято.', [[Perk = 'Пацифист'; pjump 'one';]]},
--		{'Гений - Взяв этот перк вы можете потратить на повышение параметров на 2 единицы меньше в самом начале игры, но при каждом получении нового перка вместо прибавления единицы к максимумам жизней и морали вы получаете в два раза больше очков.','Принято.', [[Perk = 'Гений'; pjump 'one';]]},
--		{'Быстрый стрелок - Вы стреляете раньше, чем успеваете прицелиться, поэтому можете атаковать два раза за ход из одноручного оружия в вашей правой руке, но критические попадания для вас становятся навсегда несбыточной мечтой.','Принято.', [[Perk = 'Быстрый стрелок'; pjump 'one';]]},
--		{'Камикадзе - Вы не любите носить броню, зато ваш навык рукопашного боя и максимум здоровья увеличены.','Принято.', [[Perk = 'Камикадзе'; MaxLife = MaxLife + 20; Unarmed = Unarmed + 1; pjump 'one';]]},
--		{'Адреналин - Когда ваша мораль на нуле, увеличьте свою силу на единицу.','Принято.', [[Perk = 'Адреналин'; pjump 'one';]]},
		{'Забияка - Вы любитель подраться, поэтому ваш рукопашный бой получает +1, но за драками в барах вы совсем забыли про чтение и ваша наука получает -1.','Принято.', [[Perk = 'Забияка'; Unarmed = Unarmed + 1; Science = Science - 1; pjump 'one';]]},
		{'Клептоман - Вы частенько заглядывали в чужие шкафчики, поэтому ваш навык воровства получает +1, но пару раз вас за этим занятием ловили и ваш максимум здоровья получает -5.','Принято.', [[Perk = 'Клептоман'; Steal = Steal + 1; MaxLife = MaxLife - 5; pjump 'one';]]},
--		{'Библиофил - При чтении книги есть 50% шанс улучшить случайный навык на 1.','Принято.', [[Perk = 'Библиофил';  pjump 'one';]]},
		{'Медбрат - Вы раньше подрабатывали в медпункте. Навык медицины увеличен на 1.','Принято.', [[Perk = 'Медбрат'; First_Aid = First_Aid + 1; pjump 'one';]]},
		{'Призрак - Вы умеете скрываться в тенях. Особенно этот навык пригождался, когда ваш бывший начальник искал кого-нибудь для срочной работы. Навык скрытности увеличен на 1.','Принято.', [[Perk = 'Призрак'; Sneak = Sneak + 1; pjump 'one';]]},
		{'Оратор - Люди верят вам и вы можете уговорить их на многое. Ваш навык разговора увеличен. Но привычка пользоваться чужими руками не привела к добру, ваш навык ремонта получает -1.','Принято.', [[Perk = 'Оратор'; Speech = Speech + 1; Repair = Repair - 1; pjump 'one';]]},
		{'Да и без перков норм же.','Принято.', [[pjump 'one';]]},
		{};
		{tag = 'skill'};
		{always = true, code[[p ('Рукопашная -- ', Unarmed, '. Добавить?');]], code[[if Point > 0 and Unarmed < 5 then Unarmed = Unarmed + 1; Point = Point - 1; p ('Принято, осталось свободных очков ', Point); else p 'Достигнут максимум навыка или закончились свободные очки.'; end;]]},
		{always = true, code[[p ('Скрытность -- ', Sneak, '. Добавить?');]], code[[if Point > 0 and Sneak < 5 then Sneak = Sneak + 1; Point = Point - 1; p ('Принято, осталось свободных очков ', Point); else p 'Достигнут максимум навыка или закончились свободные очки.'; end;]]},
		{always = true, code[[p ('Воровство -- ', Steal, '. Добавить?');]], code[[if Point > 0 and Steal < 5 then Steal = Steal + 1; Point = Point - 1; p ('Принято, осталось свободных очков ', Point); else p 'Достигнут максимум навыка или закончились свободные очки.'; end;]]},
		{always = true, code[[p ('Медицина -- ', First_Aid, '. Добавить?');]], code[[if Point > 0 and First_Aid < 5 then First_Aid = First_Aid + 1; Point = Point - 1; p ('Принято, осталось свободных очков ', Point); else p 'Достигнут максимум навыка или закончились свободные очки.'; end;]]},
		{always = true, code[[p ('Легкое оружие -- ', Small_Guns, '. Добавить?');]], code[[if Point > 0 and Small_Guns < 5 then Small_Guns = Small_Guns + 1; Point = Point - 1; p ('Принято, осталось свободных очков ', Point); else p 'Достигнут максимум навыка или закончились свободные очки.'; end;]]},
		{always = true, code[[p ('Тяжелое оружие -- ', Big_Guns, '. Добавить?');]], code[[if Point > 0 and Big_Guns < 5 then Big_Guns = Big_Guns + 1; Point = Point - 1; p ('Принято, осталось свободных очков ', Point); else p 'Достигнут максимум навыка или закончились свободные очки.'; end;]]},
		{always = true, code[[p ('Энергооружие -- ', Energy_Weapons, '. Добавить?');]], code[[if Point > 0 and Energy_Weapons < 5 then Energy_Weapons = Energy_Weapons + 1; Point = Point - 1; p ('Принято, осталось свободных очков ', Point); else p 'Достигнут максимум навыка или закончились свободные очки.'; end;]]},
		{always = true, code[[p ('Следопыт -- ', Outdoorsman, '. Добавить?');]], code[[if Point > 0 and Outdoorsman < 5 then Outdoorsman = Outdoorsman + 1; Point = Point - 1; p ('Принято, осталось свободных очков ', Point); else p 'Достигнут максимум навыка или закончились свободные очки.'; end;]]},
		{always = true, code[[p ('Разговор -- ', Speech, '. Добавить?');]], code[[if Point > 0 and Speech < 5 then Speech = Speech + 1; Point = Point - 1; p ('Принято, осталось свободных очков ', Point); else p 'Достигнут максимум навыка или закончились свободные очки.'; end;]]},
		{always = true, code[[p ('Игра -- ', Gambling, '. Добавить?');]], code[[if Point > 0 and Gambling < 5 then Gambling = Gambling + 1; Point = Point - 1; p ('Принято, осталось свободных очков ', Point); else p 'Достигнут максимум навыка или закончились свободные очки.'; end;]]},
		{always = true, code[[p ('Наука -- ', Science, '. Добавить?');]], code[[if Point > 0 and Science < 5 then Science = Science + 1; Point = Point - 1; p ('Принято, осталось свободных очков ', Point); else p 'Достигнут максимум навыка или закончились свободные очки.'; end;]]},
		{always = true, code[[p ('Ремонт -- ', Repair, '. Добавить?');]], code[[if Point > 0 and Repair < 5 then Repair = Repair + 1; Point = Point - 1; p ('Принято, осталось свободных очков ', Point); else p 'Достигнут максимум навыка или закончились свободные очки.'; end;]]},
		{always = true, 'Завершить.', 'Ок.', [[ pjump 'one';]]},
	},
};

end1 = room {
	nam = 'Конец';
	pic = 'gfx/20.jpg';
	hideinv = true;
	dsc = 'Непродуманно и очень глупо. Смерть ваша была неизбежной. Теперь только ваши кости белеют под солнцем Калифорнии.';
};

end2 = room {
	nam = 'Конец';
	pic = 'gfx/20.jpg';
	hideinv = true;
	dsc = 'Вы потерпели поражение. Если бы использовали иногда возможность подлечиться или поесть, то ваша жизнь длилась бы дольше.';
};

levelup = function()
	MaxLife = MaxLife + 1;
	MaxMoral = MaxMoral + 1;
	p 'Вы узнали что-то новое.';
end;

About = room {
	nam = 'Об игре';
	hideinv = true;
	pic = 'gfx/00.png';
	dsc = 'Данная игра является фанфиком на игру Fallout 2, разработанной Black Isle Studios в 1998 году. Вернее даже это римейк фанфика на игру Fallout 2. Основой данной игры послужило произведение Дениса Морозова (danner@hotmail.ru) в жанре книги-игры, написанное в 2007 году. Эту книгу вы без проблем можете найти на сайте quest-book.ru например.^Данная же игра - это весьма переработанный вариант и от книгры Дениса осталось не так много: основная сюжетная линия и остатки ролевой системы.^^В игре используются музыка Марка Моргана и несколько оригинальных изображений из Fallout 2. Также использованы некоторые изображения из гугла и девиантарта.^^Данная игра по весьма очевидным причинам не может быть использована для коммерческого распространения. Тем не менее если кто-то хочет закинуть пару рублей на киви-кошелек (9066374668), то против я не буду.^^Контакты: arsche@jabber.ru, yatopor@gmail.com^^^Большое спасибо всем игрокам-тестерам: Misha и Berkut с fallout.ru, Diz100rM за подробный багрепорт, jmaks за очень подробный багрепорт, а особенно v.v.b. за нахождение кучи очепяток и ценные предложения по геймплею.';
	way = {vroom('Вернуться', 'main')};
};

end10 = room {
	nam = 'Конец';
	pic = 'gfx/20.jpg';
	hideinv = true;
	dsc = 'Вы успешно добрались до главного выхода и присоединились к отряду бойцов Анклава, как тут из коридора вылезла разношерстная армия. Пара человек в силовой броне, с гауссками и импульсными ружьями, робопес, смертекогть и даже супермутант. Все отбросы в одной куче. Вы огребли первым и пуля из гаусски разбила ваш шлем. В оглушенном состоянии вы видели как отряд вторжения расправился с лучшими бойцами Анклава и ушел дальше к Френку Хорригану. Уж он то задаст им жару. Впрочем этого вы уже не увидели.';
};

end11 = room {
	nam = 'Конец';
	pic = 'gfx/20.jpg';
	hideinv = true;
	dsc = 'Вы успешно добрались до бара и нашли много выпивки. Впрочем особо эта выпивка не помогла, ровно через четырнадцать с половиной минут вышка Анклава расщепилась на очень мелкие кусочки ядерным взрывом и вы вместе с ней.';
};

end12 = room {
	nam = 'Конец';
	pic = 'gfx/00.png';
	hideinv = true;
	dsc = 'Вы успешно добрались до причала и отплыли. Едва лодка отчалила как мимо вас прошел огромный ржавый танкер и чуть не перевернул моторку. А следом вышка анклава засветилась как тысяча солнц и волна от взрыва, несомненно ядерного, накрыла лодку. Анклава больше не существует. В подавленном состоянии вы и десяток человек в этой лодке добрались до Наварро, где нашли только руины и трупы. Часть уплыла на лодке в Сан-Франциско. Среди оставшихся к счастью нашелся пилот. На чудом неповрежденном вертибёрде вы улетели в Нью-Рено. Там вы сколотили банду известную как "Оставшиеся" и попортили еще немало крови Братству Стали. Ведь вы были уверены, что уничтожение Анклава их грязных лап дело.';
};