Redding = room {
	nam = 'Реддинг';
	pic = 'gfx/58.png';
	enter = function()
		set_music('bgm/Redding.mp3');
	end;
	dsc = 'Вы попали в Реддинг, небольшой грязный шахтёрский городок.';
	way = {'Redcasino', 'Malamut', 'manager_of_caravans', 'last_breath', vroom('Госпиталь', 'doctor_Johnson'), 'Molerat_Mambo'};
};

Redcasino = dlg {
	nam = 'Казино';
	pic = 'gfx/59.png';
	phr = {
		{always = true, code[[p('Играть в покер. (Игра - ', Gambling*10, '%).');]], code[[if Gambling >= rnd(10) and Gold >= 500 and Moral > 0 then
			p 'Выигрыш. Вы сгребаете деньги со стола.';
			Gold = Gold + 500;
		elseif Moral > 0 and Gold >= 500 then
			Moral = Moral - 1;
			p 'Эх непруха, карта не идет.';
			Gold = Gold - 500;
		elseif Moral == 0 then
			p 'Пойду подкреплюсь и вернусь со свежими силами.';
		elseif Gold < 500 then 
			p 'Продулся почти в ноль, не хватает золота для ставки. Похоже пора уходить.';
		end; pon 'game2';]]};
		{always = true, 'Выйти на улицу.', nil, [[back();]]};
	};
};

Malamut = dlg {
	nam = 'Салун Маламут';
	pic = 'gfx/60.png';
	enter = function()
		p 'Едва вы вошли как кто-то сбил вас с ног и вы получили несколько чуствительных ударов по голове.';
		Life = Life - rnd(3);
		if Life < 0 then Life = 1; end;
		enemy_life = 20;
	end;
	phr = {
		{always = true, code[[p('Вдарить в ответ. (Рукопашная - ', Unarmed*10, '%).');]], code[[if Unarmed >= rnd(10) and Moral > 0 then
			p 'Эхх, размахнись рука. Чьи-то зубы полетели в сторону.';
			enemy_life = enemy_life - rnd(3);
			if enemy_life < 0 then p 'Кажется вы победили всех, кто-то стонет, кто-то пытается подняться. Вы забираете из бара чудом уцелевшую бутылку джина и сваливаете пока эти ребята не очухались и не начали все по новой.';
				take 'gin';
				Exp = Exp + 350;
			end;
		elseif Moral > 0 then
			Moral = Moral - 1;
			Life = Life - 1;
			if Life == 0 then walk(end2); end;
			p 'Ух, удар в ребра выбивает из вас дыхание.';
		elseif Moral == 0 then
			p 'Пойду подкреплюсь и вернусь со свежими силами.';
		end; pon 'game2';]]};
		{always = true, 'Выползти на улицу.', nil, [[back();]]};
	};
};

manager_of_caravans = dlg {
	nam = 'Менеджер караванов';
	pic = 'gfx/61.png';
	enter = function()
		p '-- Эй привет, хочешь наняться в охрану каравана?';
	end;
	phr = {
		{'А сколько платят?', '-- Сразу к делу, наш человек. Плата 200 золотых баксов в любую сторону.', [[pon 'two';]]};
		{tag = 'two'; false, 'А куда идем?', '-- В Кламат за шкурами, в Нью-Рено за наркотой, в НКР за оружием. Еще бывает в Модок за мясом и зерном ходим, но у них засуха и неурожай. Выбирай, ни один из караванщиков не откажется от дополнительного бойца с хорошей пушкой.', [[pon 'three';]]};
		{tag = 'three'; false, 'В Кламат.', nil, [[pon 'three'; walk(to_klamath);]]};
		{tag = 'three'; false, 'В Нью-Рено.', nil, [[pon 'three'; walk(to_newreno);]]};
		{tag = 'three'; false, 'В НКР.', nil, [[pon 'three'; walk(to_ncr);]]};
		{always = true, 'Вернуться на улицу.', nil, [[back();]]};
	};
};

to_klamath = dlg {
	nam = 'Путь в Кламат';
	pic = 'gfx/00.png';
	enter = function()
		local i = rnd(3);
		if i == 1 then p 'Вы вышли из Реддинга с караваном и пару дней прошли без проблем. Но тут из темной пещеры вылезли радскорпионы. Зловеще шипя они приближаются.';
			enemy_life = 75;
			weapon_id();
			pjump 'one';
		elseif i == 2 then  p 'Вы вышли из Реддинга с караваном и пару дней прошли без проблем. Но тут откуда-то выскочили рабовладельцы. Время надрать кому-то зад.';
			enemy_life = 50;
			weapon_id();
			pjump 'two';
		elseif i == 3 then p 'По пути в Кламат вы стретили в пустыне сталкера. Это один из тех чокнутых парней, что ищут приключений в радиоактивных развалинах и старых военных базах.';
			pjump 'three';
		end;
	end;
	phr = {
--радскорпионы
		{tag = 'one'};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 5;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Оглушенные радскорпионы затоптались на месте, но быстро пришли в себя, снова ползут к вам и атакуют жалом.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
			else
				p 'Отлично, оба скорпиона сдохли наконец. Можно продолжать путь. Через день вы пришли в Кламат. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'tail';
				walk(Klamath);
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Вы бьете скорпиона прямо в морду.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;
			]], code[[
			if enemy_life > 0 then
				p 'Скорпион кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, оба скорпиона сдохли наконец. Можно продолжать путь. Через день вы пришли в Кламат. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'tail';
				walk(Klamath);
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Скорпион кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, оба скорпиона сдохли наконец. Можно продолжать путь. Через день вы пришли в Кламат. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'tail';
				walk(Klamath);
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Скорпион кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, оба скорпиона сдохли наконец. Можно продолжать путь. Через день вы пришли в Кламат. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'tail';
				walk(Klamath);
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Скорпион кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, оба скорпиона сдохли наконец. Можно продолжать путь. Через день вы пришли в Кламат. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'tail';
				walk(Klamath);
			end;]]};
--рабовладельцы			
		{tag = 'two'};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 5;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Пара рабовладельцев упала и не поднялась.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
			else
				p 'Отлично, все рабовладельцы сдохли наконец. Можно продолжать путь. Через день вы пришли в Кламат. Пора оставить этот караван и заняться своими делами.';
				take 'beer';
				Exp = Exp + 50;
				walk(Klamath);
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Вы бьете ближайшего рабовладельца прямо в татуированную морду.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;
			]], code[[
			if enemy_life > 0 then
				p 'Рабовладелец бьет в ответ копьем.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, все рабовладельцы сдохли наконец. Можно продолжать путь. Через день вы пришли в Кламат. Пора оставить этот караван и заняться своими делами.';
				take 'beer';
				Exp = Exp + 50;
				walk(Klamath);
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Рабовладелец бьет в ответ копьем.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, все рабовладельцы сдохли наконец. Можно продолжать путь. Через день вы пришли в Кламат. Пора оставить этот караван и заняться своими делами.';
				take 'beer';
				Exp = Exp + 50;
				walk(Klamath);
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Рабовладелец бьет в ответ копьем.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, все рабовладельцы сдохли наконец. Можно продолжать путь. Через день вы пришли в Кламат. Пора оставить этот караван и заняться своими делами.';
				take 'beer';
				Exp = Exp + 50;
				walk(Klamath);
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Рабовладелец бьет в ответ копьем.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, все рабовладельцы сдохли наконец. Можно продолжать путь. Через день вы пришли в Кламат. Пора оставить этот караван и заняться своими делами.';
				take 'beer';
				Exp = Exp + 50;
				walk(Klamath);
			end;]]};
--сталкер
			{tag = 'three'};
			{tag = 'stels', 'Купить Стелс-бой - 1000 золота.', code[[
				if Gold > 1000 and Sneak < 10 then Sneak = Sneak + 1; Gold = Gold - 1000; p '-- Эта штука увелит твою незаметность, чувак..';
				elseif Gold < 1000 then p '-- Маловато у тебя монет. Нужно больше.'; pon 'stels';
				else p 'Я и так уже самый скрытный и незаметный.'; end;]]};
			{tag = 'cola', 'Купить Нюка-колы – 20 золота.', code[[
				if Gold > 20 and not have 'nuke_cola' then take 'nuke_cola'; Gold = Gold - 20; p '-- Настоящая довоенная, чувак.';
				elseif Gold < 20 then p '-- Маловато у тебя монет. Нужно больше.'; pon 'cola';
				else p 'Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
			{tag = 'stim', 'Купить Стимпак – 120 золота.', code[[
				if Gold > 120 and not have 'stimpack' then take 'stimpack'; Gold = Gold - 120; p '-- Настоящая химия прямо со склада, чувак.';
				elseif Gold < 120 then p '-- Маловато у тебя монет. Нужно больше.'; pon 'stim';
				else p 'У меня уже есть стимпак.'; end;]]};
			{tag = 'dro', 'Дробовик – 700 золотых.', code[[
				if Gold >= 700 and tonumber(weapon) < 11 then weapon = '11'; damage = 22; Gold = Gold - 700; p '-- Держи, чувак.';
				elseif Gold < 700 then p '-- Маловато у тебя монет. Нужно больше.'; pon 'dro';
				else p 'Зачем мне этот хлам, у меня ствол получше.'; end;]]};
			{always = 'true', 'Продолжить путь.', 'И через пару дней вы дошли до Кламата.', [[walk(Klamath)]]};
	};
};

to_newreno = dlg {
	nam = 'Путь в Нью-Рено';
	pic = 'gfx/00.png';
	enter = function()
		local i = rnd(3);
		if i == 1 then p 'Вы вышли из Реддинга с караваном и пару дней прошли без проблем. Но тут из-за пригорка вылез кентавр Апдайка. Скуля и подвывая он быстро ползет к вам.';
			enemy_life = 75;
			weapon_id();
			pjump 'one';
		elseif i == 2 then  p 'Вы вышли из Реддинга с караваном и пару дней прошли без проблем. Но тут откуда-то выскочили якудза. Черт, Япония ведь затонула двести лет назад.';
			enemy_life = 50;
			weapon_id();
			pjump 'two';
		elseif i == 3 then p 'Вы встретили автомобиль. Хм, это старый Highwayman, где-то я уже его видел. Из машины вылезла странная компания: горбатый урод, кутающийся в коричневую накидку, супермутант и робомозг. Как они только там помещались все? Главарь тем временем подошел к главе каравана и предложил поменять пару стволов и пачку патронов на золото. Сделка успешно свершилась и компания укатила на своей тачке. И к лучшему. Отвратительные типы. Хм, а что же за стволы притащил этот тип, надо глянуть у главного караванщика.';
			pjump 'three';
		end;
	end;
	phr = {
--кентавр
		{tag = 'one'};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 5;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Оглушенный кентавр остановился на минуту, но рывком приблизился и укусил.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Только обслюнявил броню!';
				end;
			else
				p 'Отлично, кентавр сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				Rad = Rad + rnd(3);
				walk(NewReno);
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Вы бьете кентавра прямо в морду. Одну из морд.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;
			]], code[[
			if enemy_life > 0 then
				p 'Кентавр кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, кентавр сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				Rad = Rad + rnd(3);
				walk(NewReno);
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Кентавр кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, кентавр сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				Rad = Rad + rnd(3);
				walk(NewReno);
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Кентавр кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, кентавр сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				Rad = Rad + rnd(3);
				walk(NewReno);
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Кентавр кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, кентавр сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				Rad = Rad + rnd(3);
				walk(NewReno);
			end;]]};
--якудза			
		{tag = 'two'};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 5;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Но якудза не отступают.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
			else
				p 'Отлично, все якудза сдохли наконец. Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.';
				take 'beer';
				Exp = Exp + 50;
				walk(NewReno);
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Вы бьете ближайшего якудза прямо в челюсть.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;
			]], code[[
			if enemy_life > 0 then
				p 'Якудза кидает сурикены.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, все якудза сдохли наконец. Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.';
				take 'beer';
				Exp = Exp + 50;
				walk(NewReno);
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Якудза кидает сурикены.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, все якудза сдохли наконец. Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.';
				take 'beer';
				Exp = Exp + 50;
				walk(NewReno);
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Якудза кидает сурикены.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, все якудза сдохли наконец. Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.';
				take 'beer';
				Exp = Exp + 50;
				walk(NewReno);
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Якудза кидает сурикены.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, все якудза сдохли наконец. Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.';
				take 'beer';
				Exp = Exp + 50;
				walk(NewReno);
			end;]]};
--хайвеймен
			{tag = 'three'};
			{tag = 'dro', 'Дробовик – 700 золотых.', code[[
				if Gold >= 700 and tonumber(weapon) < 11 then weapon = '11'; damage = 22; Gold = Gold - 700; p '-- Ну забирай, раз тебе этот ствол так нужен.';
				elseif Gold < 700 then p '-- Маловато у тебя монет. Нужно больше.'; pon 'dro';
				else p 'Зачем мне этот хлам, у меня ствол получше.'; end;]]};
			{tag = 'sn', 'Снайперская винтовка – 900 золотых.', code[[
				if Gold >= 900 and tonumber(weapon) < 16 then weapon = '16'; damage = 34; Gold = Gold - 900; p '-- Ну забирай, раз тебе так этот ствол нужен.';
				elseif Gold < 900 then p '-- Маловато у тебя монет. Нужно больше.'; pon 'sn';
				else p 'Зачем мне этот хлам, у меня ствол получше.'; end;]]};
			{always = 'true', 'Продолжить путь.', 'И через пару дней вы дошли до Нью-Рено.', [[walk(NewReno)]]};
	};
};

to_ncr = dlg {
	nam = 'Путь в НКР';
	pic = 'gfx/00.png';
	enter = function()
		local i = rnd(3);
		if i == 1 then p 'Вы вышли из Реддинга с караваном и пару дней прошли без проблем. Но тут из-за пригорка вылез смертекогть. Он быстро бежит к вам.';
			enemy_life = 75;
			weapon_id();
			pjump 'one';
			if have 'tranquilizer' then pon 'trank'; end;
		elseif i == 2 then  p 'Вы вышли из Реддинга с караваном и пару дней прошли без проблем. Но тут откуда-то появился патруль супермутантов.';
			enemy_life = 100;
			weapon_id();
			pjump 'two';
		elseif i == 3 then p 'На четвертый день пути вы сбились с дороги и забрели в какие-то радиоактивные развалины. Впрочем доза небольшая, а дорога вскоре снова нашлась.';
			pjump 'three';
			Rad = Rad + rnd(5);
		end;
	end;
	phr = {
--смертекогть
		{tag = 'one'};
		{tag = 'trank', false, 'Использовать транквилизатор.', 'Вы сумели воткнуть шприц в тело смертекогтя, тот взвыл и обмяк. Есть трофей. Только тащить теперь его, тяжелая скотина.^Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.', [[remove('tranquilizer', me); take 'dc_corpse'; Exp = Exp + 50; walk(NCR);]]};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 5;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Оглушенный смертекогть остановился на минуту, но рывком приблизился и взмахнул когтями.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Промахнулся!';
				end;
			else
				p 'Отлично, смертекогть сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Новую Калифорнийскую Республику. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'jaw';
				walk(NCR);
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Вы бьете смертекогтя прямо по рогам.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;
			]], code[[
			if enemy_life > 0 then
				p 'Смертекогть кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, смертекогть сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Новую Калифорнийскую Республику. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'jaw';
				walk(NCR);
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, смертекогть сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Новую Калифорнийскую Республику. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'jaw';
				walk(NCR);
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, смертекогть сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Новую Калифорнийскую Республику. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'jaw';
				walk(NCR);
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, смертекогть сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Новую Калифорнийскую Республику. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'jaw';
				walk(NCR);
			end;]]};
--супермутанты			
		{tag = 'two'};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 5;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Но это не остановило супермутантов.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
			else
				p 'Отлично, все супермутанты сдохли наконец. Можно продолжать путь. Через день вы пришли в Новую Калифорнийскую Республику. Пора оставить этот караван и заняться своими делами.';
				take 'gin';
				Exp = Exp + 50;
				walk(NCR);
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Вы бьете ближайшего супермутанта прямо в зеленую харю.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;
			]], code[[
			if enemy_life > 0 then
				p 'Супермутант жарит огнеметом.';
				if rnd(2) == 1 then
					p 'Вас слегка зацепило. Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, все супермутанты сдохли наконец. Можно продолжать путь. Через день вы пришли в Новую Калифорнийскую Республику. Пора оставить этот караван и заняться своими делами.';
				take 'gin';
				Exp = Exp + 50;
				walk(NCR);
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Супермутант жарит огнеметом.';
				if rnd(2) == 1 then
					p 'Вас слегка зацепило. Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, все супермутанты сдохли наконец. Можно продолжать путь. Через день вы пришли в Новую Калифорнийскую Республику. Пора оставить этот караван и заняться своими делами.';
				take 'gin';
				Exp = Exp + 50;
				walk(NCR);
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Супермутант жарит огнеметом.';
				if rnd(2) == 1 then
					p 'Вас слегка зацепило. Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, все супермутанты сдохли наконец. Можно продолжать путь. Через день вы пришли в Новую Калифорнийскую Республику. Пора оставить этот караван и заняться своими делами.';
				take 'gin';
				Exp = Exp + 50;
				walk(NCR);
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Супермутант жарит огнеметом.';
				if rnd(2) == 1 then
					p 'Вас слегка зацепило. Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, все супермутанты сдохли наконец. Можно продолжать путь. Через день вы пришли в Новую Калифорнийскую Республику. Пора оставить этот караван и заняться своими делами.';
				take 'gin';
				Exp = Exp + 50;
				walk(NCR);
			end;]]};
			{tag = 'three'};
			{always = 'true', 'Продолжить путь.', 'И через пару дней вы дошли до Новой Калифорнийской Республики.', [[walk(NCR)]]};
	};
};

last_breath = dlg {
	nam = 'Бар "Последний Вздох"';
	pic = 'gfx/62.png';
	enter = function()
		p 'Вы заходите в странное помещение, заставленное гробами, и вполне вероятно, не пустыми гробами. Здесь всего один посетитель, да и тот какой-то не бодрый.^-- Чем могу служить? -- Произносит замогильным голосом бармен.';
		if Perk == 'Алкоголик' then pon 'alk'; end;
	end;
	phr = {
		{always = true, 'Пиво – 15 золота.', code[[
			if Gold >= 15 and not have 'beer' then take 'beer'; Gold = Gold - 15; p '-- Держи.';
			elseif Gold < 15 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Радиоджин – 25 золота.', code[[
			if Gold >= 25 and not have 'radgin' then take 'radgin'; Gold = Gold - 25; p '-- Держи.';
			elseif Gold < 25 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{tag = 'alk', false, 'Джин – 25 золотых', code[[
			if Gold >= 25 and not have 'gin' then take 'gin'; Gold = Gold - 25; p '-- Много не пей, парниша.';
			elseif Gold < 25 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Мутированный плод – 7 золота.', code[[
			if Gold >= 7 and not have 'fruit' then take 'fruit'; Gold = Gold - 7; p '-- Любишь фрукты? Ха-ха.';
			elseif Gold < 7 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Прожуй сначала что есть.'; end;]]};
		{tag = 'gr', 'Фирменный коктейль "Хочу в могилу" - 5 золота.', code[[
			if Gold >= 5 then Gold = Gold - 5; p '-- Ты действительно настолько безумен, что хочешь это выпить? Ну тогда пей!'; pon 'gr1';
			elseif Gold < 5 then p '-- Маловато у тебя монет. Нужно больше.'; pon 'gr';
			end;]]};
		{tag = 'gr1', false, 'Выпить стакан подозрительной коричневой жидкости.', 'Собрав волю в кулак, вы глотаете содержимое стакана. В течение нескольких последующих минут, вы понимаете устройство вселенной, осознаёте ограниченность человека и внутреннюю гармонию всего сущего, после чего решаете в уме Великую Теорему Ферма простым перебором и в изнеможении падаете на пол. Впрочем вскоре вы очнулись.^-- Я настаиваю эту штуку на костях, потом двойная перегонка.. -- Что-то продолжал бубнить бармен.', [[Life = 1; Moral = 1; if Science < 10 then Science = Science + 1; end;]]};
		{always = true, 'Отойти от стойки.', nil, [[back();]]};
	};
};

doctor_Johnson = dlg {
	nam = 'Доктор "Наркоз" Джонсон';
	pic = 'gfx/63.png';
	enter = function()
		p 'Перед вами док "Наркоз" Джонсон, практикующий врач города Реддинга.^-- Здравствуйте, я док Джонсон, и по моему профессиональному мнению вы выглядите не совсем здоровым. Вас подлатать?';
		if shreber == 1 then pon 'dc'; end;
	end;
	phr = {
		{always = true, 'Лечение - 150 золота.', code[[if Life < MaxLife and Gold >= 150 then p '-- Теперь ты в порядке, проваливай отсюда.'; Life = MaxLife; Rad = 0; Gold = Gold - 150; elseif Life == MaxLife then p '-- Ты и так здоров как бык.'; else p '-- Извините. Без денег не обслуживаю. Я же не могу раздавать медикаменты всем, кто просит. Я бы за неделю разорился. Приходите, когда у вас будут деньги на оплату моего гонорара.'; end; pon 'med';]]};
		{'А почему вас зовут "Наркоз"?', '-- Потому что мои больные обычно теряют сознание раньше, чем успевают очень уж сильно закричать. Это такая шутка.'};
		{'Я просто любопытствую, что происходит в городе.', '-- В последнее время шахтеры ничего не делают, только ширяются. Почти никто не добывает золото. Я волнуюсь, что Нью-Рено просто захватит этот город. Если бы только был способ остановить эту волну наркомании.'};
		{tag = 'dc', false, 'Доктор, есть одна проблема. Мой знакомый медик занимается исследованиями физиологии смертекогтей и они во время исследований весьма громко шумят.', '-- Намордник. Очень просто, нужно сделать намордник из крепкой кожи, с того же когтя и нарезать, и надеть ему на пасть. Звук будет намного тише.', [[shreber = 2; Exp = Exp + 100;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

Molerat_Mambo = dlg {
	nam = 'Бои кротокрыс';
	pic = 'gfx/64.png';
	enter = function()
		p 'Под открытым небом стоят клетки с кротокрысами и небольшая огороженная арена.';
		if visits() == 0 then p '-- Эй, парень, хочешь сделать ставку?'; end;
	end;
	phr = {
		{'А что за бойцы и какие ставки?', 'Сейчас будет бой той кротокрысы с подпалиной, это "Счастливчик" и та кротокрыса с половиной уха, это "Троглодит".', [[pon 'one';]]};
		{tag = 'one', false, 'Сделать ставку 100 золота на "Счастливчика".', 'Вы отдаете деньги и устраиваетесь рядом с площадкой. Под крики шахтеров кротокрыс выпустили на арену. Троглодит сразу вцепился в противника и кротокрысы слились в один серый ком.', [[if rnd(2) == 1 then p 'Наконец клубок расцепился. На песке остался лежать Счастливчик. Проклятье, проиграл золото.'; Gold = Gold - 100; else p 'Счастливчик лапами вспарывает брюхо Троглодиту.^Ха. Где там мое золотишко?'; Gold = Gold + 100; end; poff 'one'; Exp = Exp + rnd(20);]]};
		{tag = 'one', false, 'Сделать ставку 100 золота на "Троглодита".', 'Вы отдаете деньги и устраиваетесь рядом с площадкой. Под крики шахтеров кротокрыс выпустили на арену. Троглодит сразу вцепился в противника и кротокрысы слились в один серый ком.', [[if rnd(2) == 1 then p 'Счастливчик лапами вспарывает брюхо Троглодиту.^Проклятье, проиграл золото.'; Gold = Gold - 100; else p 'Наконец клубок расцепился. На песке остался лежать Счастливчик. О, немного золотишка не помешает.'; Gold = Gold + 100; end; poff 'one'; Exp = Exp + rnd(20);]]};
		{always = true, 'Выйти.', nil, [[back();]]};
	};
};