SantaMaria = room {
	nam = 'Санта-Мария';
	pic = 'gfx/00.png';
	enter = function()
		set_music('bgm/DesertWind.mp3');
		p 'Еще на подлете вы заметили как группа супермутантов атакует периметр.^-- Давай снижайся. - Закричали вы пилоту. Пилот совершив рискованный маневр сумел ровно приземлиться. Схватив оружие вы побежали на помощь. Но к вашему приходу уже все было закончено. Остатки супермутантов бежали в пустошь. На этом хорошие новости исчерпались – плазменная башня, которая и была залогом всех предыдущих успехов в обороне вышла из строя, а это значит, что в следущую атаку база Санта-Мария прекратит своё существование, если ситуацию срочно не исправить. Супер-мутанты не самый лёгкий противник в Пустоши, наверняка они тоже видели, что башня прекратила огонь.';
	end;
	dsc = 'Несколько небольших зданий окружено колючей проволокой, на расчищенной от камней площадке стоит {xwalk(pilot_dlg)|вертиберд}, на котором вы прилетели.';
	obj = {'turret', 'arsenalSM'};
	way = {'kitchen', 'desert'};
};

desert = dlg {
	nam = 'Пустошь';
	pic = 'gfx/21.jpg';
	enter = 'Только ветер завывает среди холмов. Следы супермутантов заметает песок.';
	phr = {
		{always = true, code[[p('Идти по следам. (Следопыт - ', Outdoorsman*10, '%)');]], code[[if Outdoorsman >= rnd(10) and Moral > 0 then p 'Ага, вот и база мутантов. Старая армейская палатка, остатки костра и отдыхающие мьюты вокруг. Много раненых.'; walk(SuperSM); elseif Moral > 0 then Moral = Moral - 1; p 'Черт, я полчаса шел по следу гекко. А вот и след супермутанта, 100%. Идем дальше.'; end;]]};
		{always = true, code[[p('Настроить датчики пипбоя на вирус ВРЭ. (Наука - ', Science*10, '%)');]], code[[if Science >= rnd(10) and Moral > 0 then p 'Ага, пипбой вывел на место. Вот и база мутантов. Старая армейская палатка, остатки костра и отдыхающие мьюты вокруг. Много раненых.'; walk(SuperSM); elseif Moral > 0 then Moral = Moral - 1; p 'Черт, это мутированный кактус. Хотя пипбой ловит еще один источник вируса. Идем дальше.'; end;]]};
		{always = true, 'К черту эти бесполезные поиски. Вернуться на базу.', nil, [[back();]]};
	};
};

SuperSM = dlg {
	nam = 'Лагерь супермутантов';
	pic = 'gfx/19.jpg';
	phr = {
		{tag = 'one', 'Вызвать подкрепление с базы и разнести тут все.', 'По рации вы вызываете вертиберд с подкреплением и вскоре видите как пара гранат сброшенных с вертиберда посеяли панику и оставили пару тел на земле. А после десант с воздуха окружил лагерь и завершил дело. Вы поспешили поучаствовать в потехе, но слишком поздно. Супермутантов уже всех перебили. Кажется ваша работа тут выполнена. Вы садитесь в вертиберд и трясетесь обратно к Джеку Олдвину в Анклав на доклад.', code[[mission = 11;
			if not have 'minigan_avenger' and sabotage == 0 then take 'minigan_avenger'; p 'С собой вы захватили один из миниганов супермутантов, возможно стоит отнести его в лаборатории Анклава.'; end;
			narkoff();
			walk(Navarro);]]};
		{tag = 'one', code[[p('Попробовать договориться. (Разговор - ', Speech*10, '%).');]], code[[if Speech >= rnd(10) then p 'Даже не разоружив вас проводят прямо к главе отряда. Офицера, командующего супер-мутантами зовут Таббор и он, разумеется, не в великом восторге от вашего появления здесь.^-- Мы никуда не уйдём, база падёт, а люди будут казнены. Зачем нам бросать такую богатую добычу?'; Exp = Exp + 250; pon 'super'; poff 'one'; else p 'Пытаешься меня обмануть, маленький человечишко?!'; walk(end1); end;]]};
		{tag = 'one', 'Атаковать самостоятельно.', 'Ваша самоубийственная атака действительно оказалась самоубийственной.', code[[walk(end1);]]};
		{tag = 'super', false, code[[p('Вам понадобятся все ваши навыки убеждения, чтобы доказать непреклонному мутанту безумие его затеи. Лишь красочно расписав реальные и несуществующие преграды, которые встанут на его пути в случае штурма Сьерры-Марии можно уговорить супер-мутантов повернуть назад. (Разговор - ', Speech*10, '%).');]], code[[if Speech >= rnd(10) then p '-- Ты убедил меня. Анклав сильный. Мы супермутанты уважаем силу и отступим. Поищем добычу попроще.^^Кажется ваша работа тут выполнена и даже без кровопролития. Вы садитесь в вертиберд и трясетесь обратно к Джеку Олдвину в Анклав на доклад.'; Exp = Exp + 250; mission = 11; narkoff(); walk(Navarro); elseif Moral > 0 then Moral = Moral - 1; p 'Пытаешься меня обмануть, маленький человечишко?!'; end;]]};
		{tag = 'super', false, 'Предложить взятку за отступление и отказ от планов разорения Санта-Марии. (1000G)', 'Ха-ха, хорошая добыча. Хорошо! Мы свалим и купим себе выпивки.^^Кажется ваша работа тут выполнена и даже без кровопролития. Вы садитесь в вертиберд и трясетесь обратно к Джеку Олдвину в Анклав на доклад.', code[[if Gold >= 100 then Gold = Gold - 1000; Exp = Exp + 200; mission = 11; narkoff(); walk(Navarro); else p 'Что? Слишком мало золота! Я хочу больше, человечишко!'; end;]]};
	};
};

pilot_dlg = dlg {
	nam = 'Пилот';
	pic = 'gfx/13.png';
	enter = 'Ик, что летим? -- Спросил, уже где-то раздобывший бутылку с какой-то мутной жидкостью, пилот.';
	phr = {
		{always = true, 'Да, летим обратно.', '-- Ик, мой приказ сидеть здесь пока с супермутантами не будет покончено, ну или если другого выхода нет и надо спасать вертиберд, ик.'};
		{always = true, 'Хм, ну пока.', nil, [[back();]]};
	};
};

kitchen = dlg {
	nam = 'Полевая кухня';
	pic = 'gfx/00.png';
	enter = 'Кухня также была разгромлена и разграблена, а повар был поджарен из огнемета суперматунта, но возможно что-то съедобное тут и осталось.';
	phr = {
		{always = true, code[[p('Поискать припасы. (Следопыт - ', Outdoorsman*10, '%)');]], code[[
			if Outdoorsman >= rnd(8) then
				p 'О, что-то осталось.';
				local i = rnd(5);
				if i == 1 then take 'beer';
				elseif i == 2 then take 'fruit';
				elseif i == 3 then take 'nuke_cola';
				elseif i == 4 then take 'stimpack';
				elseif i == 5 and not have 'minigan_avenger' and sabotage == 0 then take 'minigan_avenger'; p 'Подняв одну из коробок, вы обнаружили под ней поврежденный миниган. Хм, такой модели вы еще не видели. Наверное стоит его захватить с собой.';
				end;
			elseif Moral > 0 then Moral = Moral - 1; p 'Что-то вообще ничего не находится.'; end;]]};
		{always = true, 'Все, достаточно. Пора заняться супермутантами.', nil, [[back();]]};
	};
};
