v13_fight = dlg {
	nam = 'Убежище 13';
	pic = 'gfx/22.jpg';
	enter = function()
		set_music('bgm/Vault13.mp3');
		p 'Ваша команда останавливается перед входом в Тринадцатое Убежище. Хорриган вводит какой-то код, и двери Убежища распахиваются. Пара смертекогтей немедленно атакуют вас.';
		enemy_life = 250;
		weapon_id();
		if have 'tranquilizer' then pon 'trank'; end;
	end;
	phr = {
		{tag = 'trank', false, 'Использовать транквилизатор.', 'Вы попытались воткнуть шприц, но второй смертекогть не дает вам подобраться поближе. Что же, значит надо найти одинокого смертекогтя.'};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 13;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась. Бетонная пыль посыпалась с потолка.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Но не смотря на это залитый кровью смертекогть поднимается и пытается вас укусить.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
			else
				p 'Отлично, оба смертекогтя сдохли наконец. Вы быстро обследуете этаж, находите какого-то человека, однако, приказ однозначен: «Никого в живых не оставлять» и ваш напарник нашпиговывает его свинцом, лишь потом вы понимаете, что человек был безоружен.';
				walk(Vault13);
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Удар оказался весьма эффективным.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;
			if rnd(10) ~= 0 then
				p 'Френк стреляет из своей бандуры. Смертекогть этому явно не рад.';
				enemy_life = enemy_life - rnd(50);
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть рубит в ответ когтями, с противным звуком шкрябая броню.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, оба смертекогтя сдохли наконец. Вы быстро обследуете этаж, находите какого-то человека, однако, приказ однозначен: «Никого в живых не оставлять» и ваш напарник нашпиговывает его свинцом, лишь потом вы понимаете, что человек был безоружен.';
				walk(Vault13);
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;
			if rnd(10) ~= 0 then
				p 'Френк стреляет из своей бандуры. Смертекогть этому явно не рад.';
				enemy_life = enemy_life - rnd(50);
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть рубит в ответ когтями, с противным звуком шкрябая броню.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, оба смертекогтя сдохли наконец. Вы быстро обследуете этаж, находите какого-то человека, однако, приказ однозначен: «Никого в живых не оставлять» и ваш напарник нашпиговывает его свинцом, лишь потом вы понимаете, что человек был безоружен.';
				walk(Vault13);
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Смертекогтя отбрасывает от выстрела из вашей бандуры.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;
			if rnd(10) ~= 0 then
				p 'Френк стреляет из своей бандуры. Смертекогть этому явно не рад.';
				enemy_life = enemy_life - rnd(50);
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть рубит в ответ когтями, с противным звуком шкрябая броню.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, оба смертекогтя сдохли наконец. Вы быстро обследуете этаж, находите какого-то человека, однако, приказ однозначен: «Никого в живых не оставлять» и ваш напарник нашпиговывает его свинцом, лишь потом вы понимаете, что человек был безоружен.';
				walk(Vault13);
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;
			if rnd(10) ~= 0 then
				p 'Френк стреляет из своей бандуры. Смертекогть этому явно не рад.';
				enemy_life = enemy_life - rnd(50);
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть рубит в ответ когтями, с противным звуком шкрябая броню.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, оба смертекогтя сдохли наконец. Вы быстро обследуете этаж, находите какого-то человека, однако, приказ однозначен: «Никого в живых не оставлять» и ваш напарник нашпиговывает его свинцом, лишь потом вы понимаете, что человек был безоружен.';
				walk(Vault13);
			end;]]};
	};
};

Vault13 = room {
	nam = 'Убежище 13';
	pic = 'gfx/00.png';
	dsc = 'Вы на первом этаже убежища 13.';
	obj = {'case_v13'};
	way = {'lift13'};
};

lift13 = dlg {
	nam = 'Лифт';
	pic = 'gfx/00.png';
	phr = {
		{always = true, 'Первый этаж', nil, [[walk(Vault13);]]};
		{always = true, 'Второй этаж', nil, [[walk(V13Second);]]};
		{always = true, 'Третий этаж', nil, [[walk(V13Third);]]};
	};
};

V13Second = room {
	nam = 'Убежище 13';
	pic = 'gfx/00.png';
	enter = function()
	end;
	dsc = 'Вы на втором этаже убежища 13.';
	obj = {'dc_v13'};
	way = {'lift13'};
};

V13Third = room {
	nam = 'Убежище 13';
	pic = 'gfx/00.png';
	enter = function()
	end;
	dsc = 'Вы на третьем этаже убежища 13.';
	obj = {'dc2_v13'};
	way = {'lift13'};
};

case_v13_dlg = dlg {
	nam = 'Шкафчик';
	pic = 'gfx/00.png';
	enter = function()
		p 'Это простой встроенный шкафчик, покрашенный вместе со стеной.';
	end;
	phr = {
		{tag = 'st', code[[p('Покопаться в замке (Воровство - ', Steal*10, '%).');]], code[[if Steal >= rnd(10) and Moral > 0 then p 'Хм, замок с хрустом подался, но внутри оказалась только какая-то книга.'; take 'book'; take 'grenade'; remove('case_v13', from); poff 'st'; elseif Moral > 0 then Moral = Moral - 1; p 'Замок оказался довольно-таки сложным.'; pon 'st'; else p 'Вернусь сюда со свежими силами в следующий раз.'; pon 'st'; end;]]};
		{tag = 'st', code[[p('Долбануть по дверце с размаху (Рукопашная - ', Unarmed*10, '%).');]], code[[if Unarmed >= rnd(10) and Moral > 0 then p 'Хм, замок с хрустом подался, но внутри оказалась только какая-то книга.'; take 'book'; take 'grenade'; remove('case_v13', from); poff 'st'; elseif Moral > 0 then Moral = Moral - 1; p 'Дверца крепче, чем кажется.'; pon 'st'; else p 'Вернусь сюда со свежими силами в следующий раз.'; pon 'st'; end;]]};
		{always = true, 'Отойти от шкафчика.', nil, [[back();]]},
	},
};

v13_fight2 = dlg {
	nam = 'Убежище 13';
	pic = 'gfx/51.jpg';
	enter = function()
		p 'Смертекогти заметили вас и побежали к вам, хорошо что коридор узкий и им придется нападать по очереди.';
		enemy_life = 300;
		weapon_id();
		if have 'tranquilizer' then pon 'trank'; end;	
	end;
	phr = {
		{tag = 'trank', false, 'Использовать транквилизатор.', 'Вы сумели воткнуть шприц в тело смертекогтя, тот взвыл и обмяк. Есть трофей. Только тащить теперь его, тяжелая скотина.^Проклятье, подоспела вторая тварь. Теперь только отстреливаться.', [[remove('tranquilizer', me); take 'dc_corpse'; Exp = Exp + rnd(50); enemy_life = 150;]]};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 13;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась. Бетонная пыль посыпалась с потолка.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Но не смотря на это залитый кровью смертекогть поднимается и пытается вас укусить.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
			else
				p 'Отлично, все смертекогти сдохли наконец. Вы осмотрели этаж, но больше ничего не нашли.';
				objs(from):del('dc_v13');
				walk(V13Second);
				Exp = Exp + 200;
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed* 10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Удар оказался весьма эффективным.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть рубит в ответ когтями, с противным звуком шкрябая броню.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, все смертекогти сдохли наконец. Вы осмотрели этаж, но больше ничего не нашли.';
				objs(from):del('dc_v13');
				walk(V13Second);
				Exp = Exp + 200;
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns* 10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть рубит в ответ когтями, с противным звуком шкрябая броню.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, все смертекогти сдохли наконец. Вы осмотрели этаж, но больше ничего не нашли.';
				objs(from):del('dc_v13');
				walk(V13Second);
				Exp = Exp + 200;
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns* 10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Смертекогтя отбрасывает от выстрела из вашей бандуры.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть рубит в ответ когтями, с противным звуком шкрябая броню.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, все смертекогти сдохли наконец. Вы осмотрели этаж, но больше ничего не нашли.';
				objs(from):del('dc_v13');
				walk(V13Second);
				Exp = Exp + 200;
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons* 10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть рубит в ответ когтями, с противным звуком шкрябая броню.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, все смертекогти сдохли наконец. Вы осмотрели этаж, но больше ничего не нашли.';
				objs(from):del('dc_v13');
				walk(V13Second);
				Exp = Exp + 200;
			end;]]};
	};
};

v13_fight3 = dlg {
	nam = 'Убежище 13';
	pic = 'gfx/51.jpg';
	enter = function()
		p '-- Ты как раз к самой потехе, сынок. Доставай пушку, за этой дверью матка смертекогтей. Нужно выжечь эту заразу. Огонь! -- Прорычал Френк.';
		enemy_life = 300;
		weapon_id();			
	end;
	phr = {
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 13;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась. Бетонная пыль посыпалась с потолка.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Но не смотря на это залитый кровью смертекогть поднимается и пытается вас укусить.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
			else
				p 'Отлично, все смертекогти сдохли наконец.^-- Задача выполнена, возвращаемся к вертиберду. -- Скомандовал Френк Хорриган.';
				objs(from):del('dc2_v13');
				back();
				Exp = Exp + 200;
				ways(Vault13):add(Vert13);
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed* 10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Удар оказался весьма эффективным.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть рубит в ответ когтями, с противным звуком шкрябая броню.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, все смертекогти сдохли наконец.^-- Задача выполнена, возвращаемся к вертиберду. -- Скомандовал Френк Хорриган.';
				objs(from):del('dc2_v13');
				back();
				Exp = Exp + 200;
				ways(Vault13):add(Vert13);
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns* 10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть рубит в ответ когтями, с противным звуком шкрябая броню.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, все смертекогти сдохли наконец.^-- Задача выполнена, возвращаемся к вертиберду. -- Скомандовал Френк Хорриган.';
				objs(from):del('dc2_v13');
				back();
				Exp = Exp + 200;
				ways(Vault13):add(Vert13);
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns* 10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Смертекогтя отбрасывает от выстрела из вашей бандуры.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть рубит в ответ когтями, с противным звуком шкрябая броню.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, все смертекогти сдохли наконец.^-- Задача выполнена, возвращаемся к вертиберду. -- Скомандовал Френк Хорриган.';
				objs(from):del('dc2_v13');
				back();
				Exp = Exp + 200;
				ways(Vault13):add(Vert13);
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons* 10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть рубит в ответ когтями, с противным звуком шкрябая броню.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, все смертекогти сдохли наконец.^-- Задача выполнена, возвращаемся к вертиберду. -- Скомандовал Френк Хорриган.';
				objs(from):del('dc2_v13');
				back();
				Exp = Exp + 200;
				ways(Vault13):add(Vert13);
			end;]]};
	};
};

Vert13 = dlg {
	nam = 'Вертибёрд';
	pic = 'gfx/13.png';
	enter = function()
		p 'Вы вышли из убежища и обнаружили вертибёрд на прежнем месте в целости и сохранности.';
		mission = 13;
	end;
	phr = {
		{always = true, 'Залезть в вертибёрд', 'Вы залезли в вертибёрд и машина мерно застрекотала винтами направляясь в Анклав. Вы задремали, но толчок при приземлении разбудил вас. Вы спустились в главный коридор.', [[walk(Main_corridor);]]};
	};
};