main = room {
	nam = 'Пролог';
	enter = function()
--		set_music('bgm/Enclave.mp3');
-- Это неправильно, но эта музычка повеселее для начала игры.
		set_music('bgm/VaultCity.mp3');
	end;
	pic = 'gfx/01.jpg';
	hideinv = true;
	dsc = '2240 год. После падения ядерных бомб в 2077 прошло уже много лет. Люди на континенте выживали и приспосабливались и кое-где добились определенных успехов. Ну а вы -- вполне себе среднестатистический парень, родившийся и выросший в семье техников, обслуживающих американское правительство на нефтедобывающей вышке корпорации «Посейдон Ойл». Однажды затяжной финансовый кризис вынудил вас искать деньги на стороне, и вот, как раз прямо сейчас вам пришло в голову сходить занять к старому знакомому вашего отца, а ныне главе Службы Государственной Безопасности Анклава Джеку Олдвину. Вы по достоинству оцените всю глупость этой затеи спустя полчаса, а пока, не ожидая подвоха идите просить денег.';
	way = {vroom('Начать игру', 'Main_corridor'), 'About'};
};

Main_corridor = room {
	nam = 'Главный коридор';
	pic = 'gfx/09.jpg';
	dsc = 'Перед вами Главный Коридор Базы Анклава. Здесь несколько дверей, ведущих в разные отсеки.';
	way = {vroom('Кабинет Д. Олдвина', 'Jack'), 'Recruiting_station', 'Main_exit'};
	obj = {'map_enclave'};
};

Corridor_A = room {
	nam = 'Коридор А';
	pic = 'gfx/07.jpg';
	dsc = 'Вы забрели в коридор А, отсюда можно пройти в несколько соседних отсеков.';
	way = {'Main_corridor', 'Laboratory_112', 'Research_Laboratory', 'Promotion_department', 'Provulli', 'Warehouse'};
};

Corridor_B = room {
	nam = 'Коридор В';
	pic = 'gfx/06.jpg';
	enter = function()
		if Outdoorsman >= rnd(10) and case == 0 then p 'Вы заметили в стене {xwalk(case_dlg)|встроенный шкафчик}, любопытно.'; end;
	end;
	dsc = 'Вы в коридоре В. Потолочные лампы мерно гудят. В коридоре пустынно.';
	way = {'Main_corridor', 'Arsenal', 'Relaxation', 'Restroom'};
};

Corridor_C = room {
	nam = 'Коридор C';
	pic = 'gfx/03.jpg';
	dsc = 'Перед вами коридор С. Из Отдела Биоразработок тянет странными запахами.';
	way = {'Main_corridor', 'Biodevelopment', 'Material'};
};

Corridor_D = room {
	nam = 'Коридор D';
	pic = 'gfx/08.png';
	dsc = 'Вы в коридоре D.';
	way = {'Main_corridor', 'Information', 'Training_center'};
};

Mooring = room {
	nam = 'Причал';
	enter = function()
		set_music('bgm/Enclave.mp3');
	end;
	pic = 'gfx/05.jpg';
	dsc = 'Опять льёт ливень. У причала снуют туда-сюда небольшие юркие катера береговой охраны. Как раз один подошёл к пирсу. Около терминала стоит {xwalk(Mooring_officer)|офицер}, отвечающий за погрузку.';
	way = {'Main_corridor'};
};

Mooring_officer = dlg {
	nam = 'Офицер';
	pic = 'gfx/05.jpg';
	enter = function()
		p 'Офицер, в непромокаемом плаще поверх брони, что-то пишет в блокнот.';
		if mission == 40 then p '^-- Эй салага. Не тебя искал Френк Хорриган? Советую поторопиться, настроение у него явно плохое.';
		else pon 'nav'; end;
		if sabotage == 1 then pon 'sab'; end;
		if sabotage == 3 or sabotage == 4 then pon 'dec'; end;
		if search_lora > 0 then pon 'sf'; end;
	end;
	phr = {
		{tag = 'sab', false, 'Вы в курсе про сломанных роботов?', '-- Пять штук за последний месяц, эпидемия какая-то.', [[pon 'sab2';]]};
		{tag = 'sab2', false, 'Когда это произошло? Вернее в чьи смены?', '-- Хм, дайте глянуть. Интересно. В смене как правило пять человек. В смены когда были сломаны роботы, каждый раз работали Джо и Фил. Также в четырех из пяти случаях работал Генри. Кажется вы нашли саботажников.', [[pon 'sab3';]]};
		{tag = 'sab3', false, 'Еще не нашел, нужно больше доказательств, кроме подозрения.', '-- Ну желаю вам успеха, а я присмотрю за ними в следующую их смену. Сейчас у них пересменок и они все отдыхают в отсеке докеров.', [[
			objs(Dockers):add(SabJoe);
			objs(Dockers):add(SabFil);
			objs(Dockers):add(SabHenry);
			sabotage = 3;]]};
		{tag = 'sab3', false, 'Где находится отсек докеров?', '-- Чуть дальше пройди, там увидишь вход.', [[ways(Mooring):add(Dockers);]]};
		{tag = 'dec', false, 'Я нашел саботажника.', '-- Кто же он?', [[
			pon 'dec2';
			if sab_3 == 1 and sab_2 == 1 then pon 'dec3'; end;
			if sab_3 == 1 then pon 'dec4'; end;
			if sab_2 == 1 then pon 'dec5'; end;
			]]};
		{tag = 'dec4', false, 'Это Джо. Бармен сказал что саботажник носит серый комбинезон, и он был во все смены, когда ломались роботы и ...', '-- Но зачем ему это делать?', [[pon 'decjoe';]]};
		{tag = 'dec2', false, 'Это Фил. Он копался в роботе, был во все смены, когда ломались роботы и ...', '-- И что? Какой мотив?', [[pon 'decfil';]]};
		{tag = 'dec5', false, 'Это Генри. В его шкафчике лежат кусачки и ...', '-- Кусачки еще не доказательство. И его не было на смене в одном случае.', [[if sab_1 == 1 then pon 'decright'; else pon 'dechenry'; end;]]};
		{tag = 'dec3', false, 'Это Генри. Он носит серый комбинезон, в его шкафчике лежат кусачки и ...', '-- Кусачки еще не доказательство. И его не было на смене в одном случае.', [[if sab_1 == 1 then pon 'decright'; else pon 'dechenry'; end;]]};
		{tag = 'decjoe', false, 'Это точно Джо. Поместите его в карцер и выбейте признание.', '-- Хорошо, так я и сделаю.^Вы обвинили возможно невиновного человека, который теперь исчезнет в глубинах карательной системы Анклава. Надеюсь ваша совесть спит спокойно.', [[ways(Mooring):del(Dockers); poff 'dec2'; poff 'decfil'; poff 'dechenry'; sabotage = 5;]]};
		{tag = 'decfil', false, 'Это точно Фил. Поместите его в карцер и выбейте признание.', '-- Хорошо, так я и сделаю.^Вы обвинили возможно невиновного человека, который теперь исчезнет в глубинах карательной системы Анклава. Надеюсь ваша совесть спит спокойно.', [[ways(Mooring):del(Dockers); poff 'dec2'; poff 'decjoe'; poff 'dechenry'; sabotage = 5;]]};
		{tag = 'dechenry', false, 'Это точно Генри. Поместите его в карцер и выбейте признание.', '-- Хорошо, так я и сделаю.^Вы обвинили возможно невиновного человека, который теперь исчезнет в глубинах карательной системы Анклава. Надеюсь ваша совесть спит спокойно.', [[ways(Mooring):del(Dockers); poff 'dec2'; poff 'decjoe'; poff 'decfil'; sabotage = 5;]]};
		{tag = 'decright', false, 'Это точно Генри. Гордон рассказал, что этот шрам во всю руку он получил при нападении робота и после этого его уволили из вооруженных сил и он стал простым докером.', '-- Хорошо, я отправлю его в карцер на пару недель. Надеюсь там он подумает о своих поступках.', [[ways(Mooring):del(Dockers); poff 'dec2'; poff 'decjoe'; poff 'decfil'; sabotage = 5; Exp = Exp + 200;]]};
		{tag = 'sf', false, 'Мне нужно в Сан-Франциско.', '-- Как раз лодка отходит, успеешь, если поспешишь.^Небольшой отряд солдат в маленькой моторке пристал к отдаленному причалу Сан-франциско.^-- Мы будем тут еще сутки, в крайнем случае подождешь пару дней. Будет еще лодка. Иди прямо, выйдешь как раз на главную улицу.', [[walk(SanFran);]]};
		{tag = 'nav', false, 'Мне нужно в Наварро.', code[[if rank == '' then p '-- Гражданским запрещено покидать Анклав. Хочешь посмотреть мир, тогда записывайся в армию.'; else p '-- Всем нужно в Наварро. Прыгай в лодку.'; narkoff(); walk(Navarro); end;]]};
		{always = true, 'Уйти.', nil, [[poff 'decfil'; poff 'dechenry'; poff 'decjoe'; back();]]};
	};
};

Vert = room {
	nam = 'Вертибёрдная площадка';
	pic = 'gfx/13.png';
	enter = function()
		set_music('bgm/Enclave.mp3');
		if mission == 40 then
			objs():add('Frank');
		elseif mission == 12 then
			objs():add('Frank');
		else p '-- Эй парень, вали отсюда. Это вертибёрд для больших шишек, хотя по факту только Френк летает на нем. Но Френк ведь очень большая шишка, ха-ха. - Засмеялся охранник на входе.';
		end;
	end;
	dsc = 'На небольшой открытой площадке стоит вертибёрд.';
	obj = {};
	way = {'Main_corridor'};
};

Jack = dlg {
	nam = 'Джек Олдвин';
	pic = 'gfx/10.jpg';
	enter = function()
		p 'Это кабинет Джека Олдвина. У выхода стоит пара солдат в силовой броне. Если у вас есть какое-либо дело, то самое время спросить. Иначе делай отсюда ноги.';
		if mission == 0 and not have 'agenda' then
			pjump 'zero';
			p '^-- Да, солдат. Ты принят в Службу Государственной Безопасности. У тебя появился шанс исполнить свой гражданский долг! Родина позвала, и ты, как истинный патриот, откликнулся на её зов.';
		elseif have 'agenda' then
			pjump 'zero2';
		elseif mission == 1 then
			pjump 'one';
		elseif mission == 2 then
			p '^-- Отдел информации, коридор D, тебе туда. А теперь проваливай, салага! -- Прорычал Джек.';
			back();
		elseif mission == 4 then
			pjump 'four';
		elseif mission == 5 then
			pjump 'five';
		elseif mission == 7 then
			pjump 'seven';
		elseif mission == 9 then
			pjump 'nine';
			p 'Когда вы подходили к кабинету Главы Госбезопасности там как раз кто-то истошно орал: «Армия? Какая армия? Я не хочу, я просто принёс телеграмму от вашего дяди, с ним всё в порядке, какой призыв? Джекки, мы же друзья! Или нет?». И до боли знакомый голос без эмоций: «Ты принят, сынок. Началась лучшая часть твоей жизни». Внезапно дверь открылась и охранники выкинули какого-то очкарика, попутно засунув ему повестку за шиворот.';
		elseif mission == 103 then
			pjump 'nine1';
		elseif mission == 11 then
			pjump 'eleven';
		elseif mission == 13 then
			pjump 'thirteen';
		else
			pjump 'none';
		end;
	end;
	phr = {
		{tag = 'none', always = true, 'Выход.', nil, [[back();]]};
		{};
		{tag = 'zero', 'Да ты чего, Джек? Я ж пришёл денег занять. 30 долларов до получки. Недели на две. Не хочешь не давай. Какая служба? Я в армию не хочу.', '-- Ты призван. Я тебя призвал. -- Как обычно ровным голосом произнес вам Джек Олдвин, глава службы безопасности Анклава, герой битвы с Калькулятором и как вы думали до последней минуты, ваш друг. -- Ты в армии, сынок, не забывай этого. Теперь у тебя начинается совершенно другая жизнь. Лучшая часть твоей жизни.', [[pon 'zero1';]]};
		{tag = 'zero1', false, 'Джек, ты понимаешь...', 'В этот момент два охранника хватают вас под руки и весьма бесцеремонно вручают вам повестку на призывной пункт. Поразмыслив, вы решаете не залегать в подполье, а проследовать куда послали. Да и куда ты денешься с нефтяной вышки, стоящей посреди моря', [[take 'agenda'; walk(Main_corridor);]]};
		{always = true, 'Служу Анклаву!', '-- Молодец, так держать. Вот тебе повестка, сунь её в терминал на призывном пункте и заполни анкету. Разрешаю идти.', [[take 'agenda'; walk(Main_corridor);]]};
		{};
		{tag = 'zero2', always = true, 'Эм, я еще хотел спросить...', '-- Призывной пункт! Дверь рядом с моим кабинетом! Просто сунь листок в терминал! Свободен!', [[back();]]};
		{};
		{tag = 'one', 'Доложить о готовности.', '-- А брось ты это, отставить. -- Джек встречает вас вполне добродушно. -- Заходи. Как настроение? Осознал ответственность? Для тебя есть небольшое задание для начала.', [[pon 'one1';]]};
		{tag = 'one1', false, 'Какое задание?', '-- Ты знаешь, что у нас есть некоторые проблемы с "гуманистами" на нашей базе? Так вот, один из них то ли накачался, то ли начитался и проникся, короче, он убежал. Стырил кучу бумаг и был таков! Если его не найти, то может случиться заварушка с Братством Стали. Если ещё короче, иди к радистам в отдел Информации в коридоре D, и вместе с ними найди мне этого мужика.', [[Exp = Exp + 500; mission = 2; pon 'one2';]]};
		{tag = 'one2', false, 'Гуманисты?', '-- Гниль на цветущем теле нашего Анклава. Стреляй как увидишь.'};
		{tag = 'one2', false, 'Братство стали?', '-- Так, а какой у тебя уровень допуска? Ах, пока тебе еще не положено об этом знать. Свободен.'};
		{always = true, 'Выход.', nil, [[back();]]};
		{};
		{tag = 'four', 'Объект найден на континенте.', '-- Ага! Ты разыскал нашу заблудившуюся овечку, теперь на перехват! Присоединяйся! Обещаю это будет весело. Сафари на вертибёрде, охота на человека. Делать-то тебе ничего не придётся. Ты только будешь сопровождать Хорригана. Приглядись к нему хорошенько, парень, он один способен уничтожить целую армию. Кроме того, ну, найдём мы этого старика, он уж оголодал чай, без наших-то харчей. Сам к нам в вертибёрд прыгнет. Соглашайся!.', [[pon 'four1';]]};
		{tag = 'four1', false, 'Конечно согласен.', '-- Я не ошибся в тебе парень. Френк будет ждать на вертибёрдной площадке, а ты загляни сначала в арсенал.', [[mission = 40; back();]]};
		{tag = 'four1', false, 'Я еще не готов.', '-- Эх, совсем измельчал народ Анклава. Хорошо, оставайся на базе. Зайди ко мне попозже.', [[pon 'four1'; back();]]};
		{};
		{tag = 'five', 'Доложить Джеку Олдвину об операции.', '-- Ну, что же... Ты справился со своим первым настоящим заданием, прошёл боевое крещение. Тебя ждёт небольшая премия, мой друг, не трать все на бухло! А теперь тебе предстоит новое задание. В отделе биоразработок тебя ждет доктор Маккей. Кстати вот еще письмо для капитана Наварро, отдашь в руки. Всё на сегодня.', [[Dollars = Dollars + 800; mission = 6; Exp = Exp + 500; take 'letter';]]};
		{always = true, 'Выход.', nil, [[back();]]};
		{};
		{tag = 'seven', code [[p('Соглашение с Мецгером достигнуто. Он продаст рабов по ', price_slave, ' золота.')]], '-- Неплохо, мой мальчик, неплохо.', [[if price_slave < 3000 then p 'И даже дешевле, чем мы рассчитывали. Заслуживаешь премии.'; Dollars = Dollars + 3000 - price_slave; end; Exp = Exp + 200; weapon = '09'; damage = 30; pon 'seven1']]};
		{tag = 'seven1', false, 'О, спасибо шеф. Кстати я видел бункер Братства Стали в Дене.', 'Да брось, выпил небось дешевого пойла, откуда он там?', [[pon 'seven2';]]};
		{tag = 'seven2', false, 'Шеф, я официально докладываю, что в Дене имеется бункер Братства Стали, охраняется одним бойцом в тесла-броне. Прошу занести в протокол.', 'Хм, я вижу, ты уверен в своих словах. То есть они начали действовать. Видно Свид (при упоминании этого имени шеф нервно дёрнулся) все таки передал Братству Стали те документы. Там было упоминание о том, какими технологиями мы владеем. В частности, там говорилось, что у нас есть вертибёрды. Ладно, они всё равно не смогут получить чертежи летающей машины. Теперь у нас появился враг, который начал войну. Твоя следующая цель – тот же Бункер Братства Стали, но тебе придётся его атаковать, чтобы выяснить его защиту. Твоя цель узнать, на что способны эти ребята. Опасность очень высокая, поэтому затаривайся по максимуму. Отправляйся к замеченному тобой Бункеру и атакуй его. Свободен, боец!', [[mission = 8; back();]]};
		{};
		{tag = 'nine', 'Доложить об операции.', 'Вы подошли к своему боссу. Красочно описав тому ваш бой с охранником, вы перешли к самому главному:^-- И вдруг как бдыщь! Кто это? Двери-то в бункере открылись, а там ТАКАЯ МАХИНА! В косяки не проходит. Гром гремит земля трясётся...^И всё в том же духе.^-- Молодец, солдат! Кажется доктор Кёрлинг из отдела биоразработок просил меня дать ему помощника. У меня пока для тебя заданий нет, поэтому двигай к доктору и не напортачь!', [[Exp = Exp + 200; mission = 101; back();]]};
		{};
		{tag = 'nine1', 'Доложить о прибытии.', 'Ты весьма вовремя, боец. Отдыхать некогда. Наша база Санта-Мария (это хоть где?) атакована несколькими группами супермутантов. Вот карта, отдашь пилоту вертибёрда. На месте тебя встретит подкрепление -- взвод салаг. Свободен, боец.', [[take 'map2'; Exp = Exp + 200; mission = 10; back();]]};
		{};
		{tag = 'eleven', 'Безопасность базы Санта-Мария обеспечена. Супермутанты не представляют на данный момент угрозы.', '-- Это было профессионально! Нет, ты правда молодец. Теперь следующее задание. То, что я тебе сейчас расскажу, секретно, только для высшего командного состава, слушай внимательно. Некоторое время назад наши учёные проводили опыты по увеличению интеллекта Когтей Смерти. Да-да, этих самых здоровенных тварей. Нам бы очень помогли эти здоровяки для не требующей мозгов работы, типа убить того-то, разрушить то-то. Работа закончилась очень успешно, более успешно, чем мы планировали. Они вырвались на волю, и до последнего момента мы не знали куда они делись. И вот, недавно, мы перехватили сигнал, из которого следовало, что эти твари захватили 13-ое Убежище. Если нам повезёт, то там будут все разумные Когти. Нам необходимо уничтожить из всех. Ты представляешь, какую опасность для человечества представляет этот вид? Они начнут размножаться и легко уничтожат людей. Нам надо их нейтрализовать. Ты и мой самый верный десяток пойдёте в Убежище. Это будет чертовски сложно, но вы зачистите его, думаю Фрэнк Хорриган нам здесь серьёзно поможет. Он будет ждать на взлетно-посадочной площадке Анклава. Мешкать нельзя.', [[Exp = Exp + 200; mission = 12; back();]]};
		{};
		{tag = 'thirteen', 'Убежище тринадцать очищено.', '-- Отличная работа...^Внезапно заорала сирена и из коридора донеслись звуки выстрелов и криков. Джек застучал по клавишам терминала.^-- Что за нахрен? Активирован антитеррористический протокол? Президент не отвечает? Френк, выдвигайся к главному выходу. -- Начал отдавать приказы Олдвин. -- Боец, что стоишь? Это вторжение! Кто-то проник в Анклав! Быстро вали к Френку!', [[Exp = Exp + 500; mission = 14; pon 'end1';]]};
		{tag = 'end1', false, 'Выполнить приказ и присоединиться к Френку.', nil, [[walk(end10);]]};
		{tag = 'end1', false, 'Спрятаться в баре пока весь этот бедлам не закончится, а то еще турель какая пристрелит случайно.', nil, [[walk(end11);]]};
		{tag = 'end1', false, 'Свалить на причал и запрыгнуть в отходящую лодку.', nil, [[walk(end12);]]};
	};
};

Recruiting_station = room {
	nam = 'Призывной пункт';
	pic = 'gfx/02.png';
	dsc = 'Стены на призывном пункте обклеены потрепанными патриотическими плакатами.';
	obj = {'recruiting_terminal'};
	way = {'Main_corridor'};
};

Relaxation = dlg {
	nam = 'Комната релаксации';
	pic = 'gfx/11.jpg';
	enter = function()
		if visits() == 0 then p 'Отдел прямой релаксации. Да, вам сюда! Массажная комната обита мягкими материалами, чтобы улучшить терапевтический эффект от процедур; светло-голубые цвета призваны увеличить ток позитивной энергии через расслабленное тело, а робот-массажёр, ломающий пациентам конечности, уже заменён на аналогичную модель. Всё это рассказала вам милого вида (из серии зубы это единственное что у неё осталось своего) массажистка со скрипящим при ходьбе бюстом. Как бы то ни было, здесь вы можете полностью излечиться физически и духовно. Только не забудьте заплатить 50 долларов за процедуры.';
		else p 'Здесь вы можете полностью излечиться физически и духовно. Только не забудьте заплатить 50 долларов за процедуры.'; end;
	end;
	phr = {
		{always = true, 'Поднять мораль.', code[[if Moral < MaxMoral and Dollars > 50 then Moral = MaxMoral; Dollars = Dollars - 50; p 'Ощущая приятную расслабленность, вы понимаете что снова готовы к подвигам.'; elseif Moral == MaxMoral then p 'Хм, а зачем мне процедуры, если я и так хоть куда.'; else p 'Денег явно не хватает.' end;]]};
		{always = true, 'Поднять здоровье.', code[[if Life < MaxLife and Dollars > 50 then Life = MaxLife; Dollars = Dollars - 50; p 'Ощущая приятную расслабленность, вы понимаете что снова готовы к подвигам.'; elseif Life == MaxLife then p 'Хм, а зачем мне процедуры, если я и так хоть куда.'; else p 'Денег явно не хватает.' end;]]};
		{always = true, 'Выход.', nil, [[back();]]};
	};
};

Restroom = dlg {
	nam = 'Комната отдыха';
	pic = 'gfx/12.png';
	enter = function()
		p 'Комната отдыха, очевидно, изначально задумывалась как презентабельного вида место, однако время расставило всё на свои места и перед вами открылось заведение с выложенным кафелем полом (то тут, то там проступали без особой тщательности смытые пятна крови); с заточенными под дуб стенами (вы насчитали 26 прожогов от окурков); стойкой, у которой с кишками были вырваны стулья, отчего подвыпившим солдатам приходилось либо стоять, либо садиться за столики (ни одного свободного, естественно, уже нет). У бармена можно заказать следующие напитки:';
		if Perk == 'Алкоголик' then pon 'alk'; end;
		if sabotage >= 1 and sabotage < 5 then pon 'sab'; end;
	end;
	phr = {
		{tag = 'sab', false, 'Бармен, вы слышали что-то о роботах на причалах?', '-- Говорят, что разваливаются на ходу. Кто-то тут из докеров вчера разорялся, что повыкидывал бы всех их в воду.', [[pon 'sab2';]]};
		{tag = 'sab2', false, code[[p('А кто именно это говорил? (Разговор - ', Speech*10, '%).');]], code[[if Speech >= rnd(10) and Moral > 0 then p '-- Докер, как докер, я что всех их по именам знаю? В сером комбинезоне. Зайди в их отсек, проход с причала.'; ways(Mooring):add(Dockers); sab_3 = 1; Exp = Exp + 50; elseif Moral > 0 then Moral = Moral - 1; p '-- Да, не помню я. Пить чего будешь? Тогда вали отсюда.'; pon 'sab2'; end;]]};
		{always = true, 'Вода дистиллированная (на разлив) – 50 долларов', code[[
			if Moral < MaxMoral and Dollars >= 50 then Dollars = Gold - 50; Moral = Moral + rnd(15); p '-- Давай-ка плесну тебе в стакан. Самая чистая вода на всем свете. Наша химическая лаборатория гарантирует.^Вы выпиваете дистиллированной воды и чувствуете что настроение улучшается.';
				if Moral > MaxMoral then Moral = MaxMoral; end;
			elseif Dollars < 150 then p '-- Стоять, маловато ты мне баксов суешь. Нужно больше.';
			else p '-- Ты же сейчас лопнешь.'; end;]]};
		{always = true, 'Газированная вода – 15 долларов.', code[[
			if Dollars > 15 and not have 'aerated_water' then take 'aerated_water'; Dollars = Dollars - 15; p '-- Вот твоя вода.';
			elseif Dollars < 15 then p '-- Стоять, маловато ты мне баксов суешь. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Нюка-кола – 5 долларов', code[[
			if Dollars > 5 and not have 'nuke_cola' then take 'nuke_cola'; Dollars = Dollars - 5; p '-- Теплая и выдохшаяся, как мы все любим.';
			elseif Dollars < 5 then p '-- Стоять, маловато ты мне баксов суешь. Нужно больше.';
			else p 'Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{tag = 'alk', false, 'Водка – 50 долларов.', code[[
			if Dollars > 50 and not have 'vodka' then take 'vodka'; Dollars = Dollars - 50; p '-- Выпивка что надо.';
			elseif Dollars < 50 then p '-- Стоять, маловато ты мне баксов суешь. Нужно больше.';
			else p 'Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Разумеется, никто (пока?) не держит вас, поэтому вы можете свободно уйти.', nil, [[back();]]};
	};
};

Main_exit = room {
	nam = 'Главный вход';
	pic = 'gfx/00.png';
	dsc = 'Главный вход представляет собой обширное помещение, на полу искусно выгравирован логотип Анклава, по периметру поставлены турели. Вторжение отсюда почти наверняка захлебнётся кровью, в центре стоит {xwalk(comp_dlg)|компьютерный терминал}, в основном для регистрации прибывающих, хотя из него есть выход в Poseidon Net.';
	way = {'Main_corridor'};
};

Laboratory_112 = dlg {
	nam = 'Лаборатория 112';
	pic = 'gfx/65.png';
	enter = function()
		p 'Вы смело открываете дверь, преграждающую вам путь.^-- Добрый день, солдат, зови меня Мэйнс. Чем я могу вам помочь?';
		if have 'minigan_avenger' then pon 'mini'; poff 'one'; p 'При виде минигана торчащего из вашего рюкзака, его глаза загораются.^-- Это то, о чем я думаю?'; minigan = 2; end;
		if sabotage == 5 then pon 'metr'; end;
		if search_lora == 4 then pon 'lora'; end;
	end;
	phr = {
		{tag = 'one', 'Вы представляетесь и интересуетесь, нет ли у отдела каких-либо проблем, которые вы могли бы помочь им решить.', '-- Конечно, есть! Дело в том, что одним из основных видов ручного оружия солдат Анклава является миниган (особенно им грешат в службе безопасности из-за побочного психологического эффекта), однако он уже безнадежно устарел! От службы разведки мы узнали о новой модификации этого оружия «Мститель», на голову превосходящий обычный миниган, который видели в одном из магазинов во Внешнем мире. Если бы мы получили в своё распоряжение один из образцов, то, несомненно, смогли бы повторить его в своей лаборатории и выдать за свою разработку.', [[pon 'two']]};
		{tag = 'two', false, 'Это ещё зачем?', '-- Видишь ли, руководство Анклава свято убеждено в своём техническом превосходстве над всем остальным миром. Они никогда не пойдут на использование оружия производства не Анклава, как заведомо ненадёжного. Поэтому приходится хитрить.', [[minigan = 1;]]};
		{tag = 'mini', false, 'Да, это Мститель. Но стволы погнуты и спусковой механизм...', '-- Неважно, неважно! Все это решаемо, главное что есть образец. Мы сможем внедрить его в производство за пару лет. Вот пара сотен баксов, это твоя награда.', [[remove(minigan_avenger, me); Dollars = Dollars + 250; Exp = Exp + rnd(50); pon 'three';]]};
		{tag = 'three', false, 'Крутота, Мейнс. -- Вы сунули пачку баксов в карман и попрощались.', '-- Стой. Ты кстати слышал новости?', [[pon 'four';]]};
		{tag = 'four', false, 'Какие именно?', '-- Саботажники! На пристани несколько роботов развалились на ровном месте. Я чинил пару из них и провод привода там не перетерся, он был перерезан! Я думаю это дело СБ, но Джек сказал что свободных людей сейчас нет, чтобы заниматься моей паранойей.', [[pon 'five';]]};
		{tag = 'five', false, 'Хм, я поспрашиваю. Может кто-то видел что-то подозрительное. Ну а теперь точно пока.', '-- Спасибо, если что за мной не заржавеет.', [[sabotage = 1;]]};
		{tag = 'metr', false, 'Я нашел саботажника, теперь роботы не будут ломаться.', '-- Отличные новости. Вот небольшая награда из резервных фондов. Держи, ты заслужил. Но у меня к тебе есть еще дело.', [[Dollars = Dollars + 250; Exp = Exp + rnd(50); pon 'metr2'; sabotage = 6;]]};
		{tag = 'metr2', false, 'Какое дело?', '-- У Метрикса, ты его знаешь, старый ремонтник. Пропала дочь! Трудно в такое поверить, похоже она сбежала на материк. Как? Зачем? Чего ей здесь не сиделось, молодежь деградирует прямо на глазах.', [[pon 'metr3';]]};
		{tag = 'metr3', false, 'Куда она сбежала?', '-- В Сан-Франциско же. Ближе тут нет городов. Утащила моторку и уплыла.', [[pon 'metr4';]]};
		{tag = 'metr3', false, 'Как зовут девушку?', '-- Лора. Блондинка, была в простом комбинезоне.', [[pon 'metr4';]]};
		{tag = 'metr4', false, 'Хорошо, я займусь этим делом.', '-- Только на тебя надежда. Мой лучший работник пропадает. Метрикс то есть. Работа над Мстителем встала. До Сан-Франциско ты можешь добраться на лодке с причала. Парни иногда катаются туда за припасами и девочками.', [[search_lora = 1;]]};
		{tag = 'lora', false, 'Я нашел Лору и лучше не спрашивайте в какой дыре.', '-- Отличная работа. Вот небольшая награда из резервных фондов. Гуляй на все.', [[Dollars = Dollars + 500; Exp = Exp + rnd(50); search_lora = 5;]]};
		{always = true, 'Выйти из лаборатории.', nil, [[walk(Corridor_A);]]};
	};
};

Research_Laboratory = dlg {
	nam = 'Научный отдел';
	pic = 'gfx/66.png';
	enter = function()
		if visits() == 0 then pon 'rob';
			p 'Стоит вам переступить порог научного отдела, как внушительных размеров робот с табличкой СНО-1120  преграждает вам путь с вопросом.^-- Ты кто?';
		else p 'Вы в научной лаборатории. Тут вас могут обучить немного науке. Если конечно есть финансы, забесплатно с вами никто и разговаривать не станет.';
		end;
		if sabotage < 4 and sabotage > 0 then pon 'sab'; end;
	end;
	phr = {
		{tag = 'rob', false, 'Турук Макто.', '-- Мозг выполнил недопустимую функцию и будет перезагружен. -- Остроумно заметил робот и развалился.^-- Опять! -- Подбегая, воскликнул человек в белой одежде. -- Извините его, он так реагирует на любой ответ, кроме кодовой фразы «Пингвины летят на юго-запад».', [[poff 'rob'; pon 'rob2';]]};
		{tag = 'rob', false, 'Конь в пальто.', '-- Мозг выполнил недопустимую функцию и будет перезагружен. -- Остроумно заметил робот и развалился.^-- Опять! -- Подбегая, воскликнул человек в белой одежде. -- Извините его, он так реагирует на любой ответ, кроме кодовой фразы «Пингвины летят на юго-запад».', [[poff 'rob'; pon 'rob2';]]};
		{tag = 'rob', false, 'Ego homo sum!', '-- Мозг выполнил недопустимую функцию и будет перезагружен. -- Остроумно заметил робот и развалился.^-- Опять! -- Подбегая, воскликнул человек в белой одежде. -- Извините его, он так реагирует на любой ответ, кроме кодовой фразы «Пингвины летят на юго-запад».', [[poff 'rob'; pon 'rob2';]]};
		{tag = 'rob2', false, 'Простите, а что обозначает СНО в названии робота?', '-- Сверхнадежный охранник. -- Не моргнув и глазом, ответил лаборант. -- Впрочем, если вам нужна помощь с обучением, то я к вашим услугам.', [[pon 'sc';]]};
		{tag = 'sab', false, 'Вы слышали что-то о поломках роботов на причале?', '-- Слышал, там применяются устаревшие модели Мистера Хенди для переноски грузов, ничего удивительного, что они ломаются.'};
		{tag = 'sc', false, code[[p ('Наука - ', Science, '. Увеличить? (', 500*Science,' долларов)');]], code[[if Science < 10 and Dollars > 500*Science then Dollars = Dollars - 500*Science; Science = Science + 1; levelup(); p '-- Готово.'; elseif Science == 10 then p '-- Ты уже все знаешь и не найдешь тут ничего нового.'; else p '-- Ты слишком беден для обучения.'; end; pon 'sc';]]};
		{always = true, 'Выйти из лаборатории.', nil, [[walk('Corridor_A');]]};
	};
};

Promotion_department = room {
	nam = 'Отдел пропаганды';
	pic = 'gfx/00.png';
	dsc = function()
		if mission < 6 then p 'Вы смело открываете дверь «Отдела пропаганды». Первое, что вам бросилось в глаза, это наличие {poster|растяжки} через всю комнату. За столом с какими-то бумагами работает {xwalk(Joseph)|мужчина в черной куртке}.';
		else p 'Вы смело открываете дверь «Отдела пропаганды». Тут наконец поменяли {poster2|растяжку} с лозунгом. За столом с какими-то бумагами работает {xwalk(Joseph)|мужчина в черной куртке}.'; end;
	end;
	obj = {xact('poster', '"При слове культура моя рука тянется к пистолету. Йодль."^Весьма уместная речёвка в этом месте.'); xact('poster2', '"Все люди равны, но некоторые из них мутанты и заслуживают смерть через канапуки."');};
	way = {'Corridor_A'};
};

Joseph = dlg {
	nam = 'Йозеф';
	pic = 'gfx/00.png';
	enter = function()
		p '-- Могу вам чем-нибудь помочь?';
		if mission == 3 and not have 'modulator' then pon 'mod'; end;
		if sabotage < 4 and sabotage > 0 then pon 'sab'; end;
		if mission >= 6 then pon 'pos'; end;
	end;
	phr = {
		{tag = 'pos', false, 'Вижу вы новый лозунг повесили, что-то не особо он впечатляет.', '-- И не говори! Мне и самому он не нравится, а что делать? Вот, если бы ты попытался придумать что-нибудь сам, ты бы понял как это тяжело. Нам нужен девиз! Символ!', [[pon 'pos2';]]};
		{tag = 'pos2', false, 'Поддержи Великий проект! Подели всё по-братски: отдай Америку -- людям, победу -- Анклаву, пятьсот гектаров земли -- тебе, смерть -- мутантам.', '-- Неплохо, но длинновато. Впрочем идея неплоха, можно попробовать.'};
		{tag = 'sab', false, 'Вы слышали что-то о роботах на причале?', '-- Проделки антиправительсвенных элементов! Вот что это! Я собираюсь выпустить по этому поводу коммюнике.'};
		{'Чем вы тут занимаетесь?', '-- Проходите, проходите, меня зовут Йозеф, мы занимаемся здесь созданием имиджа всем авантюрам нашего правительства. Ведь мы не хотим, чтобы все возненавидели наше правительство, верно? Впрочем сейчас я немного занят и если у вас нет каких-либо важных вопросов, то я предпочел бы вернуться к делу.'};
		{tag = 'mod', false, 'У вас есть модулятор?', '-- Модулятор? Да, у нас есть один. Но он используется в громкоговорителе. Ага. У нас полетела громкая связь, поэтому мы подключили колонки напрямую к диспетчерскому пункту, а для этого нам нужен модулятор. Мне не жалко, я бы тебе его отдал, да вот не дождёшься от службы техпомощи, чтобы тебе помогли.', [[pon 'mod1';]]};
		{tag = 'mod1', false, code[[p('Попробовать отремонтировать громкую связь (Ремонт - ', Repair*10, '%).');]], code[[if Repair >= rnd(10) then take 'modulator'; p 'Вам торжественно вручают модулятор и вы довольный отправляетесь в отдел Информации.'; Exp = Exp + 100; back(); elseif Moral > 0 then Moral = Moral - 1; end; pon 'mod1';]]};
		{always = true, 'Вопросов более не имею.', '-- Ну тогда прощайте.', [[back();]]};
	};
};

Provulli = dlg {
	nam = 'Провулли';
	pic = 'gfx/00.png';
	enter = function()
		p 'Толстый чиновник, видимо Провулли, изображает видимость бурной деятельности, копаясь в каких-то бумагах на столе.';
		if mission == 3 and not have 'modulator' then
			pjump 'one';
		else
			pjump 'zero';
		end;
	end;
	phr = {
		{tag = 'zero', always = true, 'Эм, можно вопрос?', '-- Закройте дверь немедленно! И не мешайте работать! -- Прокричал тостяк и кинул в вас степлером. К счастью ваша реакция позволила вам захлопнуть вовремя дверь и степлер ударился о нее.', [[back();]]};
		{};
		{tag = 'one', 'У вас должен быть модулятор, меня послали из отдела информации.', '-- Отдать вам МИОКр-СПрТ 51874-3? Да вы с ума сошли! -- выпучив глаза, закричал Провулли.', [[pon 'two']]};
		{tag = 'two', false, 'Но, это очень важно для операции по поимке преступника!', '-- Да хоть самого дьявола! -- глаза человека расширились до опасных пределов, -- Чтобы управлять МИОКр-СПрТ 51874-3, необходимы годы тренировок и как минимум двести пятьдесят едениц айкью!', [[pon 'three']]};
		{tag = 'three', false, 'Я буду очень аккуратен!', 'Глаза Провулли, с едва различимым хрустом, расширились ещё сильнее. -- Нет!', [[pon 'one1']]};
		{tag = 'one1', false, code[[p('Попробовать уговорить по хорошему. (Разговор - ', Speech*10, '%).');]], code[[
			if Speech >= rnd(10) and Moral > 0 then
				take 'modulator';
				p '-- Абсолютно случайно я заметил, что на вашем столе такой порядок, какой редко встретишь на столах обычных чиновников. Наверняка, вы получили это место с большим трудом, и сильно им дорожите.^ Провулли нервно дёрнулся: На что вы намекаете?^ -- Видите ли, модулятор нужен не мне, и даже не радистам. Он нужен гражданину Олдвину. Следишь за мыслью? Я могу сказать ему, что некий Провулли сорвал задание из-за своей жадности. Или могу шепнуть ему, что успеху обязан одному чиновнику.^Провулли разумно предпочёл последнее.';
				Exp = Exp + 100;
				poff 'one1';
			elseif Moral > 0 then Moral = Moral - 1; p '-- Нет, нет и еще раз нет!'; pon 'one1'; end;]]};
		{tag = 'one1', false, 'Дать чудовищных размеров взятку.', 'ВЗЯТКА!? Да, как вы смеете! Чудовищных размеров, говорите? Ну, ладно, в порядке исключения, 300 долларов.', [[pon 'money';]]};
		{tag = 'one1', false, 'А где хранятся модуляторы?', '-- Остался только один и лежит на складе рядом. Но тебе он не достанется!'};
		{tag = 'money', false, 'Дать денег.', code[[if Dollars > 300 then p 'Что-то недовольно бурча, Провулли засунул ваши кровные 300 долларов себе в ящик стола. А затем, не глядя вам в глаза, густо покраснев, протянул в вашу сторону модулятор: «Вы у меня первый», скромно ввернул он.'; take 'modulator'; Exp = Exp + 50; poff 'one1'; else p 'Нехорошо поступаете молодой человек, сначала предлагаете денег, а потом оказывается у вас их нет. Вон! Вон из моего кабинета!'; pon 'one1'; end;]]};
		{always = true, 'Выйти из кабинета.', nil, [[back();]]};
	};
};

Warehouse = dlg {
	nam = 'Склад';
	pic = 'gfx/00.png';
	enter = function()
		p 'Склад, как склад. Массивная дверь заперта, на табличке написано "Ответственный: Провулли."';
		if mission == 3 and not have 'modulator' then
			pon 'steal';
		end;
	end;
	phr = {
		{tag = 'steal', false, code[[p('Взломать замок. (Воровство - ', Steal*10, '%).');]], code[[
			if Steal >= rnd(10) and Moral > 0 then
				p 'О, тут есть модулятор, который я искал. И пивка бутылка. Отлично.';
				Exp = Exp + 100;
				take 'modulator';
				take 'beer';
			elseif Moral > 0 then Moral = Moral - 1; p 'Ничего не получается, сложный замок.'; pon 'steal'; end;]]};
		{always = true, 'Нечего тут делать, надо идти.', nil, [[back();]]};
	};
};

Arsenal = room {
	nam = 'Арсенал';
	pic = 'gfx/23.jpg';
	enter = function()
		if visits() == 0 then p 'Сразу после поворота в арсенал вы внезапно втыкаетесь носом в  чудесной красоты бюст, обтянутый великолепной кевларовой бронёй защитного цвета. А спустя мгновение, где-то в районе вашего причинного места опасно застревает ствол огнемёта, значительно превышающего по размерам ваш рост.^-- Ты! Если через пятнадцать секунд кто-то не прекратит пялиться на мою грудь, то клянусь, на базе случится третий несчастный случай подряд с обгоревшим мужчиной.^-- Эм, что? Да, мэм, никак нет, мэм.^-- Новобранцы, тьфу. -- И Льюис, как гласит бейджик на её броне, ушла за стойку в дальний угол.'; end;
	end;
	dsc = 'Вы в арсенале. Стены увешаны оружием. В кресле за столом спит начальник арсенала {xwalk(Cristy)|сержант Кристи}. За стойкой в другом углу {xwalk(Lewis)|Льюис} чистит огнемет. Рядом с выходом установлен {xwalk(rank_dlg)|терминал}.';
	way = {'Corridor_B'};
};

rank_dlg = dlg {
	nam = 'Терминал';
	pic = 'gfx/00.png';
	enter = function()
		if rank == 'Рядовой' then pon 'one'; poff 'zero';
		elseif rank == 'Сержант' then pon 'two'; poff 'one';
		elseif rank == 'Лейтенант' then pon 'three'; poff 'two';
		elseif rank == 'Капитан' then pon 'four'; poff 'three';
		elseif rank == 'Майор' then pon 'five'; poff 'four';
		elseif rank == 'Подполковник' then pon 'six'; poff 'five';
		else pon 'zero';
		end;
	end;
	phr = {
		{tag = 'zero', false, 'Активировать терминал.', '-- Требуется подтверждение вашего статуса. Доступ открыт только военнослужащим анклава.'};
		{tag = 'one', false, code[[p('Получить звание сержанта. (Нужно 1000 опыта. Сейчас есть ', Exp, ')');]], code[[if Exp >= 1000 then rank = 'Сержант'; levelup(); Exp = Exp - 1000; p '-- Готово.'; else p '-- Вашего опыта недостаточно для повышения звания.'; end;]]};
		{tag = 'two', false, code[[p('Получить звание лейтенанта. (Нужно 1000 опыта. Сейчас есть ', Exp, ')');]], code[[if Exp >= 1000 then rank = 'Лейтенант'; levelup(); Exp = Exp - 1000; p '-- Готово.'; else p '-- Вашего опыта недостаточно для повышения звания.'; end;]]};
		{tag = 'three', false, code[[p('Получить звание капитана. (Нужно 1000 опыта. Сейчас есть ', Exp, ')');]], code[[if Exp >= 1000 then rank = 'Капитан'; levelup(); Exp = Exp - 1000; p '-- Готово.'; else p '-- Вашего опыта недостаточно для повышения звания.'; end;]]};
		{tag = 'four', false, code[[p('Получить звание майора. (Нужно 1000 опыта. Сейчас есть ', Exp, ')');]], code[[if Exp >= 1000 then rank = 'Майор'; levelup(); Exp = Exp - 1000; p '-- Готово.'; else p '-- Вашего опыта недостаточно для повышения звания.'; end;]]};
		{tag = 'five', false, code[[p('Получить звание подполковника. (Нужно 1000 опыта. Сейчас есть ', Exp, ')');]], code[[if Exp >= 1000 then rank = 'Подполковник'; levelup(); Exp = Exp - 1000; p '-- Готово.'; else p '-- Вашего опыта недостаточно для повышения звания.'; end;]]};
		{tag = 'six', false, 'Активировать терминал.', '-- Добрый день подполковник. Дальнейшее повышение звания обеспечивается только письменными приказами президента. Данный терминал вам ничем не поможет.'};
		{always = true, 'Выключить терминал.', nil, [[back();]]};
	};

};

Cristy = dlg {
	nam = 'Сержант Кристи';
	pic = 'gfx/23.jpg';
	enter = function()
		if mission == 40 then
			p '-- Джек приказал снарядить тебя по полной, это броня для командного состава, так что не вздумай что-то сломать или потерять.';
			pjump 'mis40';
		elseif rank == 'Рядовой' then pjump 'one';
		elseif rank == 'Сержант' then pjump 'two';
		elseif rank == 'Лейтенант' then pjump 'three';
		elseif rank == 'Капитан' then pjump 'four';
		elseif rank == 'Майор' or rank == 'Подполковник' then pjump 'five';
		else pjump 'zero';
		end;
	end;
	phr = {
		{tag = 'zero'};
		{always = true, 'Можно спросить?', '-- Парень, проваливай отсюда, это арсенал для вояк. Призывной пункт в коридоре А. А лучше сразу к Джеку Олдвину зайди, он искал мясо для своих операций на континенте.', [[back()]]};
		{tag = 'one'};
		{always = true, 'Боевая кожаная куртка.', '-- Держи куртку, тут еще и карманы есть.', code[[armor = 1; armor_count = 0.8;]]};
--		{always = true, 'Мантия.', 'Держи.', code[[armor = 2; armor_count = 10;]]};
--		{always = true, 'Силовая броня T-51b.', 'Держи.', code[[armor = 6; armor_count = 0.5;]]};
--		{always = true, 'Фонарик.', 'Держи.', code[[weapon = '00'; damage = 5;]]}; -- дефолт
		{always = true, 'Силовой кастет.', '-- Держи.', code[[if tonumber(weapon) <= 2 then weapon = '01'; damage = 24; else p 'Зачем мне этот хлам, мой ствол круче.'; end;]]};
		{always = true, 'Пистолет 10мм.', '-- Держи.', code[[if tonumber(weapon) <= 2 then weapon = '02'; damage = 12; else p 'Зачем мне этот хлам, мой ствол круче.'; end;]]};
--		{always = true, 'Пистолет-пулемет 10мм.', 'Держи.', code[[weapon = '03'; damage = 20;]]}; -- в Дене
--		{always = true, 'Штурмовая винтовка.', 'Держи.', code[[weapon = '06'; damage = 22;]]}; -- санфран
--		{always = true, 'Пистолет 0,223.', 'Держи.', code[[weapon = '09'; damage = 30;]]}; -- выдает Джек
--		{always = true, 'Охотничье ружье.', 'Держи.', code[[weapon = '10'; damage = 25;]]}; -- волтсити
--		{always = true, 'Дробовик.', 'Держи.', code[[weapon = '11'; damage = 28;]]}; -- в кламате
--		{always = true, 'Лазерный пистолет.', 'Держи.', code[[weapon = '13'; damage = 25;]]}; -- в дене в бункере БС
--		{always = true, 'Гаусс-пистолет.', 'Держи.', code[[weapon = '14'; damage = 32;]]}; -- санфран
--		{always = true, 'Снайперская винтовка.', 'Держи.', code[[weapon = '16'; damage = 34;]]}; --волтсити
--		{always = true, 'Миниган.', 'Держи.', code[[weapon = '17'; damage = 44;]]}; -- ньюрено, санфран
--		{always = true, 'Лазерная винтовка.', 'Держи.', code[[weapon = '19'; damage = 50;]]}; --нкр
--		{always = true, 'Винтовка FN FAL.', 'Держи.', code[[weapon = '20'; damage = 50;]]}; - санфран
--		{always = true, 'Гранатомет.', 'Держи.', code[[weapon = '22'; damage = 100;]]}; --волтсити
--		{always = true, 'Турбоплазма-винтовка.', 'Держи.', code[[weapon = '24'; damage = 70;]]};
--		{always = true, 'Гатлинг-лазер.', 'Держи.', code[[weapon = '25'; damage = 140;]]}; --санфран
--		{always = true, 'Гаусс-винтовка.', 'Держи.', code[[weapon = '26'; damage = 65;]]}; --санфран
--		{always = true, 'Инопланетный бластер.', 'Держи.', code[[weapon = '27'; damage = 90;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
		{tag = 'two'};
		{always = true, 'Кожаная броня.', '-- Держи.', code[[armor = 3; armor_count = 0.75;]]};
		{always = true, 'Потрошитель', '-- Держи.', code[[if tonumber(weapon) <= 5 then weapon = '04'; damage = 32; else p 'Зачем мне этот хлам, мой ствол круче.'; end;]]};
		{always = true, 'Дезерт Игл.', '-- Держи.', code[[if tonumber(weapon) <= 5 then weapon = '05'; damage = 20; else p 'Зачем мне этот хлам, мой ствол круче.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
		{tag = 'three'};
		{always = true, 'Стальная броня.', '-- Держи.', code[[armor = 4; armor_count = 0.65;]]};
		{always = true, 'Супер-кувалда.', '-- Держи.', code[[if tonumber(weapon) <= 12 then weapon = '07'; damage = 36; else p 'Зачем мне этот хлам, мой ствол круче.'; end;]]};
		{always = true, 'Пистолет 14мм.', '-- Держи.', code[[if tonumber(weapon) <= 12 then weapon = '08'; damage = 22; else p 'Зачем мне этот хлам, мой ствол круче.'; end;]]};
		{always = true, 'Плазма-пистолет.', '-- Держи.', code[[if tonumber(weapon) <= 12 then weapon = '12'; damage = 25; else p 'Зачем мне этот хлам, мой ствол круче.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
		{tag = 'four'};
		{always = true, 'Боевая броня.', '-- Держи.', code[[armor = 5; armor_count = 0.6;]]};
		{always = true, 'Боевой дробовик.', '-- Держи.', code[[if tonumber(weapon) <= 18 then weapon = '15'; damage = 26; else p 'Зачем мне этот хлам, мой ствол круче.'; end;]]};
		{always = true, 'Огнемет.', '-- Держи.', code[[if tonumber(weapon) <= 18 then weapon = '18'; damage = 30; else p 'Зачем мне этот хлам, мой ствол круче.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
		{tag = 'five'};
		{always = true, 'Силовая броня Анклава.', '-- Держи.', code[[armor = 7; armor_count = 0.45;]]};
		{always = true, 'Винтовка Энфилд.', '-- Держи.', code[[if tonumber(weapon) <= 24 then weapon = '21'; damage = 55; else p 'Зачем мне этот хлам, мой ствол круче.'; end;]]};
		{always = true, 'Плазма-винтовка.', '-- Держи.', code[[if tonumber(weapon) <= 24 then weapon = '23'; damage = 65; else p 'Зачем мне этот хлам, мой ствол круче.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
		{tag = 'mis40'};
		{always = true, 'Силовая броня Анклава.', '-- Держи.', code[[armor = 7; armor_count = 0.45;]]};
		{always = true, 'Гаусс-пистолет.', '-- Держи.', code[[weapon = '14'; damage = 32;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

Lewis = dlg {
	nam = 'Льюис';
	pic = 'gfx/24.png';
	enter = function()
	end;
	phr = {
		{tag = 'one', 'Подкатить к Льюис. (Наука)', code[[
			if Science == 1 then
				p 'Напустив на себя таинственный вид вы решаете поговорить с Льюис на тему, э-э-э… а-а-а… м-м-м… хм… кхе-кхе… «Гы-гы-гы», вы, наконец, решились начать диалог, Льюис слегка кривится потом отворачивается, давая вам понять, что сеанс разговора окончен. Вам следует стать немного поумнее прежде, чем браться за такое ответственное дело как ухаживание за девушкой (даже если эта девушка Льюис).';
			elseif Science == 2 then
				p 'Вы возвращаетесь к Льюис: «Какая погодка прекрасная, кто бы мог подумать, что пулемёт следует смазывать маслом МСР-295?». Льюис оживлённо подхватывает: «И не говори, по стандарту надо делать это щёткой, но как скажи мне на милость, залезть под боёк?». Вы проговорили на эту тему с Льюис добрых два часа, после чего попытались до неё дотронуться, за что и получили несильный (вы явно симпатичны девушке) удар прикладом под ребро, наверное, стоит применить какой-то другой метод.';
			elseif Science == 3 then
				p 'Вас как магнитом тянет к этой невыразительной в общем-то девушке (ещё бы, пол её лица скрыто защитными очками). Вы, разумеется, уже придумали о чём с ней беседовать, цитаты из Шопена, записанные на обороте рукава готовы, однако ни они, ни вызубренные названия созвездий, должные по идее уничтожить её способность к женскому сопротивлению, вам к сожалению не помогли, несмотря на то, что обычно действуют безотказно. Льюис совершенно не силится вас понять, возможно вы что-то делаете не так?';
			elseif Science == 4 and lewis ==  0 then
				p 'Вы решаете показать Льюис свои знания истории: «Не могу поверить, что в двадцатом веке маршрутизация осуществлялась через прокси». Взгляд Льюис странно меняется, потом внезапно она прыгает на вас сверху и стремительно начинает стягивать с себя броню. Собственно то, чего вы так долго добивались и свершилось.';
				Life = MaxLife;
				Moral = MaxMoral;
				Exp = Exp + 100;
				lewis = 1;
			else
				p 'Вы подходите к Льюис, чтобы поболтать о том, о сём, но через пять минут замечаете престраннейшую вещь. Боже, какая же она ДУРА! Как вы раньше этого не замечали? Нет, вы совершенно точно не будете с ней больше разговаривать. Какие ещё серьёзные отношения? У неё на уме только пулемёты, да кевларовая броня, к тому же такие неумные девушки больше вас не возбуждают. Слегка подзадрав нос вы гордо уходите от Льюис подальше.';
			end;]]};
		{always = true, 'Уйти.', nil ,[[pon 'one'; back();]]};
	};
};

Biodevelopment = room {
	nam = 'Отдел биоразработок';
	pic = 'gfx/04.jpg';
	dsc = 'Вы в Отделе биоразработок. Почти сотня медиков и ксенобиологов нашли здесь место для опытов и работы, это подтверждают валяющиеся повсюду тела, конечности и ошмётки плоти созданий, видеть которых вживую вам бы не хотелось ни за что на свете. Впрочем, хирурги умеют не только расчленять. И кстати отделу постоянно требуется биомасса для опытов, поэтому если есть какие-нибудь фрагменты тел, то их здесь купят. В небольшом закутке с документами работает {xwalk(Kerling)|доктор Кёрлинг}. В операционной по соседству в тушке кротокрыса копается {xwalk(Mackey)|доктор Маккей}. Рядом с выходом установлен {xwalk(med_terminal)|терминал}.';
	way = {'Corridor_C'};
};

Kerling = dlg {
	nam = 'Доктор Кёрлинг';
	pic = 'gfx/00.png';
	enter = function()
		if kerling == 0 then pon 'wan'; end;
		if have 'vanamingo_corpse' then pon 'wan2'; kerling = 2; end;
		if kerling == 3 then pon 'reno'; kerling = 4; end;
		if kerling == 5 then pon 'holo'; kerling = 6; end;
		if sabotage < 4 and sabotage > 0 then pon 'sab'; end;
		if kerling == 8 then pon 'holo2'; kerling = 9; end;
	end;
	phr = {
		{tag = 'sab', false, 'Вы слышали что-то о поломках роботов на причале?', '-- Нет, мне кажется этим должны заниматься механики, а не отдел биоразработок, хотя у меня была пара идей с имплантацией чипа управления смертекогтям...'};
		{tag = 'wan', false, 'Здравствуйте, доктор Кёрлинг. Могу ли я чем-то помочь?', code[[
			if rank == 'Лейтенант' or rank == 'Капитан' or rank == 'Майор' or rank == 'Подполковник' then
				p 'Доктор Кёрлинг принял вас более, чем радушно: Конечно можешь! У тебя большое будущее, мой друг! Ты сделал шаг в правильном направлении, генетика, биотехнологии – это наше завтра. У меня есть одно дельце, которое нужно выполнить именно военному, думаю ты справишься. На материке имеется вид весьма необычных мутантов, в северном городе Реддинге зовут их «ванаминго», ходят слухи, что это инопланетяне. Как бы то ни было, первое, что нам необходимо сделать – это исследовать их тела. Для этого нужны, как нетрудно догадаться сами трупы. Вот этим и займись, солдат.';
				take 'map3';
				kerling = 1;
				mission = 102;
			else p '-- Мне нужен опытный военный для одного задания, не думаю что ты подходишь для этого.';
			end;]]};
		{tag = 'wan2', false, 'Здравствуйте, доктор Кёрлинг. Кажется у меня есть то, что вам нужно.', 'Отлично, сбрось эту тушу на тот стол. Держи, тут небольшая премия за труды. И я хотел бы тебя послать еще в одно место.', [[Dollars = Dollars + 500; Exp = Exp + 500; remove('vanamingo_corpse', me); take 'first_aid_kit'; pon 'wan3';]]};
		{tag = 'wan3', false, 'Какое место? И я работаю на Джека.', 'Джек в курсе. А место тебе понравится. Нью-Рено. Оплот проституции и наркомании.', [[pon 'wan4';]]};
		{tag = 'wan4', false, 'Звучит интересно.', 'Тогда слушай задание. В этом городе весьма популярен наркотик джет. Мы достали образец и провели пару тестов. Весьма интересная химическая структура и алколоидные белки, впрочем неважно. Главное что этот джет может стать основой для нового боевого препарата. Но для опытов нам нужны довольно-таки большие объемы наркотика. Твоя задача договориться с местными криминальными боссами о поставках. Естественно строгая секретность должна быть обеспечена.', [[pon 'wan5';]]};
		{tag = 'wan5', false, 'Отлично, когда вылетать?', 'Как можно быстрее. Держи карту для пилота, а то они собственную ширинку без карты найти не могут.', [[take 'map4';]]},
		{tag = 'reno', false, 'Здравствуйте, доктор Кёрлинг. Предварительное соглашение заключено с Сальваторе.', 'Отлично. Вот премия и у тебя есть пара дней на отдых. Если ты конечно устал от походов по казино. Ха-ха. После чего тебя ждет новая задача.', [[Dollars = Dollars + 500; Exp = Exp + 500; pon 'reno2';]]};
		{tag = 'reno2', false, 'Какая задача?', 'Рвешься в бой? Отлично. По данным разведки восточнее Нью-Рено есть Город-Убежище построенное выходцами из убежища 8. Нужно пробраться в убежище и скачать всю информацию из главного компьтера на этот голодиск. Но есть небольшая проблема.', [[take 'holodisc'; pon 'reno3';]]};
		{tag = 'reno3', false, 'Какая проблема?', 'Наши вертибёрды не могут без дозаправки летать так далеко. Тебя могут подкинуть до Реддинга или Нью-Рено, а оттуда тебе нужно будет искать способ добраться до цели.', [[pon 'reno4';]]};
		{tag = 'reno4', false, 'Я думаю, я смогу это сделать.', 'Отлично, вот возьми еще стимпак на всякий случай. Удачи.', [[take 'stimpack'; kerling = 4;]]};
		{tag = 'holo', false, 'Здравствуйте, доктор Кёрлинг. Вот ваш голодиск с данными из Убежища 8.', 'Отлично. Эта информация сильно нам поможет. Медицинские исследования... Замечательно. Вот твоя премия. Если интересует, то есть еще кое-какое задание в глубине континента.', [[Dollars = Dollars + 500; Exp = Exp + 500; remove('holodisc', me); pon 'ncr';]]};
		{tag = 'ncr', false, 'Что за задание?', '-- Стало известно что один из сбежавших, доктор Генри, обосновался в столице Новой Калифорнийской Республики. Он унес с собой свою работу по ретро-эволюционному вирусу и скорее всего продолжил исследования на новом месте. Я бы хотел получить эту информацию. Ты сам понимаешь что наши вертибёрды туда не долетают и тебе придется как-то самому найти туда путь.', [[pon 'ncr2';]]};
		{tag = 'ncr2', false, 'Я смог добраться до Города-Убежище, значит смогу добрать и до НКР.', '-- Отлично, жду тебя здесь с результатом.', [[kerling = 7;]]};
		{tag = 'holo2', false, 'Здравствуйте, доктор Кёрлинг. Вот ваш голодиск с данными от доктора Генри.', 'Отлично. Экспериментальные данные с сывороткой, очень-очень интересно. Вот твоя награда и на этом пока все.', [[Dollars = Dollars + 500; Exp = Exp + 500; remove('holodisk2', me); mission = 103;]]};
		{always = true, 'Отойти от доктора.', nil, [[back();]]},
	};
};

Mackey = dlg {
	nam = 'Доктор Маккей';
	pic = 'gfx/00.png';
	enter = function()
		if mission == 6 then pon 'mis6';
		else pon 'not';
		end;
	end;
	phr = {
		{tag = 'not', 'Э, доктор?', '-- Маккей моя фамилия! И что вы тут забыли, не мешайте работать!'};
		{tag = 'mis6', false, 'Здравствуйте доктор Маккей. Джек сказал обратиться к вам за заданием.', '-- Привет-привет, да я Маккей, но для друзей -- Заведующий Отделом Биоразработок Отделения Внешних Связей Доктор Медицинских Наук Маккей -- Учёный довольно прыснул. -- Шучу, зови меня Джон. Давай, я объясню тебе цель задачи. Фрэнк рассказал, что ты прирождённый разведчик.', [[pon 'mis61';]]};
		{tag = 'mis61', false, 'Ага, это я умею. Найти и пристрелить! Вот мой девиз.', '-- Отлично. Моему отделу не хватает рабочего материала для опытов. Нам необходима живая ткань для исследования влияния, э-э одного вируса, э-э на скажем так клетчатку. Мы пытались использовать браминов, но ты знаешь ведь, эта чёртова Партия Зеленых...', [[pon 'mis62';]]};
		{tag = 'mis62', false, 'И какие же объекты для опытов вам нужны? За супермутантами я охотиться не буду!', '-- Нет-нет, нужны люди. На континенте на север от нас есть пара мелких городков, где процветает работорговля. Конкретно в городе Ден есть шайка, называющая себя Гильдия Работорговцев.', [[pon 'mis63';]]};
		{tag = 'mis63', false, 'Работорговцы?', '-- Именно. Тебе просто надо наладить с ними контакт. Ориентировочная цена – 3000 их золотых за одно тело, но ты постарайся выторговать подешевле. Придётся поработать языком, потому что они не должны узнать о наших вертибёрдах. Придумай что-нибудь. Вот тебе предоплата – 1000 золотых. Тебя доставят в заданный район на вертибёрде с базы Наварро. Вот тебе карта района, отдашь её пилоту на взлётно-посадочной полосе в Наварро. Удачи. По выполнении отчитаешься Джеку Олдвину.', [[take 'map'; Gold = Gold + 1000;]]};
		{always = true, 'Отойти от доктора.', nil, [[back();]]};
	};
};

med_terminal = dlg {
	nam = 'Терминал';
	pic = 'gfx/00.png';
	enter = function()
		if have 'wings' then pon 'wings'; end;
		if have 'jaw' then pon 'jaw'; end;
		if have 'tail' then pon 'tail'; end;
		if have 'canines' then pon 'canines'; end;
	end;
	phr = {
		{always = true, code[[p ('Медицина - ', First_Aid, '. Увеличить? (', 1500*First_Aid,' долларов)');]], code[[if First_Aid < 10 and Dollars > 1500*First_Aid then First_Aid = First_Aid + 1; Dollars = Dollars - 1500*First_Aid; levelup(); elseif First_Aid == 10 then p '-- Ты уже все знаешь и не найдешь тут ничего нового.'; else p '-- Ты слишком беден для обучения.'; end;]]},
		{tag = 'wings', false, 'Продать крылья манты (50 долларов)', code[[if have 'wings' then remove(wings, me); Dollars = Dollars + 50; else p 'Эй, а где крылья-то?'; end;]]},
		{tag = 'jaw', false, 'Продать челюсть смертекогтя (400 долларов)', code[[if have 'jaw' then remove(jaw, me); Dollars = Dollars + 400; else p 'Эй, а где челюсть-то?'; end;]]},
		{tag = 'tail', false, 'Продать хвост радскорпиона (100 долларов)', code[[if have 'tail' then remove(tail, me); Dollars = Dollars + 100; p '-- Готово.'; else p '-- Ошибка?'; end;]]},
		{tag = 'canines', false, 'Продать клыки волка (20 долларов)', code[[if have 'canines' then remove(canines, me); Dollars = Dollars + 20; else p 'Эй, а где клыки-то?'; end;]]},
		{always = true, 'Выход.', nil, [[back();]]},
	};
};

Material = dlg {
	nam = 'Материальный отдел';
	pic = 'gfx/00.png';
	enter = function()
		p 'Во время своих странствий по Внешнему миру вы можете раздобыть различное оборудование, оружие, для таких как вы, а также для развития инфраструктуры Анклава правительством был сформирован этот отдел. Вы попали именно в то место, где у вас такой хлам купят. Оплата происходит только в долларах, поэтому вам стоит учитывать это обстоятельство. Кроме всего вышеперечисленного вы можете обменять здесь золото на доллары и обратно по курсу 2 к 1. Наверняка, вы скоро станете богаты, благодяря этим милым улыбающимся людям, верно?';
		if have 'rope' then pon 'rope'; end;
		if have 'shovel' then pon 'shovel'; end;
		if have 'modulator' and mission > 4 then pon 'modulator'; end;
	end;
	phr = {
		{always = true, 'Обмен 50 золота на 25 долларов.', code[[if Gold > 50 then Gold = Gold - 50; Dollars = Dollars + 25; p 'Ок.'; else p 'У вас маловато золота для обмена.'; end;]]},
		{always = true, 'Обмен 50 долларов на 25 золота.', code[[if Dollars > 50 then Dollars = Dollars - 50; Gold = Gold + 25; p 'Ок.'; else p 'У вас маловато долларов для обмена.'; end;]]},
		{tag = 'rope', false, 'Продать веревку - 35 долларов.', '-- Держи монету, солдат.', [[Dollars = Dollars + 35; remove(rope, me);]]};
		{tag = 'shovel', false, 'Продать лопату - 10 долларов.', '-- Держи монету, солдат.', [[Dollars = Dollars + 10; remove(shovel, me);]]};
		{tag = 'modulator', false, 'Продать модулятор - 150 долларов.', '-- Держи монету, солдат.', [[Dollars = Dollars + 150; remove(modulator, me);]]};
		{always = true, 'Выход', nil, [[walk(Corridor_C);]]},
	};
};

Information = dlg {
	nam = 'Отдел информации';
	pic = 'gfx/52.jpg';
	enter = function()
		p 'Вы открываете дверь с табличкой "Отдел Информации" и попадаете в помещение, встречающее вас треском радиопомех из динамиков и общим гвалтом.';
		if mission == 2 then
			p 'Пройдя мимо огромного ящика, занимающего полкомнаты, и случайно выдернув ногой какой-то шнур (никто по счастью этого, кажется, не заметил) вы проходите в кабинет Главного Специалиста по Связи Гордону Рашу.';
			pjump 'mis1';
		else
			pjump 'zero';
		end;
		if have 'modulator' then
			pjump 'mod';
		end;
		if sabotage < 4 and sabotage > 0 then pjump 'sab'; end;
	end;
	phr = {
		{tag = 'sab', 'Вы слышали что-то о поломках роботов на причале? Я расследую это дело.', '-- Что-то слышал такое. Впрочем неважно. Ах, да. Там работает Генри, я с ним служил в одном взводе. Тогда помнится на одном задании огромный робот располосовал ему всю руки до плеча, но наши медики сумели его собрать. Правда пальцы не шевелятся. Потом его списали вчистую и он стал докером.^Гордон замолчал и погрузился в воспоминания.', [[sab_1 = 1;]]};
		{tag = 'zero', always = true, 'Выйти из отдела.', nil, [[walk(Corridor_D);]]};
		{};
		{tag = 'mis1', 'Привет, я от Джека. Есть вопрос...','-- Проходь, проходь, чел. Джек уже меня предупредил.',[[pon 'mis2';]]};
		{tag = 'mis2', false, 'Так что вы можете сказать про Майкла Свида?','-- Да, я знал этого Майка. Задницей он всегда был, всегда. Помню... (тут Гордон пускается в совершенно пустые воспоминания о попойках, в которых Свид не участвовал, о деньгах, которых не хотел занимать и прочее). Ну да... нам, значица, надо его найтить. Тьфу, а не задание...',[[pon 'mis3';]]};
		{tag = 'mis3', false, 'Это хорошо.','-- Да, чего же хорошего? Ведь он сейчас за тысячу миль отсюда.',[[pon 'mis4';]]};
		{tag = 'mis4', false, 'Это плохо?','-- Да, почему плохо? У него же в черепе жучок.',[[pon 'mis5';]]};
		{tag = 'mis5', false, 'Значит его можно найти?','-- Конечно можно, только нужен модулятор, а наш последний кто-то грохнул только что.',[[pon 'mis6';]]};
		{tag = 'mis6', false, 'Где взять модулятор?','-- Ха, я подскажу тебе: у этого толстожопого Провулли может заваляться один и, может быть, в отделе пропаганды есть.',[[pon 'mis11';]]};
		{tag = 'mis11', false, 'Где найти Провулли?','-- В коридоре A его кабинет.'};
		{tag = 'mis11', false, 'Где найти отдел пропаганды?','-- Ты не здесь родился чтоли, парень? В коридоре A конечно.'};
		{always = true, 'Выход.', nil, [[mission = 3; walk(Corridor_D);]]};
		{};
		{tag = 'mod', 'Я нашел исправный модулятор!','В Отделе Информации вас встречают радостными воплями и аплодисментами. Гордон Раш торжественно вставляет модулятор на то место, где ему и положено быть. Настучав на клавиатуре что-то очень важное, он откинулся на спинку кресла и начал методично грызть ногти. Вы понимаете, что поиск займёт время и начинаете ковыряться в ухе. Внезапно резко верещит сирена, Гордон чуть не откусывает себе полпальца, а вы от неожиданности чуть не отрываете себе ухо. Это таким оригинальным образом компьютер решил оповестить окружающих, что клиент найден. Очевидное подтвердилось -- Свид скрылся в горах. Пеленгатор засёк его без проблем. Вы получили необходимую информацию. Пора вернуться к Джеку Олдвину.'};
		{always = true, 'Выход.', nil, [[mission = 4; remove('modulator', me()); walk(Corridor_D);]]};
	};
};

Training_center = dlg {
	nam = 'Тренировочный центр';
	pic = 'gfx/00.png';
	enter = 'Это тренировочная база солдат, здесь при наличии фиолетовых банкнот и свободного времени вас смогут превратить в демоническую машину всеуничтожающей мощи. Основной параметр, который вам понадобится – восприятие, ибо близоруким карьера снайпера заказана. Для начала определитесь какой навык вы желаете повысить, варианты: маленькие пушки, большие пушки, энергетическое оружие. Кроме того, вы можете здесь поспарринговать с тренером по рукопашному бою.';
	phr = {
		{always = true, code[[p ('Легкое оружие - ', Small_Guns, '. Добавить? (', 1000*Small_Guns,' долларов)');]], code[[if Dollars >= 1000*Small_Guns and Small_Guns < 10 then Dollars = Dollars - 1000*Small_Guns; Small_Guns = Small_Guns + 1; levelup(); else p 'Не, салага, так не пойдет.'; end;]]};
		{always = true, code[[p ('Тяжелое оружие - ', Big_Guns, '. Добавить? (', 1000*Big_Guns,' долларов)');]], code[[if Dollars >= 1000*Big_Guns and Big_Guns < 10 then Dollars = Dollars - 1000*Big_Guns; Big_Guns = Big_Guns + 1; levelup(); else p 'Не, салага, так не пойдет.'; end;]]};
		{always = true, code[[p ('Энергооружие - ', Energy_Weapons, '. Добавить? (', 1000*Energy_Weapons,' долларов)');]], code[[if Dollars >= 1000*Energy_Weapons and Energy_Weapons < 10 then Dollars = Dollars - 1000*Energy_Weapons; Energy_Weapons = Energy_Weapons + 1; levelup(); else p 'Не, салага, так не пойдет.'; end;]]};
		{always = true, code[[p ('Рукопашная - ', Unarmed, '. Добавить? (', 700*Unarmed,' долларов)');]], code[[if Dollars >= 700*Unarmed and Unarmed < 10 then Dollars = Dollars - 700*Unarmed; Unarmed = Unarmed + 1; levelup(); else p 'Не, салага, так не пойдет.'; end;]]};
		{always = true, 'Выход.', nil, [[walk(Corridor_D);]]};
	},
};

Dockers = room {
	nam = 'Отсек докеров';
	pic = 'gfx/00.png';
	dsc = 'Вы в отсеке докеров, пахнет носками и чем-то похуже. Впрочем чего еще ждать от докеров. Через небольшой тамбур со {xwalk(lockers)|шкафчиками} проход ведет в большую комнату с многоярусными кроватями.';
	way = {'Mooring'};
	obj = {};
};

lockers = dlg {
	nam = 'Шкафчики';
	pic = 'gfx/67.png';
	enter = function()
		if sabotage >= 2 and sabotage < 4 and sab_2 == 0 then pon 'sab'; end;
		p 'Это простые шкафчики со сменной одеждой и немногочисленными личными вещами докеров. Ничего интересного.';
	end;
	phr = {
		{tag = 'sab', false, code[[p('Покопаться в шкафчиках (Воровство - ', Steal*10, '%).');]], code[[if Steal >= rnd(10) and Moral > 0 then p 'Ага, в шкафчике Генри вы нашли кусачки.'; sab_2 = 1; elseif Moral > 0 then Moral = Moral - 1; p 'Хлам, один хлам.'; pon 'sab'; else pon 'sab'; end;]]};
		{always = true, 'Отойти от шкафчиков.', nil, [[back();]]},
	},
};

joe_dlg = dlg {
	nam = 'Джо';
	pic = 'gfx/00.png';
	enter = function()
		p 'Это простой работяга с небритой рожей и в сером комбинезоне.';
	end;
	phr = {
		{'Эй, Джо. Ты был на смене, когда сломался робот?', '-- А тебе какое дело? Был, проклятая железяка развалилась и мне пришлось таскать грузы за нее. Тьфу.', [[pon 'sab';]]},
		{tag = 'sab', false, code[[p('А ты не помог этому роботу немного? (Разговор - ', Speech*10, '%).');]], code[[if Speech >= rnd(10) and Moral > 0 then p '-- Я видел как Фил копался рядом с роботом, но это не он. Фил хороший парень!'; elseif Moral > 0 then Moral = Moral - 1; p '-- Что? Хочешь на меня повесить это дело? Не выйдет солдатик. Меня даже рядом не было.'; pon 'sab'; else pon 'sab'; end;]]};
		{always = true, 'Отойти от Джо.', nil, [[back();]]},
	},
};

fil_dlg = dlg {
	nam = 'Фил';
	pic = 'gfx/00.png';
	enter = function()
		p 'Это простой работяга с длинным носом и в черном комбинезоне.';
	end;
	phr = {
		{'Эй, Фил. Ты был на смене, когда сломался робот?', '-- Робот? Штуки три кажется сломалось. Технари ничего не могут правильно настроить.', [[pon 'sab';]]},
		{tag = 'sab', false, code[[p('А сам ты в робота не лазил? (Разговор - ', Speech*10, '%).');]], code[[if Speech >= rnd(10) and Moral > 0 then p '-- Я только радио в нем поднастроил, больно он шипел. Но он не мог же от этого развалиться, верно?'; elseif Moral > 0 then Moral = Moral - 1; p '-- Только груз подавал. Больше ничего.'; pon 'sab'; else pon 'sab'; end;]]};
		{always = true, 'Отойти от Фила.', nil, [[back();]]},
	},
};

henry_dlg = dlg {
	nam = 'Генри';
	pic = 'gfx/00.png';
	enter = function()
		p 'Это простой работяга с длинным шрамом на руке и в сером комбинезоне с закатанными рукавами.';
	end;
	phr = {
		{'Эй, Генри. Ты был на смене, когда сломался робот?', '-- Робот? Долбанные роботы, всех их надо перекидать в океан.', [[pon 'sab';]]},
		{tag = 'sab', false, code[[p('Какие экстремисткие высказывания. Может ты и покидал бы или там сломал бы что? (Разговор - ', Speech*10, '%).');]], code[[if Speech >= rnd(10) and Moral > 0 then p '-- Я три года на континенте служил. Марипозу раскапывал. Супермутантов десяток подстрелил. А ты меня тут обвинять будешь? Пошел прочь, крыса особисткая!'; elseif Moral > 0 then Moral = Moral - 1; p '-- Иди к черту мужик. Я может и говорю что, но работаю на совесть.'; pon 'sab'; else pon 'sab'; end;]]};
		{always = true, 'Отойти от Генри.', nil, [[back();]]},
	},
};

case_dlg = dlg {
	nam = 'Шкафчик';
	pic = 'gfx/00.png';
	enter = function()
		p 'Это простой встроенный шкафчик, покрашенный вместе со стеной и теперь различимый только вблизи.';
	end;
	phr = {
		{tag = 'st', code[[p('Покопаться в замке (Воровство - ', Steal*10, '%).');]], code[[if Steal >= rnd(10) and Moral > 0 then p 'Хм, замок с хрустом подался, но внутри оказалась только какая-то книга.'; take 'book'; case = 1; poff 'st'; elseif Moral > 0 then Moral = Moral - 1; p 'Замок оказался довольно-таки сложным.'; pon 'st'; else p 'Вернусь сюда со свежими силами в следующий раз.'; pon 'st'; end;]]};
		{tag = 'st', code[[p('Долбануть по дверце с размаху (Рукопашная - ', Unarmed*10, '%).');]], code[[if Unarmed >= rnd(10) and Moral > 0 then p 'Хм, замок с хрустом подался, но внутри оказалась только какая-то книга.'; take 'book'; case = 1; poff 'st'; elseif Moral > 0 then Moral = Moral - 1; p 'Дверца крепче, чем кажется.'; pon 'st'; else p 'Вернусь сюда со свежими силами в следующий раз.'; pon 'st'; end;]]};
		{always = true, 'Отойти от шкафчика.', nil, [[back();]]},
	},
};

comp_dlg = dlg {
	nam = 'Терминал';
	pic = 'gfx/00.png';
	enter = function()
		p 'Это терминал установленный у главного входа.';
		if mission == 10 then pon 'sc10';
		elseif kerling == 4 then pon 'k4';
		end;
	end;
	phr = {
		{tag = 'sc10', false, code[[p('Поискать полезную информацию (Наука - ', Science*10, '%).');]], code[[if Science >= rnd(10) and Moral > 0 then
			p 'Официальная версия появления супер-мутантов и Повелителя.^^Доклад Отдела Исторического Моделирования.^^Во время войны до ядерного удара противоборствующие стороны пытались использовать традиционные способы принуждения. Доказано, что при всей своей мощи Китай не смог бы выполнить полномасштабную десантную операцию. Даже несмотря на почти полное уничтожение океанского флота США в первые дни войны, в запасе ВМФ Соединённой Америки ещё оставались корабли прибрежного прикрытия. Впоследствии обширная территория на западе была подвергнута массированной бомбёжке (истребительная авиация США также была в большинстве своём к тому моменту уничтожена) бомбами, содержащими бактериологическое оружие. Вирус названный ФЭВ при заражении приводил к почти стопроцентной смерти, обладал низкой способностью к выживаемости и адаптации. Однако, после обмена ядерными ударами вирус сильно мутировал и сумел выжить глубоко под землёй. Так называемый Повелитель сумел организовать производство супер-мутантов, заражая обычных людей этим вирусом. Типичный супер-мутант – это человекоподобное существо двух с четвертью метров ростом, сильными руками и зелёной кожей. Обычно вооружены тяжёлым оружием, броню не носят, однако их кожа зачастую покрыта жёсткими наростами, являющимися естественной бронёй. Около сотни лет назад при невыясненных обстоятельствах Повелитель был убит, а организация им возглавляемая уничтожена. По нашим подсчётам на операцию такого рода была способна группа войск эквивалентная роте солдат Анклава, вооружённых энергетическим оружием и гаусс винтовками. Кроме Анклава на такие полномасштабные наступления способно только Братство Стали. Рекомендуется игнорировать группы оставшихся в живых отрядов войск Повелителя во избежание ненужных потерь.';
			Exp = Exp + rnd(50);
		elseif Moral > 0 then Moral = Moral - 1; p 'Ничего интересного, какие-то отчеты, цифры.'; pon 'sc10';
		else p 'Вернусь сюда со свежими силами в следующий раз.'; pon 'sc10'; end;]]};
		{tag = 'k4', false, code[[p('Поискать полезную информацию (Наука - ', Science*10, '%).');]], code[[if Science >= rnd(10) and Moral > 0 then
			p 'Отчёт доктора Чарльза Кёрлинга, полковника вооружённых сил США, зав. Отделом биоразработок.^Тема: «Анализ жизнеспособности организмов в результате воздействия радиации в современных условиях с учётом возможности возникновения генетических отклонений»^^Все сдохнут, как пить дать.^Подпись: Кёрлинг. Дата: 16 ноября 2240.';
			Exp = Exp + rnd(50);
		elseif Moral > 0 then Moral = Moral - 1; p 'Ничего интересного, какие-то отчеты, цифры.'; pon 'sc10';
		else p 'Вернусь сюда со свежими силами в следующий раз.'; pon 'sc10'; end;]]};
		{always = true, 'Похоже тут нечего ловить. Отойти от терминала.', nil, [[back();]]},
	},
};