Gecko = room {
	nam = 'Гекко';
	pic = 'gfx/42.png';
	enter = function()
		set_music('bgm/Gecko.mp3');
		if rnd(2) == 1 then Rad = Rad + 1; end;
	end;
	dsc = 'Вы попали в Гекко, город мутантов. Здесь находится почти работающая АЭС № 5 компании «Посейдон Энерджи». И небольшое поселение гулей вокруг.';
	way = {'Major', vroom('Бар "Арфа"', 'Vuzi'), vroom('Мастерская', 'Skiter'), 'Station', vroom('Отправиться в Город-Убежище', 'VaultCity')};
};

Major = room {
	nam = 'Мэрия';
	pic = 'gfx/00.png';
	dsc = 'Вы вошли в одноэтажное здание с нацарапанной надписью "Мэрия" на двери. Внутри находятся два гуля. {xwalk(harold)|Один} кажется с деревом на голове, {xwalk(lenny)|второй} коротышка и выглядит очень старым.';
	way = {vroom('Выйти из здания', 'Gecko')};
};

harold = dlg {
	nam = 'Гарольд';
	pic = 'gfx/41.jpg';
	enter = function()
		p '-- Привет, гладкокожий. Я Гарольд. Я тут помогаю управлять городом.';
		if Life < MaxLife then pon 'heal'; end;
	end;
	phr = {
		{'Гладкокожий? Почему ты так меня зовешь?', '-- Тупишь помалу, а? Ты не выглядишь, как шкурка от апельсина, весь день пролежавшая на солнце; твоя кожа по-прежнему мягкая и хорошенькая.', [[pon 'one';]]};
		{tag = 'one', false, 'А можно обойтись без всяких нехороших намеков насчет моей гладкой кожи?', '-- Нехороших намеков? Это каких? Например, освежевать тебя живьем старым, ржавым, тупым ножом, а затем пересадить твою еще теплую, влажную, блестящую, такую гладкую кожу на меня, такого гнилого и покрытого струпьями?', [[pon 'one1';]]};
		{tag = 'one1', false, 'Эй! Даже не думай, тоже мне шутник! Мне моя кожа дорога не только как память. Пойду я, пока она еще на мне.', '-- Ну, ты это, не бойся... я нож куда-то задевал, никак не могу найти.'};
		{'Чем ты здесь занимаешься?', '-- Да все, что требуется, чтобы тут все не развалилось. Но получается не очень.', [[pon 'two';]]};
		{tag = 'two', false, 'Тут все разваливается?', '-- Ну да, типа того. Наш реактор несколько... чувствителен. Люди, которых я поставил им управлять, хотят как лучше, но... звезд с неба они не хватают, если честно.'};
		{'Есть тут где поменять что-нибудь ненужное на что-нибудь нужное, или там, запасы пополнить?', 'Ну, ты можешь поговорить с Вузи из "Арфы". Мимо не пройдешь - это как раз напротив.'};
		{'Это у тебя дерево на голове выросло?', 'Завидно, да? Его зовут Герберт. Я разговариваю с ним, когда становится совсем одиноко... Хе-хе. Шучу. Его зовут Боб.'};
		{tag = 'heal', false, 'Гарольд, мне бы подлечиться где-нибудь.', 'Поговори с моим помощником, Ленни. Он тебя мигом заштопает.'};
		{always = true, 'Толку мало от этого гуля, нужно идти.', nil, [[back();]]};
	};
};

lenny = dlg {
	nam = 'Ленни';
	pic = 'gfx/00.png';
	enter = function()
		p '-- Привет, я Ленни. Ч-чем м-могу п-помочь?';
	end;
	phr = {
		{'Меня ранили. Ты можешь мне помочь?', '-- Д-дай взглянуть. Д-думаю, я смогу п-помочь.', [[pon 'one';]]};
		{tag = 'one', false, 'И во что мне это обойдется?', '-- Я м-могу п-подлатать тебя за тридцать монет. М-мне нужны д-деньги на л-лекарства.', [[pon 'one1';]]};
		{tag = 'one1', false, 'Лечи меня. У меня есть 30 золота.', code[[if Life < MaxLife then p '-- Т-теперь т-ты с виду в п-порядке.'; Life = MaxLife; Rad = Rad + 1; Gold = Gold - 30; else p '-- Т-ты и так здоров.'; end; pon 'one1';]]};
		{always = true, 'Нужно идти.', nil, [[back();]]};
	};
};

Vuzi = dlg {
	nam = 'Вузи';
	pic = 'gfx/43.png';
	enter = function()
		p'-- Эй, гладкокожий, хочешь перекинуться в картишки?';
		if Perk == 'Алкоголик' then pon 'alk'; end;
	end;
	phr = {
		{tag = 'play', code[[p('Сыграть в карты с Вузи. (Игра - ', math.ceil(Gambling*16.66), '%).');]], code[[if Gambling >= rnd(6) and Gold >= 50 and Moral > 0 then p 'Выигрыш. Вы сгребаете деньги со стола.'; Gold = Gold + 50; elseif Moral > 0 and Gold >= 50 then Moral = Moral - 1; p '-- Эх непруха, карта не идет.'; Gold = Gold - 50; else p '-- Кажется золото закончилось.'; end; pon 'play';]]};
		{always = true, 'Взять пивка – 15 золота.', code[[
			if Gold > 15 and not have 'beer' then take 'beer'; Gold = Gold - 15; p '-- Держи.';
			elseif Gold < 15 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Глотнуть нюка-колы – 7 золота', code[[
			if Gold > 7 and not have 'nuke_cola' then take 'nuke_cola'; Gold = Gold - 7; p '-- Теплая и выдохшаяся, как мы все любим.';
			elseif Gold < 7 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Выпить радиоджина – 25 золотых', code[[
			if Gold > 25 and not have 'radgin' then take 'radgin'; Gold = Gold - 25; p '-- Много не пей, парниша.';
			elseif Gold < 25 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, ты и так светишься.'; end;]]};
		{always = true, 'Купить сочный фрукт – 10 золотых', code[[
			if Gold > 10 and not have 'fruit' then take 'fruit'; Gold = Gold - 10; p '-- Наливное. Сам около реактора собирал.';
			elseif Gold < 10 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя в руках такой фрукт, ешь его.'; end;]]};
		{tag = 'alk', false, 'Купить джина – 25 золотых', code[[
			if Gold > 25 and not have 'gin' then take 'gin'; Gold = Gold - 25; p '-- Много не пей, парниша.';
			elseif Gold < 25 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{'Купить счастливую колоду – 1500 золота.', code[[
			if Gold > 1500 and Gambling < 10 then Gambling = Gambling + 1; Gold = Gold - 1500; p '-- Держи. Но в карты я теперь с тобой играть не буду, ха-ха.'; poff 'play';
			elseif Gold < 1500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Ты и так профи, парень.'; end;]]};
		{always = true, 'Выйти на улицу.', nil, [[back();]]};
	};
};

Skiter = dlg {
	nam = 'Скитер';
	pic = 'gfx/00.png';
	enter = function()
		p'-- Эй, гладкокожий, я Скитер - механик. Хочешь что-то починить? Или купить? - Приветствует вас потрепанный гуль в пятнах машинного масла. ';
		if Perk == 'Алкоголик' then pon 'alk'; end;
	end;
	phr = {
		{always = true, code[[p ('Научиться ремонтировать - ', Repair, '. (', 500*Repair,' золота)');]], code[[if Repair < 10 and Gold > 500*Repair then Gold = Gold - 500*Repair; Repair = Repair + 1; levelup(); p '-- Готово.'; else p '-- Ты слишком беден для обучения.'; end;]]};
		{always = true, 'Купить ремонтный набор – 350 золота.', code[[
			if Gold > 350 and not have 'tools' then take 'tools'; Gold = Gold - 350; p '-- Держи.';
			elseif Gold < 350 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Уже есть такой набор в рюкзаке.'; end;]]};
		{always = true, 'Купить веревку – 25 золота', code[[
			if Gold > 25 and not have 'rope' then take 'rope'; Gold = Gold - 25; p '-- Хорошая веревка.';
			elseif Gold < 25 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще веревку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Выйти на улицу.', nil, [[back();]]};
	};
};

Station = room {
	nam = 'Атомная станция';
	pic = 'gfx/42.png';
	dsc = 'Вы подошли ко входу старой АЭС "Посейдон Ойл". Но двери заперты и охрана недобро на вас посматривает. Да и счетчик гейгера заливается соловьем. "К черту. Мне столько не платят." - Подумали вы.';
	way = {vroom('Отойти от АЭС', 'Gecko')};
};