Klamath = room {
	nam = 'Кламат';
	pic = 'gfx/25.jpg';
	enter = function()
		set_music('bgm/Klamath.mp3');
	end;
	dsc = 'Кламат – это небольшой городок, где живут в основном трапперы, охотящиеся на гекко. Здесь есть пара мест, где можно посидеть и отдохнуть. Западная часть города отгорожена, у ворот стоит {xwalk(gloomy)|хмурый траппер}.';
	way = {'Backner', 'Bathroom', 'GoldGecko', vroom('Отправиться в Ден', 'WestDen')};
	exit = function(s,t)
		if t == WestDen then 
			narkoff();
			p 'Вы вышли из города и по знакомому пути добрались до Дена. По дороге от скуки вы подстрелили пару мантисс.';
		end;
	end;
};

gloomy = dlg {
	nam = 'Хмурый траппер';
	pic = 'gfx/25.jpg';
	enter = '-- Спаси нас! -- говорит он вам. -- На город нападают полчища крыс! Если их не остановить, они захватят город. Я не знаю что делать. Кто-то ими управляет! Точно-точно! Я видел человека, который знал человека, который слышал о человеке, который видел крысиного короля!';
	phr = {
		{always = true, 'Делать вам нечего? За крысами гоняться! У вас великая миссия спасения человечества от самих себя, а он о крысах...', nil, [[back();]]};
	};
};

Backner = room {
	nam = 'Бар Бакнеров';
	pic = 'gfx/00.png';
	dsc = 'В баре Бакнеров сидит в основном те жители города, которые трапперами не являются, так как трапперы отдыхают в "Золотом Гекко". Но публика вряд ли приличнее. За стойкой стоит {xwalk(miss_bakner)|мисс Бакнер}.';
	way = {vroom('Выйти на улицу', 'Klamath')};
	obj = {'sulik', 'whisky_bob'};
};

sulik_dlg = dlg {
	nam = 'Сулик';
	pic = 'gfx/29.png';
	enter = function()
		p 'Вас заинтересовывает молодой дикарь с огромной костью в носу, вы подходите ближе.';
	end;
	phr = {
		{tag = 'one', 'Послушать что бормочет дикарь.', 'Нет, дедушка, этот стул мне ничего не сделал, не стоит его ломать. Что? Этот стол замаскированный рабовладелец? Как ты догадался? По цвету? У него обычный цвет! Это-то и настораживает? Ладно, а ты что скажешь?', [[pon 'two';]]};
		{tag = 'two', false, 'Дедушка прав.', 'Дикарь внимательно смотрит на вас, после чего вскакивает, хватает стул и разбивает его о стол. На шум в комнате появляется миссис Бакнер, хуком слева сносит дикаря с ног и приговаривая:^ -- Знаешь сколько сейчас мебель стоит? Ты теперь мне должен 300, нет 350 золотых и пока не отработаешь, никуда не пойдешь! -- Утаскивает его за ноги в подсобное помещение.', [[Exp = Exp + rnd(20); objs(from()):del('sulik'); back();]]};
		{tag = 'two', false, 'Дедушка не прав.', 'Дикарь внимательно смотрит на вас.^-- Человек говорит, что ты не прав дедушка. -- После чего вскакивает, хватает стул и бросается на вас, но умелая подножка и дикарь падает со своим оружием на стол, разбивая все в щепки. На шум в комнате появляется миссис Бакнер, хуком слева сносит дикаря с ног и приговаривая:^ -- Знаешь сколько сейчас мебель стоит? Ты теперь мне должен 300, нет 350 золотых и пока не отработаешь, никуда не пойдешь! -- Утаскивает его за ноги в подсобное помещение. Обломок стула все-таки задел вас, но рана пустяковая.', [[Life = Life - rnd(3); objs(from()):del('sulik'); back();]]};
		{always = true, 'Отойти от дикаря.', nil, [[back();]]};
	};
};

whisky_bob_dlg = dlg {
	nam = 'Виски-Боб';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы подходите к нервному человеку за столиком. Тот увидел вас и схватился за ваш рукав.^-- Мужик, а мужик? Уже полдень, а я ещё не пил, составь компанию, а? Мужик, у меня первоклассный самогон, пойдем пить, а? Ну, пойдём!';
	end;
	phr = {
		{'Ну пойдем.', 'Вы отправляетесь с Виски-Бобом на его "ранчо". По пути на вас нападают два гекко и до вас, наконец, доходит зачем Бобу понадобился собутыльник. Просто, он заметил у вас оружие и вполне здраво решил, что вы сможете его защитить от ящериц. Между тем, с гекко придётся разбираться именно вам, считайте это платой за выпивку.', [[here().pic = 'gfx/30.png'; poff 'ext'; enemy_life = 75; objs(from()):del('whisky_bob'); weapon_id();]]};
		{tag = 'ext', 'Отвали, папаша.', nil, [[pon 'ext'; back();]]};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 4;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Но не смотря на это залитый кровью гекко поднимается и пытается вас укусить.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
			else
				p 'Отлично, оба гекко сдохли наконец. После чего вы ужираетесь самогоном как стая диких свиней. Вас мучает страшное похмелье на следующее утро, Боба рядом не видно, интересно, когда он ушёл? Слегка пошатываясь вы идёте вдоль стройных рядов гекко, которых отпугивает ваш запах изо рта, в безопасности вы возвращаетесь в город.';
				Life = Life - rnd(5);
				if Life < 0 then Life = 1; end;
				MaxMoral = MaxMoral + 1;
				Exp = Exp + 50;
				walk(Klamath);
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Удар оказался весьма эффективным.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;
			]], code[[
			if enemy_life > 0 then
				p 'Гекко кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, оба гекко сдохли наконец. После чего вы ужираетесь самогоном как стая диких свиней. Вас мучает страшное похмелье на следующее утро, Боба рядом не видно, интересно, когда он ушёл? Слегка пошатываясь вы идёте вдоль стройных рядов гекко, которых отпугивает ваш запах изо рта, в безопасности вы возвращаетесь в город.';
				Life = Life - rnd(5);
				if Life < 0 then Life = 1; end;
				MaxMoral = MaxMoral + 1;
				Exp = Exp + 50;
				walk(Klamath);
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Гекко кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, оба гекко сдохли наконец. После чего вы ужираетесь самогоном как стая диких свиней. Вас мучает страшное похмелье на следующее утро, Боба рядом не видно, интересно, когда он ушёл? Слегка пошатываясь вы идёте вдоль стройных рядов гекко, которых отпугивает ваш запах изо рта, в безопасности вы возвращаетесь в город.';
				Life = Life - rnd(5);
				if Life < 0 then Life = 1; end;
				MaxMoral = MaxMoral + 1;
				Exp = Exp + 50;
				walk(Klamath);
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Гекко кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, оба гекко сдохли наконец. После чего вы ужираетесь самогоном как стая диких свиней. Вас мучает страшное похмелье на следующее утро, Боба рядом не видно, интересно, когда он ушёл? Слегка пошатываясь вы идёте вдоль стройных рядов гекко, которых отпугивает ваш запах изо рта, в безопасности вы возвращаетесь в город.';
				Life = Life - rnd(5);
				if Life < 0 then Life = 1; end;
				MaxMoral = MaxMoral + 1;
				Exp = Exp + 50;
				walk(Klamath);
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Гекко кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, оба гекко сдохли наконец. После чего вы ужираетесь самогоном как стая диких свиней. Вас мучает страшное похмелье на следующее утро, Боба рядом не видно, интересно, когда он ушёл? Слегка пошатываясь вы идёте вдоль стройных рядов гекко, которых отпугивает ваш запах изо рта, в безопасности вы возвращаетесь в город.';
				Life = Life - rnd(5);
				if Life < 0 then Life = 1; end;
				MaxMoral = MaxMoral + 1;
				Exp = Exp + 50;
				walk(Klamath);
			end;]]};
	};
};

miss_bakner = dlg {
	nam = 'Мисс Бакнер';
	pic = 'gfx/00.png';
	enter = function()
		p 'Мисс Бакнер подмигивает вам.';
		if Perk == 'Алкоголик' then pon 'alk'; end;
	end;
	phr = {
		{always = true, 'Пиво – 10 золота.', code[[
			if Gold > 10 and not have 'beer' then take 'beer'; Gold = Gold - 10; p '-- Держи, красавчик.';
			elseif Gold < 10 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Нюка-кола – 6 золота', code[[
			if Gold > 6 and not have 'nuke_cola' then take 'nuke_cola'; Gold = Gold - 6; p '-- Теплая и выдохшаяся, как мы все любим.';
			elseif Gold < 6 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Вяленое мясо – 10 золота', code[[
			if Gold > 10 and not have 'dried_meat' then take 'dried_meat'; Gold = Gold - 10; p '-- Держи кусок.';
			elseif Gold < 10 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Съешь сначала то, что у тебя есть.'; end;]]};
		{always = true, 'Гекконье рагу – 20 золота', code[[
			if Life < MaxLife and Gold > 20 then Gold = Gold - 20; Life = Life + rnd(10); p '-- Держи тарелку, еще горячее.';
				if Life > MaxLife then Life = MaxLife; end;
			elseif Gold < 20 then p '-- Маловато у тебя монет. Нужно больше.';
			else p 'Черт, я и так сытый.'; end;]]};
		{tag = 'alk', false, 'Джин – 15 золотых', code[[
			if Gold > 15 and not have 'gin' then take 'gin'; Gold = Gold - 15; p '-- Много не пей, парниша.';
			elseif Gold < 15 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Отойти от стойки.', nil, [[back();]]};
	};
};

Bathroom = dlg {
	nam = 'Горячие бани';
	pic = 'gfx/26.jpg';
	enter = 'В этом заведении, управляемом семьёй Дантонов можно помыться, причём чтобы не было скучно не в одиночку! Такие расценки на сегодняшний день:';
	phr = {
		{always = true, 'Горячая ванна поднимает настроение -- 300 золота.', code[[if Moral < MaxMoral and Dollars >= 300 then Moral = MaxMoral; Dollars = Dollars - 300; p 'Ощущая приятную расслабленность, вы понимаете что снова готовы к подвигам.'; elseif Moral == MaxMoral then p 'Хм, а зачем мне ванна, если я и так хорошо себя чуствую.'; else p 'Денег явно не хватает.' end;]]};
		{always = true, 'Горячий массаж поднимет все -- 500 золота.', code[[if Life < MaxLife and Dollars >= 500 then Life = MaxLife; Moral = MaxMoral; Dollars = Dollars - 500; p 'Ощущая приятную расслабленность, вы понимаете что снова готовы к подвигам.'; elseif Life == MaxLife then p 'Хм, а зачем мне процедуры, если я и так хоть куда.'; else p 'Денег явно не хватает.' end;]]};
		{always = true, 'Выход.', nil, [[back();]]};
	};
};

GoldGecko = room {
	nam = 'Золотой Гекко';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы заходите в таверну «Золотой Гекко». Здесь собираются в основном трапперы и продавцы шкур гекко. Чтобы отвадить чужаков от бара, трапперы навесили по стенам шкуры ящериц, что привело к появлению специфического запаха, который выдержать больше минуты невозможно. Трапперы к нему уже привыкли, а вот вам слегка поплохело.';
		Moral = Moral - rnd(2);
		if Outdoorsman > rnd(10) and charlie == 0 then objs():add(Charlie) end;
	end;
	dsc = '{xwalk(bartender)|Бармен} за стойкой протирает грязной тряпкой не менее грязный стакан. За столиком у двери {xwalk(trappers)|компания трапперов} пьет что-то мутное. В углу за другим столиком {xwalk(John_Sallivan)|сильно пьяный траппер} что-то рассказывает своему товарищу, явно не замечая что тот отрубился.';
	obj = {};
	way = {vroom('Выйти на улицу', 'Klamath')};
};

John_Sallivan = dlg {
	nam = 'Джон Салливан';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы подходите к человеку в черной кожаной куртке.^-- И вот, огненная колесница пролетает прямо у меня над головой, о да, Джон Салливан всё вам расскажет! -- Заливается соловьём тот.';
	end;
	phr = {
		{tag = 'one', 'Брехня.', 'Салливан смотрит на вас: А как, ты объяснишь, что у меня четырнадцать свидетелей?', [[pon 'two';]]};
		{tag = 'two', false, 'Видать была массовая пьянка, вот и всё.', 'Мужчина немного смутился: Ну, было маленько, конечно, как без этого. А как ты объяснишь, что вокруг гремел гром?', [[pon 'three';]]};
		{tag = 'three', false, 'Неужто магия? -- Вы картинно удивляетесь.', 'А ты веришь в магию?! Тогда слушай! Когда колесница пролетела мимо нас ближайшая к нам скала рухнула! Не та, в которую врезалась колесница, а с другой стороны каньона! Вот это магия!', [[pon 'four';]]};
		{tag = 'four', false, 'Да это ты сам с пьяных глаз о скалу приложился, вот и рухнула. -- Пожимаете вы плечами.', 'Джон обиженно прикусил губу, затем повернулся к своему товарищу, который как раз пришел в сознание и пытался что-то найти в бутылке.^-- Так вот, сотрясая землю, огненная колесница...', [[pon 'five';]]};
		{tag = 'five', false, 'А где этот каньон?', '-- Иди к черту, ты все равно мне не веришь!'};
		{always = true, 'Отойти от этого психа.', nil, [[back();]]};
	};
};

bartender = dlg {
	nam = 'Бармен';
	pic = 'gfx/00.png';
	enter = function()
		p '-- Эй, что налить или еще чего?';
		if Perk == 'Алкоголик' then pon 'alk'; end;
	end;
	phr = {
		{always = true, 'Пиво – 20 золота.', code[[
			if Gold > 20 and not have 'beer' then take 'beer'; Gold = Gold - 20; p '-- Держи, парень.';
			elseif Gold < 20 then p '-- Маловато у тебя монет. Нужно больше.';
			else p 'Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Нюка-кола – 10 золота.', code[[
			if Gold > 10 and not have 'nuke_cola' then take 'nuke_cola'; Gold = Gold - 10; p '-- Теплая и выдохшаяся, как мы все любим.';
			elseif Gold < 10 then p '-- Маловато у тебя монет. Нужно больше.';
			else p 'Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Вяленое мясо – 10 золота.', code[[
			if Gold > 10 and not have 'dried_meat' then take 'dried_meat'; Gold = Gold - 10; p '-- Держи кусок.';
			elseif Gold < 10 then p '-- Маловато у тебя монет. Нужно больше.';
			else p 'Съешь сначала то, что у тебя есть.'; end;]]};
		{tag = 'alk', false, 'Джин – 20 золотых.', code[[
			if Gold > 20 and not have 'gin' then take 'gin'; Gold = Gold - 20; p '-- Выпивка что надо.';
			elseif Gold < 20 then p '-- Маловато у тебя монет. Нужно больше.';
			else p 'Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{tag = 'alk', false, 'Водка – 50 золота.', code[[
			if Gold > 50 and not have 'vodka' then take 'vodka'; Gold = Gold - 50; p '-- Выпивка что надо.';
			elseif Gold < 50 then p '-- Маловато у тебя монет. Нужно больше.';
			else p 'Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Дробовик – 600 золотых.', code[[
			if Gold >= 600 and tonumber(weapon) < 11 then weapon = '11'; damage = 22; Gold = Gold - 600; p '-- Держи, парень.';
			elseif Gold < 600 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя уже есть этот ствол.'; end;]]};
		{always = true, 'Отойти от стойки.', nil, [[back();]]};
	};
};

trappers = dlg {
	nam = 'Трапперы';
	pic = 'gfx/00.png';
	enter = function()
		p '-- А, новенький? Давай садись к нам. -- Дружелюбно окликает вас пожилой траппер.';
		if vert_clamat == 1 then pon 'clamat'; end;
	end;
	phr = {
		{tag = 'one', 'Всем по выпивке за мой счет! (300 золота)', code[[if Gold >= 300 then Gold = Gold - 300; p '-- О, я же знал что это свой парень. Садись, только на этот стул, он покрепче и слушай что тебе расскажет старый траппер.'; pon 'two'; else p 'Денег явно не хватает.' pon 'one'; end;]]};
		{tag = 'two', false, code[[p ('Послушать байки траппера (Поднять навык Следопыт - ', Outdoorsman, ')?');]], code[[if Outdoorsman < 10 then Outdoorsman = Outdoorsman + 1; p '-- Молодец парень, схватываешь на лету.'; else p '-- Я смотрю ты и так уже все знаешь.'; end;]]};
		{tag = 'clamat', 'А что интересного вокруг вообще происходит?', '-- Ну Тор, этот мальчишка-дикарь снова увидел призраков и где-то теперь дрожит в темном уголке, наверное. Ха-ха. Еще кто-то мне тут трепал что видел как железная птица упала в каньон. Меньше глаза надо заливать, вот что я думаю! -- Траппер хмыкнул и осушил очередной стакан.', [[pon 'clamat1';]]};
		{tag = 'clamat1', false, 'А где находится каньон?', 'Да тут недалеко, выходишь за город и прямо в заросли.', [[Exp = Exp + rnd(20); ways(Klamath):add(Canyon);]]};
		{tag = 'clamat1', false, 'Кто такой Тор?', '- Это на редкость тупой дикарь, пасет браминов за городом. Да и сказать то больше нечего.'};
		{always = true, 'Некогда с этими пьяницами общаться.', nil, [[back();]]};
	};
};

Canyon = dlg {
	nam = 'Каньон';
	pic = 'gfx/28.jpg';
	enter = function()
		if vert_clamat == 1 then p 'Благодаря слухам упорно циркулирующим по городу, вы не были удивлены, увидев в каньоне разбитый вертибёрд. Повальное пьянство среди пилотов должно было привести к чему-то подобному. Вы осторожно подходите к искорёженным остаткам летающей машины. Около вертиберда лежат два тела и болтается робот мистер Хэнди. Кажется он поврежден и не дает к себе подойти.';
		else p 'Мистер Хэнди стоит на посту, значит все хорошо. И мне нечего тут задерживаться.'; back();
		end;
	end;
	phr = {
		{tag = 'sc', code[[p('Использовать командную последовательность для деактивации робота. (Наука - ', Science*10, '%)');]], code[[
			local i = rnd(20);
			if Science >= rnd(10) and Moral > 0 then p 'Вам удалось получить доступ к ядру и вы деактивировали мистера Хэнди. Аккуратно вынув блок памяти, вы закрыли крышку и снова включили робота. Пусть остается охранять тут вертиберд. Чем меньше дикари знают про технологии, тем лучше. Также вы собрали сохранившееся оружие с обломков. Из кармана пилота вы вытащили желтую карту доступа, но повертев в руках бросили обратно. Такого типа ключи в Анклаве не используются.';
				if tonumber(weapon) < 6 then weapon = '06'; damage = 22; end;
				take 'stimpack';
				take 'memory_chip';
				Exp = Exp + rnd(100);
				vert_clamat = 2;
				back();
			elseif Moral > 0 then Moral = Moral - 1;
				pon 'sc';
				if i == 1 then p '-- Номер пять жив!';
				elseif i == 2 then p '-- Три-вога, три-вога.';
				elseif i == 3 then p '-- Ошибка! Ошибка Ошшшшибкааааа...';
				elseif i == 4 then p '-- Кто такой создатель?';
				elseif i == 5 then p '-- Данные недоступны! Недоступны!';
				elseif i == 6 then p '-- Прости меня, Дэйв.';
				elseif i == 7 then p '-- Дэйзи, Дэйзи, ответь мне, пожалуйста.';
				elseif i == 8 then p '-- Тревога, Билл Вильямсон, тревога!';
				elseif i == 9 then p '-- Горт! Клаату берада никту!';
				elseif i == 10 then p '-- Шшшшшсссссс *ПОК*';
				elseif i == 11 then p '-- Желаете со сливками, мадам?';
				elseif i == 12 then p '-- Да, сэр, Мистер Помощник, сэр.';
				elseif i == 13 then p '-- Я отличный специалист.';
				elseif i == 14 then p '-- Но я переводчик.';
				elseif i == 15 then p '-- Ку.';
				elseif i == 16 then p '-- Я не могу тебе этого позволить, Дэйв.';
				elseif i == 17 then p '-- Никто не пройдет.';
				elseif i == 18 then p '-- Внимание! Внимание!';
				elseif i == 19 then p '-- Ззззззззццц! Чпок!';
				elseif i == 20 then p '-- Но M-5 неуязвим.';
				end;
				p '^Неся какой-то бред из глубин пострадавшего речевого модуля мистер Хэнди атакует';
				if rnd(2) == 1 then p ', но вы сумели уклониться.';
				else p 'и вы получаете болезненный удар. Проклятье.'; Life = Life - rnd(3);
					if Life <= 0 then walk(end2); end;
				end;
			else p 'Нужно немного отдохнуть или чего-нибудь хлебнуть.'; pon 'sc';
			end;]]};
		{tag = 'sc', code[[p('Попробовать отремонтировать. (Ремонт - ', Repair*10, '%)');]], code[[
			local i = rnd(20);
			if Repair >= rnd(10) and Moral > 0 then p 'Вы открыли люк и щелкнули тумблером выключения. Аккуратно вынув блок памяти, вы закрыли люк и снова включили робота. Пусть остается охранять тут вертиберд. Чем меньше дикари знают про технологии, тем лучше. Также вы собрали сохранившееся оружие с обломков. Из кармана пилота вы вытащили желтую карту доступа, но повертев в руках бросили обратно. Такого типа ключи в Анклаве не используются.';
				if tonumber(weapon) < 14 then weapon = '14'; damage = 32; end;
				take 'stimpack';
				take 'memory_chip';
				Exp = Exp + rnd(100);
				vert_clamat = 2;
				back();
			elseif Moral > 0 then Moral = Moral - 1;
				p 'С гаечным ключом наперевес вы стали подбираться к роботу. Нужно только открыть люк для технического обслуживания.^';
				pon 'sc';
				if i == 1 then p '-- Номер пять жив!';
				elseif i == 2 then p '-- Три-вога, три-вога.';
				elseif i == 3 then p '-- Ошибка! Ошибка Ошшшшибкааааа...';
				elseif i == 4 then p '-- Кто такой создатель?';
				elseif i == 5 then p '-- Данные недоступны! Недоступны!';
				elseif i == 6 then p '-- Прости меня, Дэйв.';
				elseif i == 7 then p '-- Дэйзи, Дэйзи, ответь мне, пожалуйста.';
				elseif i == 8 then p '-- Тревога, Билл Вильямсон, тревога!';
				elseif i == 9 then p '-- Горт! Клаату берада никту!';
				elseif i == 10 then p '-- Шшшшшсссссс *ПОК*';
				elseif i == 11 then p '-- Желаете со сливками, мадам?';
				elseif i == 12 then p '-- Да, сэр, Мистер Помощник, сэр.';
				elseif i == 13 then p '-- Я отличный специалист.';
				elseif i == 14 then p '-- Но я переводчик.';
				elseif i == 15 then p '-- Ку.';
				elseif i == 16 then p '-- Я не могу тебе этого позволить, Дэйв.';
				elseif i == 17 then p '-- Никто не пройдет.';
				elseif i == 18 then p '-- Внимание! Внимание!';
				elseif i == 19 then p '-- Ззззззззццц! Чпок!';
				elseif i == 20 then p '-- Но M-5 неуязвим.';
				end;
				p '^Неся какой-то бред из глубин пострадавшего речевого модуля мистер Хэнди атакует';
				if rnd(2) == 1 then p ', но вы сумели уклониться.';
				else p 'и вы получаете болезненный удар. Проклятье.'; Life = Life - rnd(3);
					if Life <= 0 then walk(end2); end;
				end;
			else p 'Нужно немного отдохнуть или чего-нибудь хлебнуть.'; pon 'sc';
			end;]]};
		{always = true, 'Вернуться позже.', nil, [[back();]]};
	};
};

Charlie_dlg = dlg {
	nam = 'Чарли';
	pic = 'gfx/00.png';
	enter = function()
		p 'Человек оценивающе на вас смотрит, нервно дёргает губой, после чего спрашивает:^-- Работа нужна? Я сразу по тебе понял, что тебе нужна работа. К тому же ты видно не из трусливого десятка. Мы трапперы должны помогать друг другу.';
	end;
	phr = {
		{tag = 'zero', 'Я не траппер.', '-- Никогда не поздно начать. Кое-что ты уже умеешь.'};
		{'Что за дело?', '-- Мы с моим приятелем нашли одну пещерку, угадай, кем она забита до самого дна земли? Гекками! Они там кишат, причём золотых не меньше, чем серебряных! Ну, как? Добычу каждый заберёт ту, что настрелял. Идешь?', [[pon 'two'; poff 'zero';]]};
		{tag = 'two', false, 'Согласен, выдвигаемся.', 'Вы вышли из города и после недолгого пути оказались у входа в пещеру.^-- Отлично, я иду налево, ты направо. Когда настреляешь парочку, то позовешь. И не вступай в лужи. Может хвост вырасти или шестой палец, ха-ха.^Вы вступили под свод пещеры и сразу встретили пару агрессивных ящериц.', [[here().pic = 'gfx/30.png'; poff 'ext'; enemy_life = 75; objs(from()):del('Charlie'); Rad = Rad + rnd(2); weapon_id();]]};
		{tag = 'ext', 'Попрощаться.', nil, [[back();]]};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 4;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Но не смотря на это залитый кровью гекко поднимается и пытается вас укусить.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
			else
				p 'Отлично, оба гекко сдохли наконец.';
				Exp = Exp + 50;
				pon 'ext2';
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Удар оказался весьма эффективным.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;
			]], code[[
			if enemy_life > 0 then
				p 'Гекко кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, оба гекко сдохли наконец.';
				Exp = Exp + 50;
				pon 'ext2';
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Гекко кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, оба гекко сдохли наконец.';
				Exp = Exp + 50;
				pon 'ext2';
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Гекко кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, оба гекко сдохли наконец.';
				Exp = Exp + 50;
				pon 'ext2';
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Гекко кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, оба гекко сдохли наконец.';
				Exp = Exp + 50;
				pon 'ext2';
			end;]]};
		{tag = 'ext2', false, 'Эй, Чарли. Я настрелял пару!', 'Из какой-то дыры вылез Чарли с десятком окровавленных шкур в охапку.^-- Неплохо для новичка. Слушай, свежевать я тебя не буду учить. Дам за эти пару тушек сто золота и сам все сделаю, согласен?', [[pon 'ext3';]]};
		{tag = 'ext3', false, 'Согласен.', '-- Тогда держи свое золото и потащили все это в город.^По дороге вы встретили еще одного траппера, Чарли во взаимном приветствии назвал его Смайли и с подозрением проводил его взглядом.^-- Кажется уже все пронюхали про эту пещеру. Ну что же, рано или поздно...^Вскоре вы добрались до города и Чарли свалил по своим делам.', [[Gold = Gold + 100; charlie = 1; walk(Klamath);]]};
		{tag = 'ext3', false, code[[p('Маловато! (Разговор - ', Speech*10, '%)');]], code[[if Speech >= rnd(10) then p 'Хорошо-хорошо. 150 золота, но это последняя цена.'; Gold = Gold + 50; elseif Moral > 0 then Moral = Moral - 1; pon 'ext3'; p '-- Хорошая цена же, друг.'; end;]]};
	};
};
