Navarro = room {
	enter = function()
		set_music('bgm/Navarro.mp3');
	end;
	nam = 'База Наварро';
	pic = 'gfx/14.jpg';
	dsc = 'Итак, вы внутри только что основанной базы Наварро. На вас сразу обрушивается поток запахов свежей краски и сварки.';
	way = {vroom('Отплыть к анклаву', 'Mooring'), 'dining', 'repair_1', 'repair_2', 'Navarro1', 'landing_strip'};
	exit = function(s,t)
		if t == Mooring then 
			narkoff();
			p 'Вы устроились в отплывающем катере и вскоре огни вышки Анклава встретили вас.';
		end;
	end;
};

dining = dlg {
	nam = 'Столовая';
	pic = 'gfx/00.png';
	enter = 'Вы попадаете в обширное помещение, в котором стоит аромат, не оставляющий никаких сомнений о предназначении здания. Вы в столовой.';
	phr = {
		{always = true, 'Попросить порцию и послушать повара.', code[[
			if Moral > 0 and Life < MaxLife then
				Life = Life + rnd(5)*First_Aid;
				Moral = Moral - rnd(5);
			end;
			p 'Вашу порцию приносит вам кок, после чего подсаживается за ваш столик:^';
			if cook_count == 0 then
				p '-- Слышал новости? Один лаборант полюбил девушку здесь на базе, и все пароли на компьютерах переделал на её имя! Представляешь? Снупи. Причём все до единого об этом знают, и зачем же нужны такие пароли?';
				cook_count = 1;
			elseif cook_count == 1 then
				p '-- А капитан очень зол на Шребера за его проделки с Когтями, мне, честно говоря, тоже его опыты не нравятся, зачем эти Когти так кричат? Аж мурашки по коже от их воплей, я как их услышу, так не могу уснуть, хоть тресни. А представь, что такая зверюга вырвется? Я на всякий случай пистолет завёл, если что сразу в лоб этой твари.';
				cook_count = 2;
			elseif cook_count == 2 then
				p '-- А Рауль не любит главного механика, это потому, что он должен был занять его место, но не прошёл проверку на интеллект. Теперь он говорит, что результаты тестирования подтасовали. А может и подтасовали, у главного механика голова варит, он спокойно мог взломать центральный компьютер.';
				cook_count = 3;
			elseif cook_count == 3 then
				p '-- После того инцидента с калифорнийцами всю наземную часть базы замаскировали под автостоянку, и ещё там Криса поставили. Ума не приложу, зачем? Ведь через патрули пробиться невозможно, но этому начальству объяснять.';
				cook_count = 4;
			elseif cook_count == 4 then
				p '-- Шребер тут подарил мне щенка, пришлось разобрать, матерился сильно.';
				cook_count = 5;
			elseif cook_count == 5 then
				p '-- Сержант-зверь, делает обход постов чуть не каждый час, зачем ему это? Тут же совершенно безопасно, девушки у него нет, вот и бесчинствует.';
				cook_count = 6;
			elseif cook_count == 6 then
				p '-- А пилоты пьют, сильно пьют, им боятся запретить спиртное, вдруг на наркотики перейдут? Лучше уж так.';
				cook_count = 7;
			elseif cook_count == 7 then
				p '-- Поел? Ну как? Ух, ты! Такого зелёного окраса я еще не встречал! Однажды, помнится, один умер прямо за столом, не знаю, инфаркт наверное, ну давай, заходи ещё.^^Вы галопом выбежали из столовой и стремительно освободили свой желудок от «питательного и полезного обеда».';
				cook_count = 0;
				back();
			end;]]};
		{always = true, 'Выход.', nil, [[back();]]};
	};
};

repair_1 = dlg {
	nam = 'Мастерская 1';
	pic = 'gfx/15.jpg';
	enter = function()
		p 'Это ремонтная мастерская, и что следует из названия здесь ремонтируют всякие вещи.';
		if not have 'drawings' then
			pjump 'drawings';
			pon 'drawings';
			p 'Техника здесь зовут Рауль, он ползает на карачках, приговаривая:^-- Куда я мог их деть? Не понимаю, клал точно сюда.';
		else
			pjump 'none';
		end;
	end;
	phr = {
		{tag = 'none', always = true, 'Выход.', nil, [[back();]]};
		{};
		{tag = 'drawings', false, 'Проблемы?', '-- Да, вот, потерял чертежи вертибёрда, главный механик меня съест, он такая задница, кто бы знал!', [[pon 'dr2';]]};
		{tag = 'dr2', false, 'Если мне встретятся чертежи, то принесу их сюда.', '-- О, брат, я был бы очень признателен. Чертовски признателен, если точно.'};
		{always = true, 'Выход.', nil, [[back();]]};
		{};
	};
};

repair_2 = dlg {
	nam = 'Мастерская 2';
	pic = 'gfx/00.png';
	enter = function()
		p 'Это ремонтная мастерская, здесь работает главный механик базы Наварро.^-- Я поверить не могу, какой кретин! Вы слышали? Этот придурок Рауль опять потерял чертежи! Как их можно потерять?! Вы когда-нибудь теряли штаны? Нет? Правильно, как можно потерять то, чем пользуешься постоянно? А этот Рауль теряет чертежи уже в третий раз! Одуреть, опять мне придётся их распечатывать, надоело.';
	end;
	phr = {
		{always = true, code[[p ('Ремонт - ', Repair, '. Увеличить? (', 1000*Repair,' долларов)');]], code[[if Dollars >= 1000*Repair and Repair < 10 then Dollars = Dollars - 1000*Repair; Repair = Repair + 1; levelup(); else p '-- Ты слишком беден для обучения.'; end;]]};
		{always = true, 'Выход.', 'Ок.', [[back();]]};
	};
};

captain = dlg {
	nam = 'Кабинет капитана';
	pic = 'gfx/53.jpg';
	enter = function()
		if have 'letter' then
			pjump 'letter';
			p '-- А, что это письмо? От Джека?^Капитан распаковывает конверт и на пару минут погружается в чтение.^-- Ну что же. Интересные данные. И кстати Джек тебя мне рекомендовал как толкового разведчика. Не заблудился? Адские таблички, всё никак не могу их везде развесить. Похоже я единственный на базе, кто знает расположение кабинетов, а без плана тут чёрт ногу сломит (вы не можете с ним не согласиться). Ладно, у меня есть для тебя работёнка. Отряд рейнджеров располагается неподалеку, необходимо заставить их покинуть эти края, пока они не пронюхали про нас. Скоро мы начнём патрулирование, но пока времени нет, да и людей не хватает. Ну, как? Берёшься?';
			remove('letter', me);
			Exp = Exp + 50;
		elseif ranger_die == 1 then
			pjump 'ranger';
		elseif mission >= 6 and vert_clamat == 0 then
			pjump 'clamat';
			p ('-- А, заходи. Ты то мне и нужен, ', rank, '. Есть задание, с которым справится только один из парней Джека. Местные обалдуи не способны вести разведку. Так вот, три дня назад при разведке на севере пропал наш вертибёрд. На борту был пилот, техник и робот Хэнди, переоборудованный для картографических задач. Нужно найти вертибёрд и убедиться, что местные жители не получили какой-либо лишней информации. С мистера Хэнди надо снять блок памяти. Ориентировочно вертибёрд пропал севернее Дена, по слухам там есть еще пара маленьких городков. Последнее, о чем говорил пилот, было как раз то, что он заметил какие-то строения. Берешься? Я не твой начальник и приказывать не могу, но если притащишь этих раздолбаев на базу, то я уж придумаю как вознаградить.');
		elseif have 'memory_chip' then pjump 'chip';
		else
			pjump 'none';
			p 'Вы проходите в кабинет, капитан наливает вам выпить и начинает как и обычно травить свои байки:^-- Давно это было, я ещё был капралом, нас отправляли зачищать Убежища, в те времена Анклав был слабой организацией, нам были нужны технологии и технологи. Странно, но правительство было очень нетребовательно к людям, которых пускали в Убежища. Нет, я ничего не говорю, в первую очередь туда пускали учёных, однако кроме того, в Убежищах спасался всякий сброд. Понимаешь о чём я? Простые обыватели, я никогда не мог этого понять, потому и приходилось зачищать почти всех. По мне, так в Волт Текнолоджикс работали одни кретины. Потом, конечно, мы собрали под своим крылом почти всех учёных, те что живут во Внешнем Мире в основном ученики наших инженеров и медиков. Вот такие дела.';
		end;
	end;
	phr = {
		{tag = 'none', always = true, 'Выход.', nil, [[back();]]};
		{};
		{tag = 'letter', 'Согласен. Миссия выглядит несложной.', 'Отлично. Давай отмечу на карте. Тут не особо далеко. Выйдешь на поверхность и двигай на восток.', [[ways(Navarro):add(Ranger); poff 'letter1';]]};
		{tag = 'letter1', 'У меня уже есть задание. Вынужден отказаться.', 'Черт, ну ладно. Дела Безопасности важнее. Джеку кстати привет.'};
		{always = true, 'Выйти.', nil, [[back();]]};
		{};
		{tag = 'clamat', 'Задание ясно. Думаю я смогу вам помочь, капитан.', 'Отлично. Топай к вертибёрдам, я сейчас распоряжусь тебя подкинут до Дена.', [[vert_clamat = 1; poff 'clamat';]]};
		{tag = 'clamat', 'У меня уже есть задание. Вынужден отказаться.', 'Черт, ну ладно. Дела Безопасности важнее. Джеку кстати привет.', [[pon 'clamat';]]};
		{always = true, 'Выйти.', nil, [[back();]]};
		{};
		{tag = 'ranger', 'Рейнджеры вас больше не побеспокоят.', 'Отличные новости. Держи триста баксов, заслужил боец! Скоро начнем патрулирование и всякий сброд уже не будет нам угрозой. И Джеку передавай привет кстати. И зайди ко мне попозже, у меня есть есть кое-что для тебя.', [[Dollars = Dollars + 300; Exp = Exp + 120; ranger_die = 2; ways(Navarro):del(Ranger);]]};
		{always = true, 'Выйти.', nil, [[back();]]};
		{};
		{tag = 'chip', 'Я принес блок памяти мистера Хэнди. Пилот и техник мертвы, вертибёрд восстановлению не подлежит.', 'Черт, неважные известия. Но главное ты спас информацию. Окей, я обещал награду? Тогда держи еще триста баксов и не трать все на шлюх.', [[Dollars = Dollars + 300; Exp = Exp + 120; remove('memory_chip', me);]]};
		{tag = 'chip', 'Выйти.', nil, [[back();]]};
	};
};

Navarro1 = room {
	nam = 'Подземная часть Наварро';
	pic = 'gfx/54.jpg';
	dsc = 'Вы на подземном этаже базы «Наварро».';
	way = {vroom('На поверхность', 'Navarro'), 'biodevelopment', 'captain'};
};

landing_strip = dlg {
	nam = 'Вертибёрды';
	pic = 'gfx/13.png';
	enter = function()
		p 'Взлётно-посадочная полоса в Наварро оказалась просто свободным от строений пространством, утыканным кое-где вертибёрдами. Где специальные огни, там всякие? Где диспетчеры и обслуживающий персонал? Нету. Вы подошли на ваш взгляд к самому надёжному вертибёрду.';
		if have 'map' then
			pon 'den';
			p 'Вас встречает пилот и  скромно пытаясь дышать в сторону, дабы не смутить вас запахом технического спирта изо рта, просит отдать ему карту с указанным местом назначения. Если у вас есть соответствующая карта отдайте её ему, есть шанс, что он вас доставит куда надо, или можете отойти отсюда подальше.';
		elseif mission == 8 or vert_clamat == 1 then
			pon 'den';
			p '^-- А, стоп. Вас приказано доставить в Ден. Загружайтесь на борт.';
		elseif vert_clamat > 1 then
			pon 'den1';
		end;
		if have 'map2' then
			pon 'map2';
			p 'Вас встречает пилот и  скромно пытаясь дышать в сторону, дабы не смутить вас запахом технического спирта изо рта, просит отдать ему карту с указанным местом назначения. Если у вас есть соответствующая карта отдайте её ему, есть шанс, что он вас доставит куда надо, или можете отойти отсюда подальше.';
		end;
		if have 'map3' then
			pon 'map3';
			p 'Вас встречает пилот и  скромно пытаясь дышать в сторону, дабы не смутить вас запахом технического спирта изо рта, просит отдать ему карту с указанным местом назначения. Если у вас есть соответствующая карта отдайте её ему, есть шанс, что он вас доставит куда надо, или можете отойти отсюда подальше.';
		end;
		if have 'map4' then
			pon 'map4';
			p 'Вас встречает пилот и  скромно пытаясь дышать в сторону, дабы не смутить вас запахом технического спирта изо рта, просит отдать ему карту с указанным местом назначения. Если у вас есть соответствующая карта отдайте её ему, есть шанс, что он вас доставит куда надо, или можете отойти отсюда подальше.';
		elseif kerling > 1 then
			pon 'reno';
		end;
		if kerling >= 4 then
			pon 'k4';
			p '-- А, опять дела службы? Приказано доставить вас куда пожелаете. Ден, Реддинг или Нью-Рено?';
		end;
	end;
	phr = {
		{tag = 'den', false, 'Летим в Ден.', '-- Ик, летим на задание!^', [[remove('map', me); narkoff(); walk(Den);]]};
		{tag = 'den1', false, 'Летим в Ден. - командирским голосом вы решаете взять пилота на испуг.', '-- Ик, неа! Только по карте. По личным делам.. Хм, пожалуй я еще помню дорогу, но мне нужна компенсация для успокоения совести, ведь я нарушаю устав. Пожалуй 300 баксов пойдет.', [[pon 'den2';]]};
		{tag = 'den2', false, 'Заплатить 300 долларов взятки.', '-- Ик, на взлет!', [[Dollars = Dollars - 300; narkoff(); walk(Den);]]};
		{tag = 'map2', false, 'Отдать карту пилоту. Летим в Санта-Марию.', '-- Ик, летим на задание!', [[remove('map2', me); narkoff(); walk(SantaMaria);]]};
		{tag = 'map3', false, 'Отдать карту пилоту. На поиски ванаминго.', '-- Ик, что такое?! Там же эти твари бродят. Ванаминго! Я спускаться не буду, сброшу тебя на тросе и не приземлюсь пока не увижу, что все они сдохли. Так и знай!^', [[remove('map3', me); narkoff(); walk(Vanamingo);]]};
		{tag = 'map4', false, 'Отдать карту пилоту. Казино Нью-Рено ждут!', '-- Эй чувак, просыпайся. Вон там город начинается, а мне пора валить пока не пропалили. - Вас растормошил пилот, к вашему удивлению вы как-то умудрились задремать. Может уже привыкаете к полетам?', [[remove('map4', me); narkoff(); walk(NewReno);]]};
		{tag = 'reno', false, 'Летим в Нью-Рено. - командирским голосом вы решаете взять пилота на испуг.', '-- Ик, неа! Только по карте. По личным делам.. Хм, пожалуй я еще помню дорогу, но мне нужна компенсация для успокоения совести, ведь я нарушаю устав. Пожалуй 300 баксов пойдет.', [[pon 'reno2';]]};
		{tag = 'reno2', false, 'Заплатить 300 долларов взятки.', '-- Ик, на взлет!', [[Dollars = Dollars - 300; narkoff(); walk(NewReno);]]};
		{tag = 'k4', false, 'Летим в Ден.', '-- Ик, летим на задание!', [[narkoff(); poff 'k4'; walk(Den);]]};
		{tag = 'k4', false, 'Летим в Реддинг.', '-- Ик, летим на задание!', [[narkoff(); poff 'k4'; walk(Redding);]]};
		{tag = 'k4', false, 'Летим в Нью-Рено.', '-- Ик, летим на задание!', [[narkoff(); poff 'k4'; walk(NewReno);]]};
		{always = true, 'Выход.', nil, [[back();]]};
	};
};

--пока вырезано, может придумаю что еще сделать
arsenal = dlg {
	nam = 'Арсенал';
	pic = 'gfx/00.png';
	enter = function()
		p 'Порядки в арсенале Наварро несколько отличаются от заведённых на Главной Базе. В частности, здесь практически нереально за просто так получить обмундирование, это может занять несколько недель бумажной волокиты, зато за вполне умеренную взятку процесс ускоряется, как Эйнштейну не снилось с его пределом скорости света. Итак, 100 долларов, и любая из предложенных услуг ваша, разумеется, ни один предмет не предназначен для продажи. Рядовые и сержанты здесь не получат вообще ничего.';
		if rank == 'Лейтенант' then pon 'leit';
		elseif rank == 'Капитан' then pon 'cap';
		elseif rank == 'Майор' then pon 'major';
		elseif rank == 'Подполковник' then pon 'lcol';
		end;
	end;
	phr = {
		{tag = 'leit', false, 'Нанести яд на рукопашное оружие. Любое ваше рукопашное оружие можно покрыть ядом, что увеличивает урон.', '-- Отлично парень, давай-ка я капну немного этой хрени сюда.', [[if Dollars >= 100 and weapon == '01' or weapon == '04' or weapon == '07' then Dollars = Dollars - 100; damage = damage + 5; end;]]};
		{tag = 'leit', false, 'Превращение джина в коктейль Молотова.', '-- Так, мне нужна тряпка и немного керосина, готово!', [[if Dollars >= 100 and have 'gin' then Dollars = Dollars - 100; remove('gin', me); take 'molotov_cocktail'; end;]]};

--		{tag = 'cap', false, 'Похабные надписи на металлической броне. Дают +1 к разговору при общении с мужчинами.', 'Отличный выбор.', [[if Dollars >= 100 then Dollars = Dollars - 100; end;]]};
--		{tag = 'cap', false, 'Верная собака в качестве напарника. Можете взять себе псину, она будет вас охранять и любить. Не забывайте, что суммарное количество ваших напарников не должно превышать ваш параметр обаяния. Собака, зубы: 1d6+4 АТАКА: 2 ЗАЩИТА: 6 ЖИЗНИ: 45 УДАЧА: 1 Умеет выслеживать, навык следопыта: 3.', 'Отличный выбор.', [[if Dollars >= 100 then Dollars = Dollars - 100; end;]]};

--		{tag = 'major', false, 'Биомеханический глаз. Даёт -1 к обаянию, но +1 к восприятию. Заменить обратно на обычный нельзя.', 'Отличный выбор.', [[if Dollars >= 100 then Dollars = Dollars - 100; end;]]};
--		{tag = 'major', false, 'Просветлённая оптика. Если у вас оружие с оптическим прицелом ваши противники всегда атакуют вас по-очереди, даже если в описании параграфа сказано иное.', 'Отличный выбор.', [[if Dollars >= 100 then Dollars = Dollars - 100; end;]]};
--		{tag = 'major', false, 'Капкан с ультра-шоком. Перед боем киньте проверку по навыку следопыт один раз, если она прошла успешно, значит ваш противник попал прямо в вами подстроенную ловушку. Киньте кубик, умножьте то, что на нём выпало на свой параметр удачи и отнимите полученное количество жизней у врага.', 'Отличный выбор.', [[if Dollars >= 100 then Dollars = Dollars - 100; end;]]};
--		{tag = 'major', false, 'Улучшенный силовой реактор. Любая ваша Силовая броня даст вам +2 к силе, а не +1, как обычная.', 'Отличный выбор.', [[if Dollars >= 100 then Dollars = Dollars - 100; end;]]};

--		{tag = 'lcol', false, 'Вы можете получить металлическую собаку в напарники. Не забывайте, что суммарное количество ваших напарников не должно превышать ваш параметр обаяния. Её характеристики следующие: Металлическая собака, железные зубы: 8 АТАКА: 2 ЗАЩИТА: 8 ЖИЗНИ: 60 Ловко умеет складывать и умножать числа, навык наука равен двум. Если вы станете техническим подполковником, то замените у собаки зубы на стальные. Это увеличит её повреждения на 4, а атаку на один.', 'Отличный выбор.', [[if Dollars >= 100 then Dollars = Dollars - 100; end;]]};
--		{tag = 'lcol', false, 'Техничекие подполковники ходят исключительно в компании роботов. Можете и вы взять себе одного. Не забывайте, что суммарное количество ваших напарников не должно превышать ваш параметр обаяния. Робобрейн, боевой винчестер: 5d6 АТАКА: 3 ЗАШИТА: 10 ЖИЗНИ: 80 Если ваш навык науки больше или равен четырём, увеличьте роботу атаку на единицу, а если у вас четыре или больше навык ремонта, то броня у него станет равна 15.', 'Отличный выбор.', [[if Dollars >= 100 then Dollars = Dollars - 100; end;]]};
--		{tag = 'lcol', false, 'Перцовый спрей. При использовании его все животные (не люди и не роботы) в радиусе ста метров в панике убегают прочь. Считайте, что вы убежали от противника.', 'Отличный выбор.', [[if Dollars >= 100 then Dollars = Dollars - 100; end;]]};
		{always = true, 'Выход', nil, [[back();]]};
	};
};

biodevelopment = dlg {
	nam = 'Биоразработки';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы зашли в отдел биоразработок. К вам тут же засеменил механический пёс, когда он к вам приблизился, то поднял свою железную морду и заговорил человеческим голосом:^-- А ты, что ещё за хрен? Какого припёрся?';
		if have 'dc_corpse' then
			p 'О, какой хороший экземпляр! Спасибо, спасибо. Вот вам 300 долларов и даже не сомневайтесь, берите. Да, да, я понимаю что вы исполняли свой долг, но 300 долларов ещё никому не мешали. Вот так.^Взяв деньги, вы заглянули в столовку, как вдруг услышали дикий вой. Хм, кажется смертекогть проснулся. Внезапно в столовую вбежал доктор Шребер с киберпсом.^-- Что вы мне притащили! Этот Коготь орёт как восемь его собратьев! Он будит своими криками даже часовых на поверхности. Капитан сказал мне, чтобы я заплатил штраф в 500 долларов, причём если крики повторятся, то штраф будут накладывать снова и снова! Что мне делать? За что мне это! Я должен работать, а не думать где мне достать денег! Вы частично виноваты в этой ситуации, поэтому должны мне помочь! А ты вообще заткнись, кусок металлолома, пока я мотиватор не вытащил!';
			remove('dc_corpse', me);
			Exp = Exp + 200;
			Dollars = Dollars + 300;
			pon 'dc2';
			shreber = 1;
		elseif not have 'tranquilizer' and shreber == 0 then
			pon 'dc';
			p '^К вам подошёл хозяин собаки:^-- Извините, это моё творение, меня зовут Шребер. Я, знаете ли, иногда в свободное время конструирую таких собачек, ничего особенного, развлечение. Недавно вот, начал прививать им свободомыслие. Поставил ящик с батарейками и строго-настрого приказал собакам не прикасаться к нему. Постепенно пёсики мои умнели и вот, этот все батарейки пустил на увеличение мобильности. Теперь говорит, что я кругом неправ. Обзывает нехорошими словами. Считает, что я поступаю неправильно. Недавно заявил, что не верит будто я его создал, придумал чего-то про эволюцию из болтового соединения. А я биолог, экспериментирую на Когтях Смерти. Правда, в последнее время материала не хватает.';
		end;
		if shreber == 2 then
			pon 'dc3';
			shreber = 3;
		end;
	end;
	phr = {
		{tag = 'dc', false, 'Я могу попробовать поймать смертекогтя.', '-- Тогда я дам вам транквилизатор, он отлично действует на смертекогтей. Как только встретите смертекогтя, используйте транквилизатор. Животное вырубится на несколько дней.', [[take 'tranquilizer';]]};
		{tag = 'dc2', false, 'Доктор, я попробую вам помочь. У вас еще остались запасы транквилизатора?', '-- Я не могу синтезировать достаточное количество транквилизатора для моих нужд. Это только временная отсрочка. Найдите способ успокоить смертекогтя. Я найду чем вас отблагодарить.'};
		{tag = 'dc3', false, 'Рассказать доктору Шреберу о способах успокоить смертекогтя.', '-- Хм, хм. Интересная мысль. Должно сработать. Но награды не будет, т.к. капитан вытряс из меня всю наличность. Впрочем! -- Шребер покопался в столе. -- Вот есть стимпак!', [[take 'stimpack';]]};
		{always = true, 'Выход', nil, [[back();]]};
	};
};
