NCR = room {
	nam = 'Рынок';
	pic = 'gfx/49.png';
	enter = function()
		set_music('bgm/NCR.mp3');
	end;
	dsc = 'Вы попадаете в торговый район Новой Калифорнийской Республики.';
	obj = {'Caravan'};
	way = {'Buster', 'IguanaBob', 'NCRSaloon', 'business_center'};
};

manager_of_caravans2 = dlg {
	nam = 'Менеджер караванов';
	pic = 'gfx/00.png';
	enter = function()
		p '-- Эй привет, хочешь опять поработать охранником? Оплата обычная 200 золота в любую сторону.';
		pon 'two';
	end;
	phr = {
		{tag = 'two'; false, 'А куда идем?', '-- Скоро отходит караван до Реддинга.', [[pon 'three';]]};
		{tag = 'three'; false, 'Окей, в Реддинг, так Реддинг.', nil, [[pon 'three'; walk(to_redding);]]};
		{always = true, 'Э, нет. У меня пока дела тут.', 'Ну как знаешь, мы еще не скоро уходим.', [[back();]]};
	};
};

Buster = dlg {
	nam = 'Палатка Бастера';
	pic = 'gfx/00.png';
	enter = function()
		if visits() == 0 then p 'На входе вы столкнулись с выходящим из палатки парнем с огромным стволом в руках. Уважительно проводив взглядом ствол, вы даже не обратили внимание на его владельца.^'; end;
		p '-- Эй, парень. Меня зовут Бастер и тут ты найдешь лучшие стволы в пустоши.';
		if Energy_Weapons > 3 then pon 'laser'; end;
	end;
	phr = {
		{'Эй, я хочу такой же ствол как у этого парня.', '-- Бозар? К сожалению это был последний образец. Стоил целое состояние. Но у меня кое-что осталось и кроме него. Посмотри.'};
		{always = true, 'Штурмовая винтовка – 1500 золотых.', code[[
			if Gold >= 1500 and tonumber(weapon) < 6 then weapon = '06'; damage = 16; Gold = Gold - 1500; p '-- Держи, парень.';
			elseif Gold < 1500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Супер-кувалда – 4000 золотых.', code[[
			if Gold >= 4000 and tonumber(weapon) < 7 then weapon = '07'; damage = 36; Gold = Gold - 4000; p '-- Держи, парень.';
			elseif Gold < 4000 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня оружие покруче, зачем мне этот хлам?'; end;]]};
		{tag = 'laser', false, 'Лазерная винтовка – 4000 золотых.', code[[
			if Gold >= 4000 and tonumber(weapon) < 19 then weapon = '19'; damage = 50; Gold = Gold - 4000; p '-- Держи, парень.';
			elseif Gold < 4000 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Миниган – 3500 золотых.', code[[
			if Gold >= 3500 and tonumber(weapon) < 17 then weapon = '17'; damage = 44; Gold = Gold - 3500; p '-- Держи, парень.';
			elseif Gold < 3500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Граната – 200 золотых.', code[[
			if Gold >= 200 and not have 'grenade' then take 'grenade'; Gold = Gold - 200; p '-- Держи, парень.';
			elseif Gold < 200 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня есть граната.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

IguanaBob = dlg {
	nam = 'Игуана Боб';
	pic = 'gfx/50.png';
	enter = function()
		p '-- Приветствую, не желаете свежей игуаны на палочке?';
		if Perk == 'Алкоголик' then pon 'alk'; end;
	end;
	phr = {
		{always = true, 'Пиво – 10 золота.', code[[
			if Gold > 10 and not have 'beer' then take 'beer'; Gold = Gold - 10; p '-- Держите бутылку.';
			elseif Gold < 10 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Вяленое мясо – 10 золота', code[[
			if Gold > 10 and not have 'dried_meat' then take 'dried_meat'; Gold = Gold - 10; p '-- Держи кусок.';
			elseif Gold < 10 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Съешь сначала то, что у тебя есть.'; end;]]};
		{always = true, 'Игуана на палочке – 20 золота', code[[
			if Life < MaxLife and Gold > 20 then Gold = Gold - 20; Life = Life + rnd(10); p 'Вы взяли еду и с удовольствием стрескали.';
				if Life > MaxLife then Life = MaxLife; end;
			elseif Gold < 20 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Черт, я и так сытый.'; end;]]};
		{tag = 'alk', false, 'Джин – 15 золотых', code[[
			if Gold > 15 and not have 'gin' then take 'gin'; Gold = Gold - 15; p '-- Вижу вы знаток по выпивке.';
			elseif Gold < 15 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

NCRSaloon = room {
	nam = 'Салун';
	pic = 'gfx/00.png';
	enter = function()
		timer:set(6000);
	end;
	timer = function(s)
		if guitar == 0 then Guitarist.dsc = '^^Гитарист гнусавит: Ватчин хер строллинг ин зе найт.'; --Watching her strolling in the night
		elseif guitar == 1 then Guitarist.dsc = '^^Гитарист гнусавит: Со вайт вондеринг вай.'; -- So white wondering why'
		elseif guitar == 2 then Guitarist.dsc = '^^Гитарист завыл: Итз ооонлиии афтер дарк.';-- It's only after dark
		elseif guitar == 3 then Guitarist.dsc = '^^Гитарист гнусавит: Их хер айз э дистант файер лайт. ';-- In her eyes a distant fire light
		elseif guitar == 4 then Guitarist.dsc = '^^Гитарист мерзко поет: Бюрнс брайт вондеринг ваааай.';-- Burns bright wondering why';
		elseif guitar == 5 then Guitarist.dsc = '^^Гитарист завыл, как пёс: Итз ооонлиии афтер дарк.';-- It's only after dark]];
		elseif guitar == 6 then Guitarist.dsc = '^^Гитарист гнусавит: Ай файнд майселф ин хер рууум.';-- I find myself in her room';
		elseif guitar == 7 then Guitarist.dsc = '^^Гитарист бубнит: Фил зе февер оф май дууум.';-- Feel the fever of my doom';
		elseif guitar == 8 then Guitarist.dsc = '^^Гитарист гнусавит: Фаллинг фаллинг зроу зе флуууур.';-- Falling falling through the floor';
		elseif guitar == 9 then Guitarist.dsc = '^^Гитарист притоптывает ногой: Айм кнокинг он зе девилс дуууур, йееееее.';-- I'm knocking on the devil's door, yeeeah]];
		elseif guitar == 10 then Guitarist.dsc = '^^Гитарист гнусавит: Ин зе даун ай вейк ап то файнд.';-- In the dawn I wake up to find';
		elseif guitar == 11 then Guitarist.dsc = '^^Гитарист тянет: Хер гон энд а ноууут.';-- Her gone and a note';
		elseif guitar == 12 then Guitarist.dsc = '^^Гитарист гнусавит: Сэйс онли афтер дарк.';-- Says only after dark';
		elseif guitar == 13 then Guitarist.dsc = '^^Гитарист бубнит: Бюрнинг бюрнинг ин зе флейм.';-- Burning burning in the flame';
		elseif guitar == 14 then Guitarist.dsc = '^^Гитарист гнусавит: Нау ай ноу хер секрет неееейм.';-- Now I know her secret name';
		elseif guitar == 15 then Guitarist.dsc = '^^Гитарист бьет по струнам: Ю кан тир хер темпл дауууун.';-- You can tear her temple down';
		elseif guitar == 16 then Guitarist.dsc = '^^Гитарист гнусавит: Бат шилл би бэк энд рул эгейн, йееееее';-- But she'll be back and rule again, yeeeeeah]];
		elseif guitar == 17 then Guitarist.dsc = '^^Гитарист захрипел: Ин зе харт э дип энд дарк энд лонли парт.';-- In my heart a deep and dark and lonely part';
		elseif guitar == 18 then Guitarist.dsc = '^^Гитарист гнусавит: Вантс хер анд вейтс фор афтер дарк, афтер дарк, афтер дарк, афтер даааааарк.';-- Wants her and waits for after dark, after dark, after dark, after daaaaaaaaark'; guitar = -1;
		end;
		guitar = guitar + 1;
		walk(here());
	end;
	dsc = 'За стойкой {xwalk(barmen_saloon)|бармен} плюет в стакан и пытается его вытереть грязной тряпкой. Пара человек подпевает невпопад хмырю с гитарой.';
	way = {vroom('Вернуться на улицу', 'NCR')};
	obj = {'Fighter', 'Merk', 'Guitarist'};
};

barmen_saloon = dlg {
	nam = 'Бармен';
	pic = 'gfx/00.png';
	enter = function()
		p '-- Чего желаете? -- Обратился к вам бармен.';
		if Perk == 'Алкоголик' then pon 'alk'; end;
	end;
	phr = {
		{always = true, 'Пиво – 15 золота.', code[[
			if Gold >= 15 and not have 'beer' then take 'beer'; Gold = Gold - 15; p '-- Держи.';
			elseif Gold < 15 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Нюка-кола – 7 золота', code[[
			if Gold >= 7 and not have 'nuke_cola' then take 'nuke_cola'; Gold = Gold - 7; p '-- Теплая и выдохшаяся, как мы все любим.';
			elseif Gold < 7 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{tag = 'alk', false, 'Джин – 25 золотых', code[[
			if Gold >= 25 and not have 'gin' then take 'gin'; Gold = Gold - 25; p '-- Много не пей, парниша.';
			elseif Gold < 25 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Мутированный плод – 7 золота.', code[[
			if Gold >= 7 and not have 'fruit' then take 'fruit'; Gold = Gold - 7; p '-- Любишь фрукты? Ха-ха.';
			elseif Gold < 7 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Прожуй сначала что есть.'; end;]]};
		{always = true, 'Отойти от стойки.', nil, [[back();]]};
	};
};

Fighter_dlg = dlg {
	nam = 'Громила';
	pic = 'gfx/00.png';
	enter = function()
		p '-- Эй, не хочешь купить мне выпивки? А, чужак?';
		enemy_life = 25;
	end;
	phr = {
		{'Иди к черту!', 'Что? Тогда огреби! -- И громила ударом смахивает вас со стула.', [[pon 'Unarmed'; poff 'drink';]]};
		{tag = 'drink', 'Конечно-конечно. Бармен плесните господину что-нибудь.', '-- Уф, отлично. -- Громила с шумом высасывает выпивку. После чего бьет кулаком по стойке. -- Давай еще!', [[if Gold >= 25 then pon 'drink'; Gold = Gold - 25; else pon 'not'; end;]]};
		{tag = 'not', false, 'Тогда иди и раздобудь еще! Ходят тут всякие бродяги!'};
		{tag = 'Unarmed', false, code[[p('Дать сдачи. (Рукопашная - ', Unarmed*10, '%)');]], code[[
--			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 13;
			if rnd(10) ~= 0 then
				p 'Удар оказался весьма эффективным.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Громила с размаха бьет в ответ.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Вы ловко уклонились от удара.';
				end;
				pon 'Unarmed';
			else
				p 'Последний удар в челюсть возымел эффект. Громила с шумом падает и люди в баре хлопают и свистят вам.';
				objs(from):del(Fighter);
			end;]]};
	};
};

Merk_dlg = dlg {
	nam = 'Мерк';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы видите брутального типа. Явно бандит или работорговец.';
		if seen(Fighter, NCRSaloon) then pon 'ext';
		elseif have 'picture' then pon 'pic';
		elseif merk == 0 then pon 'one'; end;
	end;
	phr = {
		{tag = 'ext', false, 'Эй, как дела?', '-- Ты не знаешь меня, я не знаю тебя. Вали отсюда парень, пока я добрый.'};
		{tag = 'one', false, 'Эй, как дела?', '-- Неплохо, вижу и у тебя тоже хорошо, изрядно ты отделал этого громилу. Мне нравятся люди вроде тебя, которые сначала бьют в лицо, а потом выясняют где оно должно находиться. Есть одно дельце для ловкого парня типа тебя.', [[pon 'two';]]};
		{tag = 'two', false, 'Что за дело и что я буду иметь с этого?', '-- Ха, сразу к делу. Есть один особняк, пара человек охраны, внутри на стене висит некое произведение искусства.', [[pon 'three';]]};
		{tag = 'three', false, 'Охрана говоришь, дело пахнет жареным.', '-- Ты ловкий парень или нет? Если ловкий, то драки не будет. Да и нежелательно шум поднимать, в бизнес-центре города полно копов.', [[pon 'five';]]};
		{tag = 'three', false, 'Видел я это "искусство", был на выставке, там какой-то псих показывал браминью лепеху в стеклянной банке.', '-- Да нет, придурок, ха-ха. Это картина. Кусок полотна в деревянной рамке.'};
		{tag = 'five', false, 'Так что насчет денег?', '-- Могу дать взамен электронную отмычку или рассказать как найти подпольное казино.', [[pon 'six';]]};
		{tag = 'five', false, 'Бизнес-центр?', '-- Ха, ты точно не местный. Это часть города, за теми воротами. Там нельзя просто так кого-то пристрелить или ограбить. Копы на каждом углу.'};
		{tag = 'six', false, 'Интересное предложение.', '-- Ну ты подумай, я если что пока здесь.', [[merk = 1;]]};
		{tag = 'pic', false, 'Я достал картину.', '-- Черт, я оказался прав, ты ловкий парень. Ты даже не представляешь какое это сокровище. Это же Шекспир, работа его кисти. Да в Нью-Рено эту картину с руками оторвут.', [[remove('picture', me); pon 'pic2';]]};
		{tag = 'pic2', false, 'Как насчет награды? Ты говорил что-то про подпольное казино?', '-- Да, зайдешь к торгошу Дуппо со "Всякой Всячине" и скажешь что хочешь сделать пару ставок. Он сразу поймет.', [[merk = 2; poff 'pic2';]]};
		{tag = 'pic2', false, 'Ты обещал мне электронную отмычку.', '-- Не вопрос, вот твоя отмычка.', [[if Steal < 10 then Steal = Steal + 1; end; poff 'pic2';]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

business_center = room {
	nam = 'Бизнес-центр';
	pic = 'gfx/00.png';
	dsc = 'Вы проходите в бизнес-центр города. Тут полно копов, на каждом углу, глаз не сводят и похоже что это гауссовки в их руках.';
	way = {vroom('Полицейский участок', 'police_station'), vroom('Клиника', 'doctor_Henry'), vroom('Всякая всячина', 'Duppo'), 'base_of_rangers', 'bar_ncr', 'NCR'};
};

police_station = dlg {
	nam = 'Начальник полиции';
	pic = 'gfx/00.png';
	enter = function()
		p 'Начальник полиции замечает вас, стоит вам переступить порог полицейского участка.^-- Можешь на кого-нибудь стукнуть? Хочешь кого-нибудь сдать? А ну, говори, кто твои подельники? Хочешь, напиши анонимку. Или ещё какую гадость товарищам-бандитам сделаешь? Расценки стандартные -- 30 монет.';
	end;
	phr = {
		{always = true, 'Э, я наверное не туда попал.', nil, [[back();]]};
	};
};

doctor_Henry = dlg {
	nam = 'Доктор Генри';
	pic = 'gfx/00.png';
	enter = function()
		if visits() == 0 then p 'Едва вы проходите через дверь в клинику, как на вас бросается механический пёс с жутким не то, рыком, не то скрипом. От души заехав ему сапогом по морде, вы что-то в нём ломаете, по крайней мере из него начинает валить дым. Из соседнего помещения появляется человек в белом халате.^-- Что случилось?';
			pon 'dog';
		else p 'Вы видите невысокого плотного человека со сверкающей лысиной и в очках с толстыми стеклами.';
			pon 'med';
		end;
		if shreber == 1 then pon 'dc'; end;
		if kerling == 7 then pon 'k7'; end;
	end;
	phr = {
		{tag = 'dog', false, 'Да, я вошёл, смотрю пёс, я к нему наклонился погладить, а из него дым пошёл!', '-- Очень ненадёжная серия мотиваторов. Очень. Впрочем, меня зовут доктор Генри и я могу быстро вас заштопать, если вы ранены. Быстро, потому что я очень занят!', [[pon 'med';]]};
		{tag = 'dc', false, 'Доктор, есть одна проблема. Мой знакомый медик занимается исследованиями физиологии смертекогтей и они во время исследований весьма громко шумят.', '-- Знакомая проблема! У меня супермутанты тоже орали. Так я теперь на дом работу не беру. Сделаю дозу, подсыплю супермутанту и смотрю что получится. Почему, думаешь, здесь поблизости мутантов не осталось? То-то же. А рецепт предельно прост. Берёшь Когтя и втыкаешь ему восемь-десять джетов. Должно хватить. Короче, он не только орать перестанет, он ещё и благодарить начнёт после каждой операции.', [[shreber = 2; Exp = Exp + 100;]]};
		{tag = 'k7', false, 'Доктор, вы же из Анклава, верно?', '-- Тише, хотя тут никто не знает что такое Анклав, все равно не стоит распространяться.', [[pon 'k71';]]};
		{tag = 'k71', false, 'Почему вы покинули Анклав?', '-- Мне не давали работать. Чертов академический совет, меня поддержал только Кёрлинг из всех. Я занимался и занимаюсь исследованиями ретровируса и мне нужны были образцы. Т.е. супермутанты, но после Марипозы все исследования были свернуты и меня попросили заняться водорослями. Я послал их всех, особенно Маккея и смылся в Сан-Франциско, оттуда я с караваном прибыл в этот город, где мне хватает образцов для исследования и местные власти ценят мои услуги медика.', [[pon 'k72';]]};
		{tag = 'k72', false, 'Хм, я прибыл от Доктора Кёрлинга и он просил меня добыть результаты вашей работы.', '-- О, старый пройдоха еще занимается этой темой. Ха, но он не знает насколько я ушел вперед. Хотя впрочем я могу поделиться кое-чем, это надолго его озадачит. Постой минутку, куда я задевал этот голодиск.^Покопавшись на полках доктор Генри нашел и торжественно вручил вам потрепанный голодиск с логотипом ваулттека.', [[pon 'k73'; take 'holodisk2'; kerling = 8;]]};
		{tag = 'med', false, 'Лечение - 200 золота.', code[[if Life < MaxLife and Gold >= 200 then p '-- Теперь ты в порядке, проваливай отсюда.'; Life = MaxLife; Rad = 0; Gold = Gold - 200; elseif Life == MaxLife then p '-- Ты и так здоров как бык.'; else p '-- За работу принято платить деньги. А у тебя их нет.'; end; pon 'med';]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

Duppo = dlg {
	nam = 'Торговец Дуппо';
	pic = 'gfx/00.png';
	enter = function()
		p '-- Эй парень, тебе явно нужна броня получше и стимпак в запас.';
		if merk == 2 then pon 'game'; end;
	end;
	phr = {
		{tag = 'game', false, 'Я хочу сделать пару ставок.', '-- Тсс, заткнись парень. Не так громко. Иди в заднюю комнату, там как раз одного не хватает.', [[pon 'game2';]]};
		{tag = 'game2', false, code[[p('Играть в покер. (Игра - ', Gambling*10, '%).');]], code[[if Gambling >= rnd(10) and Gold >= 500 and Moral > 0 then
			p 'Выигрыш. Вы сгребаете деньги со стола.';
			Gold = Gold + 500;
		elseif Moral > 0 and Gold >= 500 then
			Moral = Moral - 1;
			p 'Эх непруха, карта не идет.';
			Gold = Gold - 500;
		elseif Moral == 0 then
			p 'Пойду подкреплюсь и вернусь со свежими силами.';
		elseif Gold < 500 then 
			p 'Продулся почти в ноль, не хватает золота для ставки. Похоже пора уходить.';
		end; pon 'game2';]]};
		{always = true, 'Стимпак – 350 золота', code[[
			if Gold >= 350 and not have 'stimpack' then take 'stimpack'; Gold = Gold - 350; p '-- Пригодится в пустоши.';
			elseif Gold < 350 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть стимпак.'; end;]]};
		{always = true, 'Динамит – 400 золота.', code[[
			if Gold >= 400 and not have 'dynamite' then take 'dynamite'; Gold = Gold - 400; p '-- Взрывай.';
			elseif Gold < 400 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя уже есть динамит.'; end;]]};
		{always = true, 'Граната – 250 золотых.', code[[
			if Gold >= 200 and not have 'grenade' then take 'grenade'; Gold = Gold - 200; p '-- Держи, парень.';
			elseif Gold < 200 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть граната.'; end;]]};
		{always = true, 'Стальная броня – 4000 золотых.', code[[
			if Gold >= 4000 and armor < 4 then armor = 4; armor_count = 0.65; Gold = Gold - 4000; p '-- Держи, парень.';
			elseif Gold < 4000 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть броня покруче.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

base_of_rangers = dlg {
	nam = 'База рейнджеров';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы заходите в здание со звездой на вывеске. Видимо, в рейнджеры берут всякий сброд, по крайней мере, вы видите здесь и супермутанта, и какого-то калеку.';
	end;
	phr = {
		{'Эй, привет.', '-- Здравствуй, путник! Ответь нам, как ты относишься к работорговле?', [[pon 'ran1';]]};
		{tag = 'ran1', false, 'Одобряю, иначе кто будет работать на плантациях или на ком ставить медицинские опыты?', '-- Вижу я ошибся в тебе, странник. Знай что таким как ты тут не рады.', [[poff 'ran1';]]};
		{tag = 'ran1', false, 'Никак не отношусь.', '-- А что ты скажешь, когда узнаешь, что в наших краях действует банда, занимающаяся торговлей людьми?', [[poff 'ran1'; pon 'ran2';]]};
		{tag = 'ran2', false, 'С ума сойти. Куда смотрят люди?', '-- Тогда знай! Ты можешь помочь нам искоренить рабство в этих краях! Тебе следует разузнать всё о том куда работорговцы отправляют несчастных людей. Когда узнаешь, расскажи нам и мы выжжем эту язву с тела земли.', [[pon 'ran3';]]};
		{tag = 'ran3', false, 'А в какую сторону идут караваны с рабами?', '-- Куда-то на север. В Город Убежища, Нью-Рено, куда-то еще.'};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

bar_ncr = room {
	nam = 'Бар';
	pic = 'gfx/00.png';
	dsc = 'В НКР нет сухого закона, поэтому в принципе, в этом баре могут вам налить алкоголь, но в основной массе здесь всё-таки пьют коктейли, лимонад и колу. Здесь довольно уютная обстановка, на потолке люстра, и никакой блевотины, красота! Вы подошли к {xwalk(barmen_ncr)|бармену}.';
	obj = {'picture'};
	way = {vroom('Выйти на улицу', 'business_center')};
};

barmen_ncr = dlg {
	nam = 'Бармен';
	pic = 'gfx/00.png';
	enter = function()
		p '-- Чего желаете? -- Обратился к вам бармен.';
		if Perk == 'Алкоголик' then pon 'alk'; end;
		if seen(picture, bar_ncr) and merk == 1 then pon 'pic'; end;
	end;
	phr = {
		{tag = 'pic', false, 'А что за картина там на стене?', '-- Кто-то из бродяг притащил ее в качестве оплаты за выпивку.', [[pon 'pic2']]};
		{tag = 'pic2', false, 'Вы продадите ее? Я коллекционер и собираю такое.', '-- Хм. Может и продам. За 500 золота например.', [[pon 'pic3']]};
		{tag = 'pic3', false, 'Держи 500 баксов.', code[[if Gold >= 500 then
			take 'picture';
			Gold = Gold - 500;
			p '-- Ну держи, коллекционер.';
			objs(from):del(picture);
		else
			p '-- За деньгами сходи сначала.';
			pon 'pic3'; end;]]};
		{tag = 'pic3', false, code[[p('Это грабеж среди белого дня. (Разговор - ', Speech*10, '%).');]], code[[if Speech >= rnd(10) and Moral > 0 then
			p '-- Окей, отдам за 400. Хрен с тобой.';
			if Gold >= 400 then
				p ' Держи свою картину и вали отсюда.';
				Gold = Gold - 400;
				take 'picture';
				objs(from):del(picture);
				poff 'pic3';
			else p 'Что? Нету денег? Без денег, нет картины.';
				pon 'pic3';
			end;
		elseif Moral > 0 then
			Moral = Moral - 1;
			p '-- Цена хорошая. Последняя может картина на западном побережье.';
			pon 'pic3';
		end;]]};
		{tag = 'pic3', false, 'Дать в морду бармену, схватить картину и бежать.', 'Все пошло не так с самого начала, бармен уклонился, нырнул под стойку и громко закричал. С улицы появились копы, и хотя вы достойно сопротивлялись и даже кого-то укусили за лодыжку, все равно вас скрутили, надавали прикладами гауссовок и выкинули за ворота.', [[poff 'pic3'; Life = 1; walk(NCR);]]};
		{always = true, 'Пиво – 15 золота.', code[[
			if Gold >= 15 and not have 'beer' then take 'beer'; Gold = Gold - 15; p '-- Держи.';
			elseif Gold < 15 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Нюка-кола – 7 золота', code[[
			if Gold >= 7 and not have 'nuke_cola' then take 'nuke_cola'; Gold = Gold - 7; p '-- Теплая и выдохшаяся, как мы все любим.';
			elseif Gold < 7 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{tag = 'alk', false, 'Джин – 25 золотых', code[[
			if Gold >= 25 and not have 'gin' then take 'gin'; Gold = Gold - 25; p '-- Много не пей, парниша.';
			elseif Gold < 25 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Мутированный плод – 7 золота.', code[[
			if Gold >= 7 and not have 'fruit' then take 'fruit'; Gold = Gold - 7; p '-- Любишь фрукты? Ха-ха.';
			elseif Gold < 7 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Прожуй сначала что есть.'; end;]]};
		{always = true, 'Отойти от стойки.', nil, [[back();]]};
	};
};

to_redding = dlg {
	nam = 'Путь в Реддинг';
	pic = 'gfx/00.png';
	enter = function()
		local i = rnd(3);
		if i == 1 then p 'Вы вышли из Новой Калифорнийской Республики с караваном и пару дней прошли без проблем. Но тут из-за пригорка вылез смертекогть. Он быстро бежит к вам.';
			enemy_life = 75;
			weapon_id();
			pjump 'one';
			if have 'tranquilizer' then pon 'trank'; end;
		elseif i == 2 then  p 'Вы вышли из Новой Калифорнийской Республики с караваном и пару дней прошли без проблем. Но тут откуда-то появился патруль супермутантов.';
			enemy_life = 100;
			weapon_id();
			pjump 'two';
		elseif i == 3 then p 'На четвертый день пути вы сбились с дороги и забрели в какие-то радиоактивные развалины. Впрочем доза небольшая, а дорога вскоре снова нашлась.';
			pjump 'three';
			Rad = Rad + rnd(5);
		end;
	end;
	phr = {
--смертекогть
		{tag = 'one'};
		{tag = 'trank', false, 'Использовать транквилизатор.', 'Вы сумели воткнуть шприц в тело смертекогтя, тот взвыл и обмяк. Есть трофей. Только тащить теперь его, тяжелая скотина.^Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.', [[remove('tranquilizer', me); take 'dc_corpse'; Exp = Exp + 50; walk(Redding);]]};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 5;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Оглушенный смертекогть остановился на минуту, но рывком приблизился и взмахнул когтями.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Промахнулся!';
				end;
			else
				p 'Отлично, смертекогть сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Реддинг. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'jaw';
				walk(Redding);
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Вы бьете смертекогтя прямо по рогам.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;
			]], code[[
			if enemy_life > 0 then
				p 'Смертекогть кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, смертекогть сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Реддинг. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'jaw';
				walk(Redding);
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, смертекогть сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Реддинг. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'jaw';
				walk(Redding);
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, смертекогть сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Реддинг. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'jaw';
				walk(Redding);
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Смертекогть кусается.';
				if rnd(2) == 1 then
					p 'Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, смертекогть сдох наконец. Живучая тварь. Можно продолжать путь. Через день вы пришли в Реддинг. Пора оставить этот караван и заняться своими делами.';
				Exp = Exp + 50;
				take 'jaw';
				walk(Redding);
			end;]]};
--супермутанты			
		{tag = 'two'};
		{tag = 'Grenade', false, 'Кинуть гранату.', code[[
			enemy_damage = 5;
			remove('grenade', me);
			p 'Граната с грохотом взорвалась.';
			enemy_life = enemy_life - rnd(50);]], code[[
			if enemy_life > 0 then
				p 'Но это не остановило супермутантов.';
				if rnd(2) == 1 then
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
			else
				p 'Отлично, все супермутанты сдохли наконец. Можно продолжать путь. Через день вы пришли в Реддинг. Пора оставить этот караван и заняться своими делами.';
				take 'gin';
				Exp = Exp + 50;
				walk(Redding);
			end;]]};
		{tag = 'Unarmed', false, code[[p('Атаковать. (Рукопашная - ', Unarmed*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Вы бьете ближайшего супермутанта прямо в зеленую харю.';
				enemy_life = enemy_life - rnd(damage)*Unarmed;
			else p 'Черт, этот гад уклонился.';
			end;
			]], code[[
			if enemy_life > 0 then
				p 'Супермутант жарит огнеметом.';
				if rnd(2) == 1 then
					p 'Вас слегка зацепило. Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Unarmed';
			else
				p 'Отлично, все супермутанты сдохли наконец. Можно продолжать путь. Через день вы пришли в Реддинг. Пора оставить этот караван и заняться своими делами.';
				take 'gin';
				Exp = Exp + 50;
				walk(Redding);
			end;]]};
		{tag = 'Small_Guns', false, code[[p('Атаковать. (Легкое оружие - ', Small_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель, судя по звуку.';
				enemy_life = enemy_life - rnd(damage)*Small_Guns;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Супермутант жарит огнеметом.';
				if rnd(2) == 1 then
					p 'Вас слегка зацепило. Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Small_Guns';
			else
				p 'Отлично, все супермутанты сдохли наконец. Можно продолжать путь. Через день вы пришли в Реддинг. Пора оставить этот караван и заняться своими делами.';
				take 'gin';
				Exp = Exp + 50;
				walk(Redding);
			end;]]};
		{tag = 'Big_Guns', false, code[[p('Атаковать. (Тяжелое оружие - ', Big_Guns*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Выстрел попал в цель.';
				enemy_life = enemy_life - rnd(damage)*Big_Guns;
			else p 'Черт, как я мог промазать?';
			end;]], code[[
			if enemy_life > 0 then
				p 'Супермутант жарит огнеметом.';
				if rnd(2) == 1 then
					p 'Вас слегка зацепило. Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Big_Guns';
			else
				p 'Отлично, все супермутанты сдохли наконец. Можно продолжать путь. Через день вы пришли в Реддинг. Пора оставить этот караван и заняться своими делами.';
				take 'gin';
				Exp = Exp + 50;
				walk(Redding);
			end;]]};
		{tag = 'Energy_Weapons', false, code[[p('Атаковать. (Энергооружие - ', Energy_Weapons*10, '%)');]], code[[
			set_sound('weapon_sounds/'..tostring(weapon)..'.ogg');
			enemy_damage = 4;
			if rnd(10) ~= 0 then
				p 'Треск высокоэнергетического разряда.';
				enemy_life = enemy_life - rnd(damage)*Energy_Weapons;
			else p 'Черт, опять мимо.';
			end;]], code[[
			if enemy_life > 0 then
				p 'Супермутант жарит огнеметом.';
				if rnd(2) == 1 then
					p 'Вас слегка зацепило. Черт, это больно.';
					Life = Life - math.floor(enemy_damage*armor_count);
					if Life <= 0 then walk(end2); end;
				else p 'Ха-ха. Вот мазила. Мимо!';
				end;
				pon 'Energy_Weapons';
			else
				p 'Отлично, все супермутанты сдохли наконец. Можно продолжать путь. Через день вы пришли в Нью-Рено. Пора оставить этот караван и заняться своими делами.';
				take 'gin';
				Exp = Exp + 50;
				walk(Redding);
			end;]]};
			{tag = 'three'};
			{always = 'true', 'Продолжить путь.', 'И через пару дней вы дошли до Реддинга.', [[walk(Redding)]]};
	};
};