NewReno = room {
	nam = 'Нью-Рено';
	pic = 'gfx/31.jpg';
	enter = function()
		set_music('bgm/NewReno.mp3');
	end;
	dsc = 'Огромная вывеска горит неподалеку, кажется вам туда.';
	way = {'VirginSt'};
};

VirginSt = room {
	nam = 'Улица Девственниц';
	pic = 'gfx/00.png';
	dsc = 'Вы на улице девственниц. По левую сторону от вас автомобильная стоянка, машины себе могут позволить только самые богатые жители города, т.е. главы семейств и удачливые торговцы наркотиками. Справа от вас какой-то бордель. Чуть подальше {desp|казино "Desperado"}. По левую сторону от вас {xwalk(Juls)|стоит человек}, который немигая смотрит прямо в ваши нечестные глаза.';
	way = {'parking', 'cats_paw', 'Desperado', 'SecondSt', vroom('Покинуть город', 'NewReno')};
	obj = {xact('desp', 'Буквы "Des" и "а" не горят.')};
};

cats_paw = dlg {
	nam = 'Кошачья лапа';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы заходите в заведение «Кошачья лапа», подходите к хозяйке и просите дать прейскурант.';
		if search_lora == 3 then pon 'lora'; end;
	end;
	phr = {
		{tag = 'lora', false, 'Я ищу Марту, у вас есть девушка с таким именем?', '-- Конечно, Марта в последней комнате. Проходите.^Вы проходите в комнату и обнаруживаете весьма потрепанную приключениями Лору. Несмотря на слой косметики и грязи на лице, это несомненно она.', [[walk 'lora_dlg';]]};
		{tag = 'one', always = true, 'Секс повышает боевой дух - 300 золота.', code[[if Moral < MaxMoral and Gold >= 300 then Moral = MaxMoral; Gold = Gold - 300; p 'Ощущая приятную расслабленность, вы понимаете что снова готовы к подвигам.'; elseif Moral >= MaxMoral then p 'Да, вернусь сюда когда нужно будет расслабиться. Сейчас не время.'; else p 'Денег явно не хватает.' end;]]};
		{'Оральный сеанс - 450 золота.', code[[if Gold >= 450 and Speech < 10 then Gold = Gold - 450; p 'Знаю, знаю, о чём вы подумали. Овальный кабинет, Моника Левински на карачках. Хрен там! Действительно, где же здесь извращение? Под названием "оральный сеанс" значится разговор с девушкой. Теперь вам предстоит долгое и нудное прослушивание варианта Лоры о низком и беспросветном падении в пропасть проституции. Не успела она закончить, как вы выбегаете из комнаты, подальше от этой гнусности.'; Speech = Speech + 1; elseif Speech == 10 then p 'Что это? Эта шлюшка решила заболтать меня до смерти? Вы не успев войти, выходите хлопнув дверью.'; else p 'Денег явно не хватает.' end;]]};
		{tag = 'one', code[[p('Поболтать с хозяйкой. (Разговор - ', Speech*10, '%)');]], code[[if Speech >= rnd(10) then p 'Ой, ну бойцы Бишопа разве что все куда-то бродят на север или восток? Но я вам этого не говорила.'; pon 'bishop'; elseif Moral > 0 then Moral = Moral - 1; p 'Да что я могу вам рассказать? В нашей глуши ничего не происходит.'; pon 'one'; end;]]};
		{tag = 'bishop', false, code[[p('Расспросить подробнее. (Разговор - ', Speech*10, '%)');]], code[[if Speech >= rnd(10) then p 'Ой, ну там на востоке Город-Убежище. Но я вам совсем ничего не говорила.'; elseif Moral > 0 then Moral = Moral - 1; p 'Про дела боссов не принято говорить всем подряд, это плохо кончается.'; pon 'one'; end;]]};
		{always = true, 'Выйти из притона.', nil, [[back();]]};
	};
};

lora_dlg = dlg {
	nam = 'Лора';
	pic = 'gfx/00.png';
	phr = {
		{tag = 'lora2', 'Меня послал твой отец. -- Драматично начинаете вы, правда послал не Метрикс, а его начальник Мейнс, но это совсем не так звучит.', '-- Ты из Анклава? Слушай, я не хочу возвращаться. К чёрту папочку. Проваливай.'};
		{tag = 'lora2', 'Покувыркаемся, крошка?', '-- 500 баксов и все что захочешь.', [[pon 'lora3';]]};
		{tag = 'lora3', false, 'Хочу чтобы ты.. И тут вы пускаетесь в описание самых гнусных гнусностей, какие только может родить ваше извращенное воображение.', 'Лора то бледнела, то краснела. Потом крикнула: Хватит! К черту это! Я ухожу и ты пошел прочь, больной! Этот больной внешний мир, я хочу домой.^Лора захныкала.', [[pon 'lora4'; poff 'lora2';]]};
		{tag = 'lora4', false, 'Это я как раз могу устроить. Вертибёрд стоит за холмом прямо за городом.', '-- Ты все-таки анклавец. Ну и к чёрту. Мне правда надоело все это. Вернусь к родным стальным стенам.^Лора начала хаотично собираться. Вы подождали, проводили до вертибёрда и передали пилоту на руки с наказанием доставить в Анклав.', [[search_lora = 4; walk 'NewReno';]]};
	};
};

parking = dlg {
	nam = 'Парковка';
	pic = 'gfx/55.jpg';
	enter = function()
		if car == 1 then
			p 'Ого, да это же тот хайвенмен, который вы видели в Кламате. Неужели Смитти все-таки смог его отремонтировать? Клевая тачка, погонять бы немного? Вы осторожно оглянулись, вокруг никого.';
		end;
	end;
	phr = {
		{tag = 'auto', code[[p('Покопаться в замке. (Воровство - ', (Steal - 2)*10, '%)');]], code[[if (Steal - 2) >= rnd(10) then p 'Замок щелкнул и дверь тачки открылась, отлично. Осталось завести эту малышку.'; pon 'auto2'; Exp = Exp + rnd(40); elseif Moral > 0 then Moral = Moral - 1; p 'Ничего не получается, надо было больше тренироваться на шкафчиках.'; pon 'auto'; end;]]};
		{tag = 'auto2', false, code[[p('Вытащив провода из под приборной панели вы пытаетесь найти отвечающие за зажигание. (Ремонт - ', Repair*10, '%)');]], code[[if Repair >= rnd(10) then p 'Вот оно, вы замкнули нужные провода и тачка замурчала двигателем.'; pon 'auto3'; Exp = Exp + rnd(40); elseif Moral > 0 then Moral = Moral - 1; p 'Ничего не получается, проклятье.'; pon 'auto2'; end;]]};
		{tag = 'auto3', false, 'Сесть за руль и выехать из города.', 'Ого, да эта крошка жмет сто миль в час как нечего делать. Вдруг на приборной панели замигал какой-то индикатор. Уровень заряда падает. Кажется бывший владелец забыл зарядить автомобиль. У вас тоже нет запаса батарей и немного подумав вы выруливаете обратно к городу. Возможно тачку удастся продать. Хоть какая-то польза.^Подъехав к городу вы замечаете небольшое строение с краю, на фасаде которого имеется полустертая надпись "автосервис". Кажется это то, что надо.^На остатке заряда аккуратно вкатившись в бокс, вы вылезаете из машины в поисках работников этого заведения. Вскоре вам удается найти парочку, к сожалению они убиты в ноль джетом и толку от них добиться никакого не удалось. Пошарившись по карманам вам все таки удается найти пару монет и немного выпивки. Больше тут нечего делать.', [[Gold = Gold + rnd(50); take 'beer'; take 'gin'; car = 2; walk(trade_quarter);]]};
		{always = true, 'Ничего интересного. Выйти с парковки.', nil, [[back();]]};
	};
};

Desperado = room {
	nam = 'Desperado';
	pic = 'gfx/00.png';
	dsc = 'Вы проходите в казино "Десперадо", по данным разведки им управляет семья Мордино. За стойкой {xwalk(barmen_des)|бармен} наливает что-то в высокий бокал {xwalk(lil_jesus)|молодому человеку}, играющему с ножом. За парой столов идет {xwalk(game_des)|игра в блэкджек}.';
	way = {vroom('Вернуться на улицу', 'VirginSt')};
};

Second = dlg {
	nam = 'Второй этаж';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы поднимаетесь на второй этаж и, пройдя мимо охраны, видите тучного немолодого человека.^-- Зачем ты пришёл? - Cпрашивает он.';
		if kerling == 2 then pon 'jet';
		else pon 'no';
		end;
	end;
	phr = {
		{tag = 'no', false, 'Э нет, ничего.', '-- Тогда проваливай!', [[back();]]};
		{tag = 'jet', false, 'Мистер Мордино. Я к вам по поводу джета. У меня есть заинтересованность в крупной партии. У вас ведь лучше всего организованы поставки, а мне нужно очень много джета. Чертовски много. Со своей стороны могу предложить некоторые образцы энергитического оружия и ..', '-- Не все так просто, парень. Да у меня распространители, завались этого джетовского дерьма, а еще у меня есть осведомители и сведения что с Анклавом лучше не играть в такие игры. Поэтому проваливай!^Черт, откуда он узнал об Анклаве? В размышлениях вы уходите.', [[back();]]};
	};
};

barmen_des = dlg {
	nam = 'Бармен';
	pic = 'gfx/00.png';
	enter = function()
		p 'У стойки бара не очень многолюдно. Это наверное потому, что здесь жуткие цены.';
		if Perk == 'Алкоголик' then pon 'alk'; end;
		if have 'holodisc' then pon 'vc'; end;
	end;
	phr = {
		{tag = 'vc', false, 'Привет, а караванщиков тут видели?', '-- Эти бродяги? Тьфу. Заходят, но сейчас к счастью ни одной из этих пустынных крыс тут нет.', [[pon 'vc2';]]};
		{tag = 'vc2', false, 'А ты не знаешь как попасть в Город-Убежище?', '-- Это где-то на востоке? Наверное дыра страшная. Понятия не имею как туда добраться, пешком наверное.'};
		{always = true, 'Пиво – 15 золота.', code[[
			if Gold >= 15 and not have 'beer' then take 'beer'; Gold = Gold - 15; p '-- Держи.';
			elseif Gold < 15 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Нюка-кола – 7 золота', code[[
			if Gold >= 7 and not have 'nuke_cola' then take 'nuke_cola'; Gold = Gold - 7; p '-- Теплая и выдохшаяся, как мы все любим.';
			elseif Gold < 7 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{tag = 'alk', false, 'Джин – 25 золотых', code[[
			if Gold >= 25 and not have 'gin' then take 'gin'; Gold = Gold - 25; p '-- Много не пей, парниша.';
			elseif Gold < 25 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Мутированный плод – 7 золота.', code[[
			if Gold >= 7 and not have 'fruit' then take 'fruit'; Gold = Gold - 7; p '-- Любишь фрукты? Ха-ха.';
			elseif Gold < 7 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Прожуй сначала что есть.'; end;]]};
		{always = true, 'Джет – 50 золота.', code[[
			if Gold >= 50 and not have 'jet' then take 'jet'; Gold = Gold - 50; p '-- Только не кидай банку в толчок, иначе там тебя и утопят.';
			elseif Gold < 50 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- По банке в руки.'; end;]]};
		{always = true, 'Ментат – 550 золота.', code[[
			if Gold >= 550 and not have 'mentat' then take 'mentat'; Gold = Gold - 550; p '-- Да, кажется тебе это надо.';
			elseif Gold < 550 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Употреби сначала что есть.'; end;]]};
		{always = true, 'Отойти от стойки.', nil, [[back();]]};
	};
};

lil_jesus = dlg {
	nam = 'Маленький Иисус Мордино';
	pic = 'gfx/00.png';
	enter = 'Вы подходите к молодому человеку, тот оценивающе на вас смотрит, потом морщится.^-- Дохляк. Чего надо?^В руке у парня легко летает нож с красной рукоятью, сразу видно, что он в руках настоящего мастера.';
	phr = {
		{'Мне необходимо поговорить с главой семьи Мордино. По очень важному вопросу.', 'А, тебе к моему па, он наверху. А какой у вас вопрос?', [[pon 'two';]]};
		{tag = 'two', false, 'Очень важный! - отрезаете вы и уходите.', nil, [[pjump 'ext'; ways(Desperado):add(Second); back();]]};
		{};
		{tag = 'ext', always = true, 'Внезапно вы вспомнили что уже узнали у него о том, что глава семьи Мордино на втором этаже. И плавно отваливаете. Нам не нужен тут лишний шум.', nil, [[back();]]};
	};
};

game_des = dlg {
	nam = 'Блэкджек';
	pic = 'gfx/32.jpg';
	enter = 'Вы решаете подойти к одному из столиков. Посмотрев за играющими и поняв правила вы можете тоже поиграть немного.';
	phr = {
		{always = true, code[[p('Играть. (Игра - ', Gambling*10, '%).');]], code[[if Gambling >= rnd(10) and Gold >= 200 and Moral > 0 then p 'Выигрыш. Вы сгребаете деньги со стола.'; Gold = Gold + 200; elseif Moral > 0 and Gold >= 200 then Moral = Moral - 1; p 'Эх непруха, карта не идет.'; Gold = Gold - 200; end;]]};
		{always = true, 'Отойти от столика.', nil, [[back();]]};
	};
};

Juls = dlg {
	nam = 'Джулс';
	pic = 'gfx/00.png';
	enter = function()
		p '-- Да, мужик. Я Джулс. Ты не зря подошёл ко мне, я здесь, типа, информационный центр. У меня всё схвачено. Я всех знаю. Могу рассказать про все семьи, правда, это будет стоить тебе 5 золотых. И если хочешь я тебя сведу с основными наркодилерами города? За это я хочу 5 золотых. Немного, для такого крутого перца как ты.';
		if search_lora == 2 then pon 'lora'; end;
		if have 'holodisc' then pon 'vc'; end;
	end;
	phr = {
		{tag = 'vc', false, 'Джулс, а как попасть в Город-Убежище?', '-- Это где-то на востоке? Караванщиков, да барменов поспрашивай по барам. Или я могу еще кое-что подсказать, но не бесплатно.', [[pon 'vc2';]]};
		{tag = 'vc2', false, code[[p('Как насчет 50 баксов? (Разговор - ', Speech*10, '%).');]], code[[if Speech >= rnd(10) and Moral > 0 then
			p '-- Ладно, давай твои 50 баксов. Обратись к Райтам на восточной окраине, они знают быструю дорогу в Город-Убежище.';
			Gold = Gold - 50;
			poff 'vc3';
		elseif Moral > 0 then
			Moral = Moral - 1;
			p '-- За 100 баксов расскажу.';
			pon 'vc3'; pon 'vc2';
		elseif Moral == 0 then p 'Вернусь к этому Джулсу, когда восстановлю силы. Утомил он меня.';
			pon 'vc3'; pon 'vc2';
		end;]]};
		{tag = 'vc3', false, 'Хорошо, вот 100 баксов.', '-- Обратись к Райтам на восточной окраине, они знают быструю дорогу в Город-Убежище.', [[Gold = Gold - 100;]]};
		{tag = 'lora', false, 'Джулс, а ты недавно не видел случайно девушку, блондинку в рабочем комбинезоне или фиолетовом балахоне, неместную?', '-- Нет, я не видел. Но может Джимми-Джи что-то знает. Отвести к нему?'};
		{'Расскажи какие криминальные кланы сейчас управляют городом.', '-- Конечно парень, сейчас рулят четыре семьи. Это Мордино в казино Десперадо. Бишопы в клубе Акула на второй улице. У Сальваторе свой бар тоже на второй улице. И наконец семья Райтов, они держат восточный пригород. Рассказать еще? Но сведения стоят денег.', [[Gold = Gold - 5; pon 'two';]]};
		{tag = 'two', false, 'Расскажи о Мордино.', '-- Где-то за городом у них есть браминья ферма. Конечно там есть брамины, но на самом деле там производят джет. Только т-сс, я ничего тебе не говорил.', [[Gold = Gold - 5;]]};
		{tag = 'two', false, 'Расскажи о Бишопе.', '-- Бишопы держат все бордели в городе. Еще у них полно шпионов, в Городе-Убежище и в НКР. Так что это все что я могу рассказать.', [[Gold = Gold - 5;]]};
		{tag = 'two', false, 'Расскажи о Сальваторе.', '-- Сальваторе торгует оружием. Если видишь оружейный магазин в городе, значит его крышует Сальваторе.', [[Gold = Gold - 5;]]};
		{tag = 'two', false, 'Расскажи о Райте.', '-- Семья Райтов делает классную выпивку. У них самогонный завод на старой жд-станции.', [[Gold = Gold - 5;]]};
		{tag = 'nar', 'Расскажи о наркодилерах. Я ищу чего-нибудь позабористее.', '-- Есть магазин Ренеско в торговом квартале и Дмимми-Джи на второй улице торгует лучшей дурью.', [[Gold = Gold - 5; pon 'nar2';]]};
		{tag = 'nar2', false, 'Отведи меня к Ренеско.', '-- Ну пошли, провожу, друг.', [[pon 'nar'; walk(Renesco);]]};
		{tag = 'nar2', false, 'Отведи меня к Джимми-Джи.', '-- Ну пошли, провожу, друг.^', [[pon 'nar'; objs(SecondSt):add(JimmyG); walk(JimmyG_dlg);]]};
		{always = true, 'Купить джет – 30 золота.', code[[
			if Gold > 30 and not have 'jet' then take 'jet'; Gold = Gold - 30; p '-- Ништяк, полный улет, друг.';
			elseif Gold < 30 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- По банке в руки.'; end;]]};
		{always = true, 'Купить ментат – 450 золота.', code[[
			if Gold > 450 and not have 'mentat' then take 'mentat'; Gold = Gold - 450; p '-- Да, кажется тебе это надо.';
			elseif Gold < 450 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Употреби сначала что есть.'; end;]]};
		{always = true, 'Купить баночку нюка-колы – 10 золота', code[[
			if Gold > 10 and not have 'nuke_cola' then take 'nuke_cola'; Gold = Gold - 10; p '-- Теплая и выдохшаяся, друг.';
			elseif Gold < 10 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Отвали папаша. Сами с усами.', '-- Да и пошел ты.', [[back();]]};
	};
};

SecondSt = room {
	nam = 'Вторая улица';
	pic = 'gfx/33.png';
	dsc = 'Всё страньше и страньше. Вторая улица. Почему вторая? И где первая и третья?^Слева бар "Сальваторе", справа клуб "Акула". Дальше еще какие-то {golden|вывески}. Можно двинуть на восток, там видны какие-то строения.';
	way = {'VirginSt', 'Salvatore', vroom('Клуб Акула', 'Shark_enter'), vroom('Боксерский клуб', 'boxing'), vroom('На восток', 'Wrights'), 'trade_quarter'};
	obj = {xact('golden', 'На здании подальше вывеска "Golden Globes Believe". Вы заглянули в чудом уцелевшее окно. Камеры, широкая постель и всякий инструмент типа веревок и плеток. Кажется тут бывает интересно. Но вот светиться в камере вам явно не стоит. С сожалением вы отходите от здания.')};
};

JimmyG_dlg = dlg {
	nam = 'Джимми-Джи';
	pic = 'gfx/00.png';
	enter = function()
		p '-- У дилера Джимми Джи всё на мази, любой способ словить приход. Причём цены оптовые!';
		if search_lora == 2 then pon 'lora'; end;
	end;
	phr = {
		{tag = 'lora', false, 'Джимми, а ты недавно не видел случайно девушку, блондинку в рабочем комбинезоне или фиолетовом балахоне, неместную?', '-- Ха, я знаю её. Сразу видно ты ценитель, парень. Марта - вакуумный насос тебе нужна, я сразу это понял. О, какая это крошка, а как она.. Ну, ты понял? Да – это что-то!', [[pon 'lora2';]]};
		{tag = 'lora', false, 'И где она сейчас?', '-- В "Кошачьей Лапе" конечно. Вали туда, приятель.', [[search_lora = 3;]]};
		{always = true, 'Джет – 30 золота.', code[[
			if Gold > 30 and not have 'jet' then take 'jet'; Gold = Gold - 30; p '-- Улёт полный.';
			elseif Gold < 30 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- По банке в руки.'; end;]]};
		{always = true, 'Ментат – 400 золота.', code[[
			if Gold > 400 and not have 'mentat' then take 'mentat'; Gold = Gold - 400; p '-- Да, кажется тебе это надо.';
			elseif Gold < 400 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Употреби сначала что есть.'; end;]]};
		{always = true, 'Психо – 750 золота.', code[[
			if Gold > 750 and not have 'psycho' then take 'psycho'; Gold = Gold - 750; p '-- Да, кажется тебе это надо.';
			elseif Gold < 750 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Употреби сначала что есть.'; end;]]};
		{always = true, 'Буффаут – 500 золота.', code[[
			if Gold > 500 and not have 'buffout' then take 'buffout'; Gold = Gold - 500; p '-- Да, кажется тебе это надо.';
			elseif Gold < 500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Употреби сначала что есть.'; end;]]};
		{always = true, 'Похоже вам тут больше ничего не нужно.', nil, [[walk(SecondSt);]]};
	};
};

Salvatore = room {
	nam = 'Бар Сальваторе';
	pic = 'gfx/00.png';
	dsc = 'Бар Сальваторе весьма приличное заведение. За стойкой {xwalk(barmen_sal)|бармен} крутит шейкер.';
	way = {vroom('Вернуться на улицу', 'SecondSt'), vroom('Второй этаж', 'Salvatore_dlg')};
	obj = {'Lloid'};
};

barmen_sal = dlg {
	nam = 'Бармен';
	pic = 'gfx/00.png';
	enter = function()
		p 'У бармена стандартный набор напитков и наркотиков. Как и везде в этом мире, в любом стакане живёт живых организмов больше, чем во всей оставшейся части Калифорнии.';
		if Perk == 'Алкоголик' then pon 'alk'; end;
		if have 'holodisc' then pon 'vc'; end;
	end;
	phr = {
		{tag = 'vc', false, 'Привет, а караванщики в этот бар заходят?', '-- Эти бродяги? Тьфу. Заходят, но сейчас к счастью ни одной из этих пустынных крыс тут нет.', [[pon 'vc2';]]};
		{tag = 'vc2', false, 'А ты не знаешь как попасть в Город-Убежище?', '-- Это где-то на востоке? Наверное дыра страшная. Понятия не имею как туда добраться, пешком наверное.'};
		{always = true, 'Пиво – 10 золота.', code[[
			if Gold > 10 and not have 'beer' then take 'beer'; Gold = Gold - 10; p '-- Держи.';
			elseif Gold < 10 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Нюка-кола – 7 золота', code[[
			if Gold > 7 and not have 'nuke_cola' then take 'nuke_cola'; Gold = Gold - 7; p '-- Теплая и выдохшаяся, как мы все любим.';
			elseif Gold < 7 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{tag = 'alk', false, 'Джин – 15 золотых', code[[
			if Gold > 15 and not have 'gin' then take 'gin'; Gold = Gold - 15; p '-- Много не пей, парниша.';
			elseif Gold < 15 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Джет – 50 золота.', code[[
			if Gold > 50 and not have 'jet' then take 'jet'; Gold = Gold - 50; p '-- Только не кидай банку в толчок, иначе там тебя и утопят.';
			elseif Gold < 50 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- По банке в руки.'; end;]]};
		{'Фирменный напиток "Моча брамина".', '-- Парень ты уверен? Это адская отрава. И в этой штуке натурально есть моча брамина.', [[pon 'br';]]};
		{tag = 'br', false, 'Конечно уверен, наливай!', '-- Внимание, внимание, всем алкоголикам! Этот человек осмелился бросить вызов смерти, он выпьет "Мочу брамина"! Подходите, посмотрите на этого психа.^Вы смело хватаете небольшую рюмку с напитком и залпом выпиваете. Пылающий огонь проложил дорогу сквозь ваш пищевод. В голове внезапно стало легко и просторно. Только вот какой-то ублюдок рядом все пялится на вас. Нужно преподать ему урок.^^Вчетвером посетители и вышибалы бара все-таки смогли вас скрутить и выкинуть на улицу охлаждаться. Кажется "Мочу брамина" вам точно здесь больше не нальют. Зато кажется вы изобрели пару приемов рукопашного боя.', [[Life = 1; if Unarmed < 10 then Unarmed = Unarmed + 1; end; walk(SecondSt);]]};
		{always = true, 'Отойти от стойки.', nil, [[back();]]};
	};
};

Lloid_dlg = dlg {
	nam = 'Ллойд';
	pic = 'gfx/00.png';
	enter = function()
		if lloid == 0 then p '-- Эй, ты кто? Хотя неважно. Садись, пей! Слушай что тебе расскажу.'; pon 'll0'; poff 'll1'; poff 'll2'; poff 'll3'; poff 'll4'; poff 'll5'; poff 'll6'; poff 'll7'; poff 'll8';end;
		if lloid == 2 then p '-- Эй, ты кто? Я тебя помню. Будешь пива?'; pon 'sal'; end;
	end;
	phr = {
		{tag = 'll0', 'Отказаться от халявной выпивки? Ни за что!', '-- Знаешь какие у меня проблемы? - Начал этот помятый субъект.', [[pon 'll1';]]};
		{tag = 'll1', false, 'Какие? - Буркнули вы, поглощая халявное пиво.', '-- Понимаешь, я картежник. Зовут Ллойд.', [[pon 'll2';]]};
		{tag = 'll2', false, 'Ага.', '-- И тут как-то попал я за стол к мистеру Сальваторе, а это большое достижение между прочим.', [[pon 'll3';]]};
		{tag = 'll3', false, 'Это точно.', '-- Я выигрываю, проигрываю. Все поровну в общем. И тут мистер Сальваторе говорит "Ставлю 200".', [[pon 'll4';]]};
		{tag = 'll4', false, 'Ничего себе.', '-- А это крупная сумма. У меня карта хорошая на руках. Вскрываемся, мистер Сальваторе проиграл в общем.', [[pon 'll5';]]};
		{tag = 'll5', false, 'Наверное был зол.', '-- Не то слово. Шипел как гекко. Надо проигрывать, иначе закопают. И тут приходит мне пять пик, понимаешь? И мистер Сальваторе говорит: "Ставлю восемьсот!".', [[pon 'll6';]]};
		{tag = 'll6', false, 'Крупная игра.', '-- Я скидываю четыре карты, оставляю двойку пик. И тут мне приходит четверка королей.', [[pon 'll7';]]};
		{tag = 'll7', false, 'Облом какой.', '-- А у мистера Сальваторе стрит. Я уже готовлюсь как перевести всё в шутку, дескать, играли мы на интерес, и вообще я не ради денег в казино, а с людьми приятными пообщаться. И тут этот мудак - крупье подскакивает. "Мистер Сальваторе проиграл тысячу золотых, извольте расплатиться. Вас поздравляю с крупным выигрышем." А мистер Сальваторе аж позеленел от злости, задыхаться в своей маске начал.', [[pon 'll8';]]};
		{tag = 'll8', false, 'Маске?', '-- Кислородная маска. А, неважно. Теперь я думаю как живым после этого остаться.^Кажется история подошла к концу, впрочем и пиво тоже закончилось. Пора сваливать.', [[lloid = 1;]]};
		{tag = 'sal', false, 'Ллойд, ты попал. Сальваторе жаждет твоей крови. Ха-ха.', 'Ллойд моментально протрезвел.^-- Надо бежать? Куда? Его люди везде. Я покойник.', [[pon 'sal2';]]};
		{tag = 'sal2', false, 'Ллойд, ты придурок. Кто больше всего не любит мистера Сальваторе?', '-- Мордино?', [[pon 'sal3';]]};
		{tag = 'sal3', false, 'Именно, иди и спрячься в казино Мордино. В подвале где-нибудь.', '-- Черт, парень ты прав. Покеда.^И Ллойд так стремительно убежал, что оставил пиво и записную книжку на столе. В книжке оказалось описание пары шулерских трюков. Интересно.', [[take 'beer'; if Gambling < 10 then Gambling = Gambling + 1; end; objs(from()):del('Lloid');]]};
		{always = true, 'Отойти от столика.', nil, [[back();]]};
	};
};

Salvatore_dlg = dlg {
	nam = 'Мистер Сальваторе';
	pic = 'gfx/00.png';
	enter = function()
		if kerling == 2 then pon 'jet'; pjump 'one';
		else pjump 'no'; end;
		if lloid == 1 then pon 'lloid'; pon 'jet'; pjump 'one';
		end;
		p 'Вы поднимаетесь на второй этаж бара Сальваторе, надеясь здесь найти самого мистера Сальваторе. Вас останавливает охранник у двери.^-- Стой! Говори зачем пришёл. Я телохранитель хозяина Мейсон. Всё что ты хочешь сказать мистеру Сальваторе говори сначала мне.';
	end;
	phr = {
		{tag = 'no', always = true, 'Эм, нет, ничего.', 'Тогда проваливай.', [[back();]]};
		{};
		{tag = 'one'};
		{tag = 'jet', false, 'Я по важному делу насчет оптовых поставок наркотиков.', '-- Ладно, ладно. -- Ворчит Мейсон. -- Ты можешь пройти, но учти, что я за дверью и спустя три секунды как ты совершишь глупость, у тебя будет лишняя дырка в голове. И ещё, называй мистера Сальваторе, мистером Сальваторе и никак иначе.^Он открывает вам дверь и вы проходите в комнату, где видите дряхлого человека, иногда подносящего к лицу баллон, очевидно, с кислородом.', [[pjump 'two';]]};
		{};
		{tag = 'two', 'Я пришёл, чтобы обсудить с вами очень крупную сделку, мистер Сальваторе. Организация, название которой вам ничего не скажет, имеет намерение наладить с Нью-Рено торговлю джетом. Мы серьёзные покупатели, поэтому нам неинтересны розничные продавцы. Речь идёт о тоннах, поэтому мы сразу же налаживаем контакты с главами семей.', '-- Вы хорошо сделали, что пришли ко мне. Никто не продаст вам наркотик кроме меня. Бишоп завяз в своих делах с Городом-Убежище, поэтому влияние в наркобизнесе у него ослабло. Самые серьёзные поставщики – это Мордино, у них тонны товара! Но они тоже не будут с вами работать, потому что все уходит в Реддинг. А о Райтах даже говорить нечего, они живы лишь потому, что не лезут в наш бизнес. Мы могли бы заключить с вами соглашение, выгодное нам обоим.', [[pon 'two1';]]};
		{tag = 'two1', false, 'Что за Реддинг, где находится?', '-- Шахтерский городок на севере. Неважно.'};
		{tag = 'two1', false, 'Кое-что мы можем предложить, плазменные пистолеты и гранаты. Через несколько дней с вами свяжется наш связной и передаст координаты места встречи. Абсолютная секретность, мистер Сальваторе.', '-- Главное чтобы вы там появились, мистер.. Кто вы? Я знаю все организации в калифорнии.', [[pon 'two3';]]};
		{tag = 'two3', false, 'Я представляю Анклав.', '-- Хм.^Сальваторе выглядит озадаченным. Впрочем договор заключен. О деталях уже пусть спорят представители финансового отдела. Можно возвращаться в Анклав.', [[kerling = 3; Exp = Exp + 200;]]};
		{tag = 'lloid', false, 'Я тут слышал насчет Ллойда..', '-- Он покойник. Он играл со мной и усмехаясь положил эти четыре короля. Он мухлевал играя со мной! Эту тысячу золота снимут с его трупа.', [[lloid = 2;]]};
		{always = true, 'Вернуться на первый этаж.', nil, [[back();]]};
	};
};

Shark_enter = dlg {
	nam = 'Вход в клуб';
	pic = 'gfx/33.png';
	enter = '-- Это частный клуб. -- Говорит качок у дверей клуба, как он только такие сложные слова запомнил?';
	phr = {
		{always = true, code[[p('Да, пошёл ты. Я к мистеру Бишопу. (Разговор - ', Speech*10, '%).');]], code[[if Speech >= rnd(10) and Moral > 0 then p 'Озадаченно почесав тыковку, охранник всё же пропускает вас внутрь.'; walk(Shark); elseif Moral > 0 then Moral = Moral - 1; p 'Говорю. Частный клуб. Вали отсюда.'; end;]]};
		{always = true, 'Отойти.', nil, [[back();]]};
	};
};

Shark = room {
	nam = 'Клуб Акула';
	pic = 'gfx/00.png';
	enter = function()
		timer:set(15000);
	end;
	timer = function(s)
		if comic == 0 then Comic.dsc = '-- Итак... э... почему радскорпион переполз дорогу?';
		elseif comic == 1 then Comic.dsc = '-- Чтобы убраться подальше от твоей скучной ЗАДНИЦЫ! -- Раздался комментарий из зала.';
		elseif comic == 2 then Comic.dsc = '-- Потому что радскорпион... э, он хотел спрятаться от радиоактивных частиц распада...';
		elseif comic == 3 then Comic.dsc = '-- Э, это шутка, видите ли. Он ведь уже мутант, поэтому ему не надо было переползать через дорогу... вот... э...';
		elseif comic == 4 then Comic.dsc = '-- Вот отстой! -- Снова кто-то громко прокомментировал.';
		elseif comic == 5 then Comic.dsc = '-- Хе-хе. Гекко... гули, да? Гули... слушай, они так ВОНЯЮТ.';
		elseif comic == 6 then Comic.dsc = '-- Э... хе-хе... итак, э, гули, да, они плохо пахнут. И, ну... э...';
		elseif comic == 7 then Comic.dsc = '-- Я уже говорил, что от гулей воняет?';
		elseif comic == 8 then Comic.dsc = '-- Э, и вот я встречаю этого гуля... да... и спрашиваю: "Вам, ребята, не завидно, что от меня не воняет?"';
		elseif comic == 9 then Comic.dsc = '-- А он мне: "Нет. Э, а почему ты спрашиваешь?"';
		elseif comic == 10 then Comic.dsc = '-- А я ему: "Да ты аж весь ПОЗЕЛЕНЕЛ".';
		elseif comic == 11 then Comic.dsc = '-- Э... позеленел от зависти. Понятно?';
		elseif comic == 12 then Comic.dsc = '-- Ну и... была одна проститутка... да... глупая шлюха...';
		elseif comic == 13 then Comic.dsc = '-- И... э... она говорит... Да, говорит: "Это у тебя гекко в кармане или ты просто... э... возбудился?"';
		elseif comic == 14 then Comic.dsc = '-- Э... я уже говорил, что это был огнедышащий гекко?.. Хе-хе.';
		elseif comic == 15 then Comic.dsc = '-- Радскорпионы?';
		elseif comic == 16 then Comic.dsc = '-- Что в них такого радостного?';
		elseif comic == 17 then Comic.dsc = '-- Это сокращение. Означает "РАДИАЦИЯ", придурок.';
		elseif comic == 18 then Comic.dsc = '-- Что за люди считают скорпионов-мутантов...';
		elseif comic == 19 then Comic.dsc = '-- Радостными?';
		elseif comic == 20 then Comic.dsc = '-- Вот отстой! -- Один из зрителей явно неравнодушен к выступлению.';
		elseif comic == 21 then Comic.dsc = '-- Супермутанты?';
		elseif comic == 22 then Comic.dsc = '-- Этот придурок когда-нибудь прекратит свои идиотские шутки?';
		elseif comic == 23 then Comic.dsc = '-- Что в них такого СУПЕРСКОГО?';
		elseif comic == 24 then Comic.dsc = '-- Когда вы в последний раз видели супермутанта, который спасал кошку с дерева?';
		elseif comic == 25 then Comic.dsc = '-- Никогда! Знаете, почему?';
		elseif comic == 26 then Comic.dsc = '-- Э-э... потому что супермутанты не спасают кошек...';
		elseif comic == 27 then Comic.dsc = '-- Они всех безжалостно убивают!';
		elseif comic == 28 then Comic.dsc = '-- Так кто же их называет СУПЕР-мутантами, словно СУПЕР-героями?';
		elseif comic == 29 then Comic.dsc = '-- Кто эти люди?';
		elseif comic == 30 then Comic.dsc = '-- Наверное, те самые идиоты, которые тебя наняли!';
		elseif comic == 31 then Comic.dsc = '-- А вы слышали о глупой дочери Бишопа, которая наширялась?';
		elseif comic == 32 then Comic.dsc = 'Из зала слышны хлопки и свист.'; comic = -1;
		end;
		comic = comic + 1;
		walk(here());
	end;
	dsc = 'За стойкой {xwalk(barmen_sh)|бармен} протирает стаканы ветхим полотенцем. Вдоль стен стоят {xwalk(slot_machine)|однорукие бандиты}. Несколько человек смотрят выступление комика.';
	way = {vroom('Вернуться на улицу', 'SecondSt'), 'SharkSecond'};
	obj = {'Comic'};
};

slot_machine = dlg {
	nam = 'Игровой автомат';
	pic = 'gfx/34.jpg';
	enter = 'Вы подсаживаетесь к однорукому бандиту.';
	phr = {
		{always = true, code[[p('Играть. (Игра - ', Gambling*10, '%).');]], code[[if Gambling >= rnd(10) and Gold >= 100 and Moral > 0 then p 'Выигрыш. Монеты сыпятся из лотка..'; Gold = Gold + 100; elseif Moral > 0 and Gold >= 100 then Moral = Moral - 1; p 'Эх непруха. Сто золота ушло.'; Gold = Gold - 100; end;]]};
		{always = true, 'Отойти от автомата.', nil, [[back();]]};
	};
};

barmen_sh = dlg {
	nam = 'Бармен';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы подошли к стойке бара Акула. Здесь широкий выбор типичной для Нью-Рено продукции.';
		if Perk == 'Алкоголик' then pon 'alk'; end;
		if have 'holodisc' then pon 'vc'; end;
	end;
	phr = {
		{tag = 'vc', false, 'Привет, а караванщики тут бывают?', '-- Сезон пустынных бурь. Редко кто выходит в путь в этот месяц. Так что врядли ты кого найдешь.', [[pon 'vc2';]]};
		{tag = 'vc2', false, 'А ты не знаешь как попасть в Город-Убежище?', '-- Это где-то на востоке? В одиночку нечего и пытаться. Пропадешь в пустыне.'};
		{always = true, 'Пиво – 10 золота.', code[[
			if Gold > 10 and not have 'beer' then take 'beer'; Gold = Gold - 10; p '-- Держи.';
			elseif Gold < 10 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{tag = 'alk', false, 'Джин – 15 золотых', code[[
			if Gold > 15 and not have 'gin' then take 'gin'; Gold = Gold - 15; p '-- Много не пей, парниша.';
			elseif Gold < 15 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{tag = 'alk', false, 'РадиоДжин – 10 золотых', code[[
			if Gold > 10 and not have 'radgin' then take 'radgin'; Gold = Gold - 10; p '-- Много не пей, засветишься.';
			elseif Gold < 10 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Джет – 40 золота.', code[[
			if Gold > 40 and not have 'jet' then take 'jet'; Gold = Gold - 40; p '-- Только не кидай банку в толчок, иначе там тебя и утопят.';
			elseif Gold < 40 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- По банке в руки.'; end;]]};
		{always = true, 'Ментат – 650 золота.', code[[
			if Gold > 650 and not have 'mentat' then take 'mentat'; Gold = Gold - 650; p '-- Да, кажется тебе это надо.';
			elseif Gold < 650 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Употреби сначала что есть.'; end;]]};
		{always = true, 'Отойти от стойки.', nil, [[back();]]};
	};
};

SharkSecond = room {
	nam = 'Второй этаж';
	pic = 'gfx/00.png';
	dsc = 'На втором этаже вы видите в действии всю банду Бишопов. Какие-то люди сосредоточенно наводят вокруг суету, кто-то в углу тихонько вкалывает себе в вену непрозрачную гадость, везде стоит гвалт и шум.';
	obj = {'Angela', 'Lesli', 'Bishop'};
	way = {vroom('Первый этаж', 'Shark')};
};

Angela_dlg = dlg {
	nam = 'Анжела';
	pic = 'gfx/00.png';
	enter = '-- Мне нравятся широкоплечие мужчины, умеющие постоять за себя. Нука покажи бицепс.';
	phr = {
		{tag = 'one', code[[p('Поиграть мускулами. (Рукопашная - ', Unarmed*10, '%).');]], code[[if Unarmed >= rnd(10) and Moral > 0 then p 'Ух, а ты крепче, чем кажешься. Пошли в мою комнату, поиграем?'; pon 'yes'; elseif Moral > 0 then Moral = Moral - 1; p 'Ха. Разве это бицепс. Иди в качалку сначала.'; pon 'one'; end;]]};
		{tag = 'yes', false, 'Последовать за ней.', 'У себя в комнате девушка сует вам под нос какой-то порошок.^-- Нюхни, для разогрева. - Вы вдыхаете его, это явно не джет.^-- Конечно нет, мой сладкий! Это новый наркотик, я думаю назвать его Белая Смерть. Хорошо звучит? Что, тебя не торкнуло? Ха-ха.^Вас действительно не торкнуло, вас убило. И вы без сознания плашмя падаете на кровать.^-- Слабак! Может, очухается.. Хотя вряд ли.^К вечеру вы кое-как поднимаетесь на ноги, ощупав себя вы жалеете, что живы.', [[Life = Life - 5; if Life <= 0 then Life = 1; end; MaxLife = MaxLife + 1; Exp = Exp + rnd(20); objs(from()):del(Angela); walk(Shark);]]};
		{always = true, 'Попрощаться.', nil, [[back();]]};
	};
};

Lesli_dlg = dlg {
	nam = 'Лесли Энн';
	pic = 'gfx/00.png';
	enter = '-- А ты ничего, как тебя зовут, упругая попка?^Вы называете ей своё имя, та, чувственно прикусив губу, поманивает вас пальцем и направляется к себе в комнату..';
	phr = {
		{'Последовать за ней.', '*Затемнение экрана* ^Что бы это означало? Лесли целует вас на прощание и выставляет вас за порог.', [[Moral = Moral + 5; if Moral > MaxMoral then Moral = MaxMoral; end; Exp = Exp + rnd(20); objs(from()):del(Lesli); walk(Shark);]]};
		{always = true, 'Попрощаться.', nil, [[back();]]};
	};
};

Bishop_dlg = dlg {
	nam = 'Джон Бишоп';
	pic = 'gfx/00.png';
--	enter = '';
	phr = {
		{'Мистер Бишоп! Мне нужно с вами переговорить. Это очень важный вопрос.', 'Бишоп подозрительно осматривает вас, и ничего не говоря показывает вам на дверь у вас за спиной.^-- Ну и какого черта тебе надо, парень? Учти с улицы я не нанимаю. Только по рекомендации.', [[pon 'two';]]};
		{tag = 'two', false, 'Нет, вы неправильно поняли. Я представляю одну организацию и мы хотим заключить сделку о поставке большой партии наркотиков.', '-- Стой-стой, парень. Это не ко мне. Мои ребята дурь конечно потребляют, и я помогаю нескольким дилерам, но у меня нет лабораторий. Ты не по адресу. Так что вали отсюда и закрой за собой дверь.', [[Exp = Exp + rnd(20); objs(from()):del(Bishop); walk(Shark);]]};
		{always = true, 'Отойти.', nil, [[back();]]};
	};
};

boxing = dlg {
	nam = 'Стюарт Литл';
	pic = 'gfx/37.jpg';
	enter = function() 
		p 'Вы входите в строение с недвусмысленной надписью «Здесь проводятся боксёрские поединки» и штангой с перчатками в качестве вывески для неграмотных.';
		if visits() == 0 then p 'Вас окликает коротышка стоящий рядом со входом.^-- Эй хочешь сделать ставку?'; pon 'one'; end;
	end;
	phr = {
		{tag = 'one', false, 'Ставку?', '-- На поединок, тупица.', [[pon 'two';]]};
		{tag = 'two', false, 'А кто дерется?', '-- Наш чемпион Дробитель против заезжего дикаря. Но дикарь силен и уже положил парочку противников.', [[pon 'three';]]};
		{tag = 'three', false, '100 золота на Дробителя.', 'Вы отдаете деньги и устраиваетесь рядом с рингом. Бой должен скоро начаться. Через некоторое время появляются боксеры. В одном углу массивный боксер с татуировками, в противоположном поджарый дикарь в синем спортивном костюме, что-то вам эта расцветка напоминает.^Бойцы сразу ринулись в бой. Но явного преимущества не было ни одного. Дробитель наносил мощные удары, но дикарь уворачивался или упорно поднимался с пола. Наконец в третьем раунде', [[if rnd(2) == 1 then p 'дикарь мощным ударом валит Дробителя.^Черт подери. Проиграл золото.'; Gold = Gold - 100; else p 'Дробитель наконец загнал в угол дикаря и мощным ударом валит его с ног. И черт подери что он делает? Он откусывает ухо этого чертового дикаря. Ха!'; Gold = Gold + 100; end; poff 'three';]]};
		{tag = 'three', false, '100 золота на дикаря.', 'Вы отдаете деньги и устраиваетесь рядом с рингом. Бой должен скоро начаться. Через некоторое время появляются боксеры. В одном углу массивный боксер с татуировками, в противоположном поджарый дикарь в синем спортивном костюме, что-то вам эта расцветка напоминает.^Бойцы сразу ринулись в бой. Но явного преимущества не было ни одного. Дробитель наносил мощные удары, но дикарь уворачивался или упорно поднимался с пола. Наконец в третьем раунде', [[if rnd(2) == 1 then p 'дикарь мощным ударом валит Дробителя.^Ха. Где там мое золотишко?'; Gold = Gold + 100; else p 'Дробитель наконец загнал в угол дикаря и мощным ударом валит его с ног. И черт подери что он делает? Он откусывает ухо этого чертового дикаря.^Пропало мое золото!'; Gold = Gold - 100; end; poff 'three';]]};
		{always = true, 'Выйти.', nil, [[back();]]};
	};
};

Wrights = room {
	nam = 'Восточная сторона';
	pic = 'gfx/00.png';
	dsc = 'Оказывается этот квартал тоже обитаем. Слева от вас остатки железно-дорожной станции. А в большом доме справа скозь ставни пробивается свет.';
	way = {'SecondSt', vroom('Дом справа', 'OrvilWright'), 'Station'};
};

OrvilWright = dlg {
	nam = 'Орвил Райт';
	pic = 'gfx/00.png';
	enter = function() 
		if visits() == 0 then p 'Вы зашли через вход и кажется вас пока не замечают. Пожилой человек в шляпе распекает троих помоложе.'; pon 'one';
		elseif have 'holodisc' then p 'Вы зашли через вход. Пожилой человек в шляпе сидит в кресле.:^-- Черт, да не торгуем мы джетом, наркоман долбанный. Вали отсюда.'; pon 'vc';
		end;
	end;
	phr = {
		{tag = 'one', false, 'Послушать.', '-- Тридцать два трупа! Это где видано?! Как такое вышло? Нас просто уничтожили, нас трахнули, нас отодрали без вазелина, нас отмудохали за здорово живёшь!', [[pon 'two';]]};
		{tag = 'two', false, 'Хм, что-то интересное. Послушать еще?', '-- Да, это Криська виноват! Закричал "Айда вперёд, у них кончатся патроны, мы и проскочим!"^-- Да, точно! Так и было, ещё водку обещал кто прорвётся, а Кейт 100 золотых.^-- Ну, откуда я знал что там будут турели? Крис сказал "военная база", он ни хрена не говорил про турели, а Ричи вообще сказал что они не пашут.', [[pon 'three';]]};
		{tag = 'three', false, 'Военная база? Навострить уши.', '-- Конечно сказал. А ты видел куда у них стволы были направлены? В землю у них стволы были направлены, папа скажи им.^-- Вас всех убить мало. Спустили такое дело! Почему, ответьте мне нельзя было по одному, короткими перебежками, ползком? Или с дальней дистанции?', [[pon 'four';]]};
		{tag = 'four', false, 'И верно, у турелей ограниченная дальность чувствительности сенсоров.', '-- Это Кейт! Это Кейт! Это он сказал, что мы как китайцы, что нам всё по фигу, нас много!^-- А как Кларк-то сдох?^-- Кларк взял "Хрен Уйдёшь" и пошёл с ней в обход. Он хотел эту турельку сдалека снять. Только прицелился, а тут ещё одна турель. Как мы её не заметили, ума не приложу.', [[pon 'five';]]};
		{tag = 'five', false, 'Придурки потому-что. Вот почему.', 'Тут наконец вас заметили и все четверо схватились за стволы.^-- Кто ты такой и что тебе надо от Райтов?', [[Exp = Exp + rnd(20); poff 'five'; pon 'six';]]};
		{tag = 'five', 'Заявить о своем присутствии.', 'Вы стукнули пару раз в косяк и вас наконец заметили. Все четверо схватились за стволы.^-- Кто ты такой и что тебе надо от Райтов?', [[poff 'five'; pon 'six';]]};
		{tag = 'six', false, 'Приветствую, мистер Райт. Я к вам по важному делу. Меня интересует торговля с Нью-Рено на предмет поставок джета..', '-- Мы не торгуем джетом, не употребляем джет (тут Ричард едва заметно покраснел), и вообще, это нас не интересует. Это всё? - Грубо прервал вас Райт-отец.', [[Exp = Exp + rnd(20);]]};
		{tag = 'vc', false, 'Эм, нет. Мне уже не нужен джет. Сейчас мне нужно попасть в Город-Убежище. Говорят вы поставляете туда алкоголь каким-то способом.', '-- Хм, а что ты можешь предложить взамен?', [[if Gold >= 300 then pon 'vc2'; else pon 'nogold'; end;]]};
		{tag = 'vc2', false, code[[p('Как насчет 300 баксов? (Разговор - ', Speech*10, '%).');]], code[[if Speech >= rnd(10) and Moral > 0 then
			p '-- Хм, триста баксов на дороге не валяются. Тем более нам как раз нужно груз скоро отправлять. Отправляйся на станцию и скажи, что ты пришел от меня, хочешь покачать насос. Там поймут.';
			wr = 1;
			poff 'vc3';
			Gold = Gold - 300;
		elseif Moral > 0 then
			Moral = Moral - 1;
			p '-- Лучше 500 баксов.';
			pon 'vc3'; pon 'vc2';
		elseif Moral == 0 then p 'Вернусь к этому Райту, когда восстановлю силы. Уже не могу с ним спорить.';
			pon 'vc3'; pon 'vc2';
		end;]]};
		{tag = 'vc3', false, 'Хорошо, вот 500 баксов.', code[[if Gold >= 500 then p '-- Отлично, тем более нам как раз скоро груз отправлять. Отправляйся на станцию и скажи, что ты пришел от меня, хочешь покачать насос. Там поймут.'; wr = 1; Gold = Gold - 500; else p '-- Давай золото, что? Не хватает? Тогда проваливай.'; end;]]};
		{tag = 'nogold', false, 'Я сейчас на мели..', '-- Тогда просто проваливай и не трать мое время.'};
		{always = true, 'Похоже нечего тут делать. Надо идти.', nil, [[back();]]};
	};
};

Station = dlg {
	nam = 'ЖД станция';
	pic = 'gfx/00.png';
	enter = function() 
		p 'У входа на станцию курит что-то ядреное хмурый тип в броне.^-- Проваливай отсюда по хорошему парень. Нечего тебе тут делать.';
		if wr == 1 then pon 'vc'; end;
	end;
	phr = {
		{tag = 'vc', false, 'Я от мистера Райта, хочу.. эм.. покачать насос.', '-- Ха, ты весьма вовремя парень. Нам как раз нужен качальщик. Заходи внутрь.^Вы заходите и видите на путях обычную дрезину с ручным приводом, теперь понятно что надо будет качать.^-- Мы расчистили пути до самого Города-Убежища и возим туда алкоголь. Все уже погружено, так что запрыгивай и качай. С тобой поедут еще трое, так что не вздумай шутить.', [[pon 'vc2';]]};
		{tag = 'vc2', false, 'Поехали!', 'Вы залезли на дрезину и вместе с одним из Райтов начали качать рычаг, приводящий в движение эту повозку. Постепенно скорость нарастала. Через пару дней, сменяясь по очереди вы прибыли в окрестности Города-Убежища.^-- Если хочешь вернуться, то приходи сюда. Лишние руки не помешают.', [[walk(VaultCity);]]};
		{always = true, 'Похоже и правда нечего тут делать. Надо идти.', nil, [[back();]]};
	};
};

trade_quarter = room {
	nam = 'Торговый квартал';
	pic = 'gfx/00.png';
	dsc = 'Торговый квартал. Кто знает, может быть здесь можно найти что-нибудь кроме наркотиков?';
	way = {'SecondSt', 'Renesco', 'Reno_Guns', vroom('Церковь', 'Tulli'), 'auto_repair'};
};

Renesco = dlg {
	nam = 'Фармацевтика Ренеско';
	pic = 'gfx/00.png';
	enter = function()
		p 'Что может продаваться в магазине с таким названием, если он находится в Нью-Рено? Конечно, наркотики! Наркотики, алкоголь, усилители наркотиков, легкие наркотики для детей и беременных женщин и прочее.';
		if have 'jet' then pon 'jet'; end;
		if have 'mentat' then pon 'mentat'; end;
		if have 'psycho' then pon 'psycho'; end;
		if have 'buffout' then pon 'buffout'; end;
	end;
	phr = {
		{always = true, 'Джет – 35 золота.', code[[
			if Gold > 35 and not have 'jet' then take 'jet'; Gold = Gold - 35; p '-- Улёт полный.';
			elseif Gold < 35 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- По банке в руки.'; end;]]};
		{always = true, 'Ментат – 350 золота.', code[[
			if Gold > 350 and not have 'mentat' then take 'mentat'; Gold = Gold - 350; p '-- Да, кажется тебе это надо.';
			elseif Gold < 350 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Употреби сначала что есть.'; end;]]};
		{always = true, 'Психо – 600 золота.', code[[
			if Gold > 600 and not have 'psycho' then take 'psycho'; Gold = Gold - 600; p '-- Да, кажется тебе это надо.';
			elseif Gold < 600 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Употреби сначала что есть.'; end;]]};
		{always = true, 'Буффаут – 500 золота.', code[[
			if Gold > 500 and not have 'buffout' then take 'buffout'; Gold = Gold - 500; p '-- Да, кажется тебе это надо.';
			elseif Gold < 500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Употреби сначала что есть.'; end;]]};
		{tag = 'jet', false, 'Продать джет – 15 золота.', code[[
			if have 'jet' then Gold = Gold + 15; p '-- Хорошо, вот твое золото.'; remove('jet', me);
			else p '-- Эй, а где наркота?'; end;]]};
		{tag = 'mentat', false, 'Продать ментат – 175 золота.', code[[
			if have 'mentat' then Gold = Gold + 175; p '-- Хорошо, вот твое золото.'; remove('mentat', me);
			else p '-- Эй, а где наркота?'; end;]]};
		{tag = 'psycho', false, 'Продать психо – 300 золота.', code[[
			if have 'psycho' then Gold = Gold + 300; p '-- Хорошо, вот твое золото.'; remove('psycho', me);
			else p '-- Эй, а где наркота?'; end;]]};
		{tag = 'buffout', false, 'Продать буффаут – 250 золота.', code[[
			if have 'buffout' then Gold = Gold + 250; p '-- Хорошо, вот твое золото.'; remove('buffout', me);
			else p '-- Эй, а где наркота?'; end;]]};
		{always = true, 'Похоже вам тут больше ничего не нужно.', nil, [[walk(trade_quarter);]]};
	};
};

Reno_Guns = dlg {
	nam = 'Оружие Нью-Рено';
	pic = 'gfx/35.jpg';
	enter = '-- О да, парень! Это именно то место, что ты искал! Пушки, пушки, пушки!';
	phr = {
		{always = true, 'Пистолет-пулемет 10мм – 200 золотых.', code[[
			if Gold >= 200 and tonumber(weapon) < 3 then weapon = '03'; damage = 20; Gold = Gold - 200; p '-- Держи, парень.';
			elseif Gold < 200 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Дезерт Игл – 250 золотых.', code[[
			if Gold >= 250 and tonumber(weapon) < 5 then weapon = '05'; damage = 16; Gold = Gold - 250; p '-- Держи, парень.';
			elseif Gold < 250 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Пистолет 14мм – 200 золотых.', code[[
			if Gold >= 200 and tonumber(weapon) < 8 then weapon = '08'; damage = 22; Gold = Gold - 200; p '-- Держи, парень.';
			elseif Gold < 200 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Пистолет 0,223 – 300 золотых.', code[[
			if Gold >= 300 and tonumber(weapon) < 9 then weapon = '09'; damage = 30; Gold = Gold - 300; p '-- Держи, парень.';
			elseif Gold < 300 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Дробовик – 400 золотых.', code[[
			if Gold >= 400 and tonumber(weapon) < 11 then weapon = '11'; damage = 22; Gold = Gold - 400; p '-- Держи, парень.';
			elseif Gold < 400 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Миниган – 1500 золотых.', code[[
			if Gold >= 1500 and tonumber(weapon) < 17 then weapon = '17'; damage = 44; Gold = Gold - 1500; p '-- Держи, парень.';
			elseif Gold < 1500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Огнемет – 1500 золотых.', code[[
			if Gold >= 1500 and tonumber(weapon) < 18 then weapon = '18'; damage = 27; Gold = Gold - 1500; p '-- Держи, парень.';
			elseif Gold < 1500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Граната – 100 золотых.', code[[
			if Gold >= 100 and not have 'grenade' then take 'grenade'; Gold = Gold - 100; p '-- Держи, парень.';
			elseif Gold < 100 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Боевая кожаная куртка – 300 золотых.', code[[
			if Gold >= 300 and armor < 1 then armor = 1; armor_count = 0.8; Gold = Gold - 300; p '-- Держи, парень.';
			elseif Gold < 300 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть броня покруче.'; end;]]};
		{always = true, 'Кожаная броня – 750 золотых.', code[[
			if Gold >= 750 and armor < 3 then armor = 3; armor_count = 0.75; Gold = Gold - 750; p '-- Держи, парень.';
			elseif Gold < 750 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть броня покруче.'; end;]]};
		{always = true, 'Стальная броня – 1200 золотых.', code[[
			if Gold >= 1200 and armor < 4 then armor = 4; armor_count = 0.65; Gold = Gold - 1200; p '-- Держи, парень.';
			elseif Gold < 1200 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть броня покруче.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

Tulli = dlg {
	nam = 'Отец Тулли';
	pic = 'gfx/00.png';
	enter = function() 
		p 'Вы видите старика в коричневой сутане. Его лицо раскраснелось от виски. Кажется, он немно-о-ого покачивается.^-- Отец Тулли, к вашим услухам. Я бухо... ээ... духовный наставник добрых лю... ну, это... жителей Нью-Рено.';
	end;
	phr = {
		{'И часто вы пьете по утрам?', '-- Каанешно, нет! В ПРОШЛОМ, я был известен тем, что злопотреблял спиртное, но птом Опчество трезвости помогло мне бросить эт грязную привычку!'};
		{tag = 'one', 'Я хочу расспросить вас о Нью-Рено..', 'Извини за вопрос, у тя случайно нет лишней бутылочки? Мне нужно для церьмоний... и... горло чуть промочить бы.', [[if have 'vodka' or have 'beer' or have 'gin' then pon 'two'; else pon 'three'; end;]]};
		{tag = 'two', false, 'Как раз есть, держи святой отец.', '-- Ну тут есть семью. Четыре семьи. Сальваторе, Мордино, Бишопы и Райты. Э... чертовски мило с твоей стороны!^Берет бутылку.^-- Я вобще-то обычно не пью, знаешь ли...^Делает большой глоток.^-- А-а-а... прости, о чем это мы?', [[pon 'four';
			if have 'vodka' then remove('vodka', me);
			elseif have 'beer' then remove('beer', me);
			elseif have 'gin' then remove('gin', me); end;]]};
		{tag = 'three', false, 'Я могу сходить и найти, если хочешь.', '-- Да, да! От этих разговоров так пересыхает в глотке.', [[pon 'one';]]};
		{tag = 'four', false, 'Ты говорил о Сальваторе.', '-- Я чтой-то говорил о Сальваторе? - Моргает, пожимает плечами и делает глоток.^-- Понятия не имею, что я там говорил. Эта семья тиха, как смерть. И не советую переходить им дорогу..'};
		{tag = 'four', false, 'Ты говорил о Мордино.', '-- Мордино? - Показывает три пальца.^-- Их всего двое. Большой Хесус и Хесусик. Отец и сын. Они контролируют наркотики и шлюх в Нью-Рено.'};
		{tag = 'four', false, 'Ты говорил о Бишопе.', '-- Ну, немного, но я слышу разные вещи ВНЕ исповеди о старике Бишопе. Коварный он черт. У него точно железные яйца... должно быть, даже звенят, когда он ходит. Я так думаю, что это он стоит за налетами на Город Убежища... знаешь, о чем я говорю, да?', [[pon 'bishop';]]};
		{tag = 'four', false, 'Ты говорил о Райте.', '-- Это самая слабая из семей, потому шо они только варят алк-оль. Зар-батывают гроши. Другие семьи покупают у них алк-оль в основном лишь из жалости.'};
		{tag = 'bishop', false, 'О чем?', '-- Видишь ли, пару месяцев назад старик Бишоп послал караван в Город Убежища, ПРЕДЛОЖИВ сотрудничество между Городом Убежища и Нью-Рено. В Городе Убежища ему сказали ЗАСУНУТЬ все это себе в зад. Ну и вот... немного погодя, на Город Убежища начинают нападать. Жестоко. Стремительно. И вот на тебе, появляется Бишоп и говорит им: "Я МОГУ помочь, ЕСЛИ вы присоединитесь к Нью-Рено."'};
		{always = true, 'Понятно. Что ж, спасибо за беседу.', nil, [[back();]]};
	};
};

auto_repair = dlg {
	nam = 'Автосервис';
	pic = 'gfx/36.jpg';
	enter = function() 
		p 'Вокруг стола с какими-то деталями беспорядочно валяются техники под кайфом. Попинав одного ногой вы пытаетесь узнать нет ли поблизости топливного контроллера. Но только невнятное мычание было ответом.';
	end;
	phr = {
		{always = true, 'Выйти.', nil, [[back();]]};
	};
};
