SanFran = room {
	nam = 'Сан-Франциско';
	pic = 'gfx/00.png';
	enter = function()
		set_music('bgm/SanFrancisco.mp3');
	end;
	dsc = 'Итак, ваша мечта сбылась – вы в Сан-Франциско, он очень изменился с довоенных времен, теперь здесь вовсю рулят китайцы. Одноэтажные строения с китайскими фонарями окружают вас. Подальше в огороженной зоне вы видите огромный шаттл. С другой стороны море и танкер стоящий у причала.';
	way = {vroom('Магазин слева', 'Flight_Dragon'), 'ring', 'Medic', 'Shi', 'BunkerBS_SF', vroom('Магазин справа', 'Red_Guns'), vroom('Танкер', 'Tanker'), 'Shuttle', vroom('Вернуться в Анклав', 'Mooring')};
	exit = function(s,t)
		if t == Mooring then 
			narkoff();
			p 'Вы вышли к условленному месту, лодка была уже заполнена выпивкой и прочим хламом.^-- Эй, эсбешник, прыгай быстрее, а то уплывем. Вскоре огни Анклава встретили вас.';
		end;
	end;
};

Flight_Dragon = dlg {
	nam = '8-й Летающий Дракон';
	pic = 'gfx/35.jpg';
	enter = function()
		p 'Прилавки завалены броней и инструментами. Нужно покопаться.';
		if search_lora == 1 then pon 'lora'; end;
	end;
	phr = {
		{tag = 'lora', false, 'А вы недавно не видели случайно девушку, блондинку в рабочем комбинезоне, неместную?', '-- Я ничего не рассказываю про моих покупателей никому, даже другим покупателям.'};
		{always = true, 'Стимпак – 55 золота.', code[[
			if Gold >= 55 and not have 'stimpack' then take 'stimpack'; Gold = Gold - 55; p '-- Полезно.';
			elseif Gold < 55 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя уже есть стимпак.'; end;]]};
		{always = true, 'Рад-Эвей – 300 золота.', code[[
			if Gold >= 300 and not have 'radaway' then take 'radaway'; Gold = Gold - 300; p '-- Полезно.';
			elseif Gold < 300 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя уже есть Рад-Эвей.'; end;]]};
		{always = true, 'Лопата – 50 золота.', code[[
			if Gold >= 50 and not have 'shovel' then take 'shovel'; Gold = Gold - 50; p '-- Копать, не перекопать.';
			elseif Gold < 50 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя уже есть лопата.'; end;]]};
		{always = true, 'Ремнабор – 500 золота.', code[[
			if Gold >= 500 and not have 'tools' then take 'tools'; Gold = Gold - 500; p '-- Можно теперь что-то починить.';
			elseif Gold < 500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя уже есть такой набор.'; end;]]};
		{always = true, 'Динамит – 400 золота.', code[[
			if Gold >= 400 and not have 'dynamite' then take 'dynamite'; Gold = Gold - 400; p '-- Взрывай.';
			elseif Gold < 400 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя уже есть динамит.'; end;]]};
		{always = true, 'Граната – 250 золотых.', code[[
			if Gold >= 200 and not have 'grenade' then take 'grenade'; Gold = Gold - 200; p '-- Держи, парень.';
			elseif Gold < 200 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть граната.'; end;]]};
		{always = true, 'Стальная броня – 4000 золотых.', code[[
			if Gold >= 4000 and armor < 4 then armor = 4; armor_count = 0.65; Gold = Gold - 4000; p '-- Держи, парень.';
			elseif Gold < 4000 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть броня покруче.'; end;]]};
		{always = true, 'Силовая броня T-51b – 15000 золотых.', code[[
			if Gold >= 15000 and armor < 6 then armor = 6; armor_count = 0.5; Gold = Gold - 15000; p '-- Держи, парень.';
			elseif Gold < 15000 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть броня покруче.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

Red_Guns = dlg {
	nam = 'Красные пушки 888';
	pic = 'gfx/35.jpg';
	enter = function()
		p '-- Эй, привет. Меня зовут Мэй Да Чанг и тут продаются самые толстые пушки на западном побережье.';
		if search_lora == 1 then pon 'lora'; end;
	end;
	phr = {
		{tag = 'lora', false, 'Мистер, а вы недавно не видели случайно девушку, блондинку в рабочем комбинезоне, неместную?', '-- Нет, я никого не видел.', [[pon 'lora2';]]};
		{tag = 'lora2', false, code[[p('Постарайтесь вспомнить. Это важно. (Разговор - ', Speech*10, '%).');]], code[[if Speech >= rnd(10) and Moral > 0 then
			p '-- Она заходила на той неделе и продала мне несколько гранат. Она выглядела очень уставшей. А теперь уходи. Я ничего не знаю.';
		elseif Moral > 0 then
			Moral = Moral - 1;
			p '-- Я уже сказал вам, что не помню.';
			pon 'lora2';
		end;]]};
		{always = true, 'Штурмовая винтовка – 1500 золотых.', code[[
			if Gold >= 1500 and tonumber(weapon) < 6 then weapon = '06'; damage = 16; Gold = Gold - 1500; p '-- Держи, парень.';
			elseif Gold < 1500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Супер-кувалда – 4000 золотых.', code[[
			if Gold >= 4000 and tonumber(weapon) < 7 then weapon = '07'; damage = 36; Gold = Gold - 4000; p '-- Держи, парень.';
			elseif Gold < 4000 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня оружие покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Гаусс-пистолет – 6000 золотых.', code[[
			if Gold >= 6000 and tonumber(weapon) < 14 then weapon = '14'; damage = 32; Gold = Gold - 6000; p '-- Держи, парень.';
			elseif Gold < 6000 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Миниган – 3500 золотых.', code[[
			if Gold >= 3500 and tonumber(weapon) < 17 then weapon = '17'; damage = 44; Gold = Gold - 3500; p '-- Держи, парень.';
			elseif Gold < 3500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Гатлинг-лазер – 8000 золотых.', code[[
			if Gold >= 8000 and tonumber(weapon) < 25 then weapon = '25'; damage = 140; Gold = Gold - 8000; p '-- Держи, парень.';
			elseif Gold < 8000 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Гаусс-винтовка – 8500 золотых.', code[[
			if Gold >= 8500 and tonumber(weapon) < 26 then weapon = '26'; damage = 43; Gold = Gold - 8500; p '-- Держи, парень.';
			elseif Gold < 8500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Граната – 200 золотых.', code[[
			if Gold >= 200 and not have 'grenade' then take 'grenade'; Gold = Gold - 200; p '-- Держи, парень.';
			elseif Gold < 200 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня есть граната.'; end;]]};
		{always = true, 'Силовая броня T-51b – 15000 золотых.', code[[
			if Gold >= 15000 and armor < 6 then armor = 6; armor_count = 0.5; Gold = Gold - 15000; p '-- Держи, парень.';
			elseif Gold < 15000 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть броня покруче.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

ring = dlg {
	nam = 'Ринг';
	pic = 'gfx/00.png';
	enter = function()
		p 'Под открытым небом прямо посередине площади расположен ринг.';
		if visits() == 0 then p 'На нем готовятся к бою пара бойцов, судя по крикам приемщиков ставок, это Ло Пэн и Дракон. Кто из них кто, вы правда не особо поняли. Кто их разберет этих узкоглазых.'; pon 'one'; end;
	end;
	phr = {
		{tag = 'one', 'Сделать ставку 100 золота на Ло Пэна.', 'Вы отдаете деньги и устраиваетесь рядом с рингом. Боец справа в синем, вы все-таки разобрались и это Дракон, резко атаковал Ло Пэна, но тот увернулся. После пары раундов практически равной борьбы', [[if rnd(2) == 1 then p 'Дракон мощным ударом выбивает всю дурь из Ло Пена.^Черт подери. Проиграл золото.'; Gold = Gold - 100; else p 'Дракон мощным ударом валит Ло Пэна на ринг, тот достает из одежды пистолет, но Дракон выбивает его ногой. Впрочем Ло Пэн успел вскочить и нанести удар в голову Дракона, тот падает.^Ха. Где там мое золотишко?'; Gold = Gold + 100; end; poff 'one';]]};
		{tag = 'one', 'Сделать ставку 100 золота на Дракона.', 'Вы отдаете деньги и устраиваетесь рядом с рингом. Боец справа в синем, вы все-таки разобрались и это Дракон, резко атаковал Ло Пэна, но тот увернулся. После пары раундов практически равной борьбы', [[if rnd(2) == 1 then p 'Дракон мощным ударом выбивает всю дурь из Ло Пена.^Ха. Где там мое золотишко?'; Gold = Gold + 100; else p 'Дракон мощным ударом валит Ло Пэна на ринг, тот достает из одежды пистолет, но Дракон выбивает его ногой. Впрочем Ло Пэн успел вскочить и нанести удар в голову Дракона, тот падает.^Пропало мое золото!'; Gold = Gold - 100; end; poff 'one';]]};
		{always = true, 'Выйти.', nil, [[back();]]};
	};
};

Medic = dlg {
	nam = 'Автодок';
	pic = 'gfx/38.jpg';
	enter = function()
		p 'Вы заходите в поликлинику, на вас сразу обрушивается шквал запахов. "Спирт". - Думаете вы и на сердце у вас сразу как-то становится полегче, и печень, вроде, начинает приятно ныть. Около автодока копается мужчина в белом медицинском халате. Вы окликаете его.';
		if search_lora == 1 then pon 'lora'; end;
		if shreber == 1 then pon 'dc'; end;
	end;
	phr = {
		{tag = 'lora', false, 'Доктор, а вы недавно не видели случайно девушку, блондинку в рабочем комбинезоне, неместную?', '-- Да, ко мне приходила несколько дней назад девушка, переутомление и легкая простуда, я продал ей стимуляторов.', [[pon 'lora2';]]};
		{tag = 'lora2', false, 'А где она сейчас?', '-- Понятия не имею, но почему-то я думаю, что она пришла к хаббологистам. Вам следует спросить в их бункере.'};
		{tag = 'dc', false, 'Доктор, есть одна проблема. Мой знакомый медик занимается исследованиями физиологии смертекогтей и они во время исследований весьма громко шумят.', '-- Это элементарно! Коготь кричит ведь не потому, что хочет, а потому что может! Надо просто лишить его такой возможности. Я, конечно, не специалист по анатомии когтей, но думаю, его голосовые связки находятся примерно там же, где у хамелеонов, из которых они мутировали, т.е. в шее. Удалить их и дело с концом!', [[shreber = 2; Exp = Exp + 100;]]};
		{always = true, 'Восстановить здоровье – 200 золотых.', code[[
			if Gold >= 200 and Life < MaxLife then Life = MaxLife; Gold = Gold - 200; p '-- Залезай в автодок, парень. Будешь как новенький.';
			elseif Gold < 200 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Да ты и так здоров как бык. Топай отсюда симулянт.'; end;]]};
		{always = true, 'Аптечка – 155 золота.', code[[
			if Gold > 155 and not have 'first_aid_kit' then take 'first_aid_kit'; Gold = Gold - 155; p '-- Полезно.';
			elseif Gold < 155 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя уже есть аптечка.'; end;]]};
		{always = true, 'Стимпак – 55 золота.', code[[
			if Gold > 55 and not have 'stimpack' then take 'stimpack'; Gold = Gold - 55; p '-- Полезно.';
			elseif Gold < 55 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя уже есть стимпак.'; end;]]};
		{always = true, 'Рад-Эвей – 500 золота.', code[[
			if Gold > 500 and not have 'radaway' then take 'radaway'; Gold = Gold - 500; p '-- Полезно.';
			elseif Gold < 500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя уже есть Рад-Эвей.'; end;]]};
		{always = true, 'Рад-Х – 550 золота.', code[[
			if Gold > 550 and not have 'radx' then take 'radaway'; Gold = Gold - 550; p '-- Полезно.';
			elseif Gold < 550 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя уже есть РадХ.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

Shi = room {
	nam = 'Дворец Ши';
	pic = 'gfx/00.png';
	dsc = 'Вы во дворце императора Ши. Слева вход в большую лабораторию. Прямо по курсу зал императора.';
	way = {vroom('Выйти на улицу', 'SanFran'), 'ShiLab', 'Tron'};
};

ShiLab = dlg {
	nam = 'Лаборатория';
	pic = 'gfx/00.png';
	enter = '-- Привет, я заведую химической лабораторией. Чем могу быть полезен? - Спросил вас низкий китаец.';
	phr = {
		{'Химической? А взрывать что будете?', 'В ответ китаец кивает на внешнюю стену и вы с удивлением понимаете, что она сделана из крашенного картона.', [[pon 'two';]]};
		{tag = 'two', false, 'Хм, картон?', '-- Раньше этот дворец был в четыре раза больше и находился в центре города. Теперь нас изолировали от населения, а хаббологисты ради собственной безопасности перебрались под землю.'};
		{always = true, 'Покинуть лабораторию.', nil, [[back();]]};
	};
};

Tron = dlg {
	nam = 'Тронный зал';
	pic = 'gfx/00.png';
	enter = 'Странно, вы считали, что зал Императора должен прямо таки утопать в роскоши. Однако, кроме охраны и голых стен здесь практически ничего и нет. Трон тоже оказался пустым, сущее надувательство в общем. Около трона стоит советник императора.';
	phr = {
		{'Советник, а где император-то?', '-- Император скрыт от взора простых людей. Это сделано для безопасности.', [[pon 'two';]]};
		{tag = 'two', false, 'Безопасности простых людей? Император так опасен?', '-- Безопасности императора. - Невозмутимо отвечает советник.^Ну их этих китайцев, даже не спровоцируешь.'};
		{always = true, 'Покинуть тронный зал.', nil, [[back();]]};
	};
};

Shuttle = room {
	nam = 'Шаттл';
	pic = 'gfx/39.png';
	dsc = 'Перед вами огромный стальной аппарат, он просто поражает мощью, исходящей от его корпуса. В тени шаттла вы обнаружили вход в подземный бункер.';
	way = {vroom('Вернуться в город', 'SanFran'), 'Hubb'};
};

Hubb = dlg {
	nam = 'Бункер Хаббологистов';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы видите стоящего у входа человека в коричневой рясе.';
		if visits() == 0 then p '-- Эй друг, ты на звезд посмотреть и вступить в ряды Хаббологистов?'; end;
		if search_lora == 1 then pon 'lora'; end;
	end;
	phr = {
		{tag = 'lora', false, 'Мистер, а вы недавно не видели случайно девушку, блондинку в рабочем комбинезоне, неместную?', '-- Нет, я никого не видел.', [[pon 'lora2';]]};
		{tag = 'lora2', false, code[[p('Постарайтесь вспомнить. Это важно. (Разговор - ', Speech*10, '%).');]], code[[if Speech >= rnd(10) and Moral > 0 then
			p '-- Хотя кажется я припоминаю. Вам нужна Сонни, бойкая девчушка, она могла далеко пойти, за самое короткое время она добилась ранга AHS-3, уж не знаю как. Обычно у нас работают не менее пяти лет для такого сана. Так вот, теперь её здесь нет, она ушла также неожиданно, как и появилась. По её словам, она испытала кризис веры и отправилась в Нью-Рено, там её и ищите.^Имя другое, но Лора могла назваться как ей удобно. Хм-м.';
		search_lora = 2;
		elseif Moral > 0 then
			Moral = Moral - 1;
			p '-- Я уже сказал вам, что не помню.';
			pon 'lora2';
		end;]]};
		{'Ага. Именно в такой последовательности.', '-- Пойдем, тогда скорее. Вики Гольдман и Хуан Круз скоро начнут выступать!', [[pon 'two';]]};
		{tag = 'two', false, 'Это те самые порноактеры из фильмов "Убежище секснадцать" и "Умница Уилл-трахаль"?', '-- Да, но они бросили свое прошлое занятие и посвятили себя учению великого Хабба, ступице колеса наших жизней.', [[poff 'two'; pon 'three';]]};
		{tag = 'two', false, 'А кто такие хаббологисты?', '-- Мы верим в учение великого Хабба, он направил наши умы в правильном направлении и теперь..^Вы понимаете что это надолго и перебиваете сектанта.', [[poff 'two'; pon 'three';]]};
		{tag = 'three', false, 'Тогда что мы стоим, идем же!', 'Вы последовали за хаббологистом и вышли в большой зал с трибуной.^-- Да, это мы, вы знаете нас, вы любите нас, вы видели нас. Представляем шоу и его ведущих мисс Калифорния 2235 – Вики Гольдман! И победитель конкурса Мистер Вселенная – Хуан Круз.', [[pon 'four';]]};
		{tag = 'four', false, 'Хм, что-то интересное, пожалуй останусь и посмотрю.', '-- Спасибо, Вики, давай расскажем нашим зрителям для чего мы здесь собрались.^Зрители, а в основном зрительницы призывно завопили: "Покажи нам сиськи!', [[pon 'five';]]};
		{tag = 'five', false, 'Эт, точно. Покажи сиськи! - Вы присоединились к хору страждущих.', '-- Нет, нет, сиськи потом, а пока узнайте какая религия самая гуманная, стоит ли очистить свою душу, вступив в ряды Хаббологистов?', [[pon 'six';]]};
		{tag = 'six', false, 'Ни черта! Сиськи-сиськи!', '-- Вечная жизнь! Разве это не достойная плата за служение Хубологистам? Чёрт с вами!^Вики снимает блузку.', [[pon 'seven';]]};
		{tag = 'seven', false, 'О, сиськи Гольдман!', '-- Достаточно вступить в наши ряды, это всё!', [[pon 'eight';]]};
		{tag = 'eight', false, 'Теперь юбку!', '-- Кто не хочет вступать в нашу организацию пусть уходит!', [[pon 'nine';]]};
		{tag = 'nine', false, 'Снимай все!', '-- Пусть уходят все кому не нужна райская жизнь! Нам не нужны слабые духом, нам нужны лишь лучшие из вас!^Народ начал ломиться, кто к Гольдман, кто к Хуану. Охрана недвусмысленно передернула затворы, кажется пора сваливать.^Хорошие методы завлечения придумали Хубологисты, грамотные методы.', [[Exp = Exp + rnd(20);]]};
		{always = true, 'Покинуть бункер.', nil, [[back();]]};
	};
};

BunkerBS_SF = dlg {
	nam = 'Бункер Братства Стали';
	pic = 'gfx/27.jpg';
	enter = 'Этот бункер ничем не отличается от того, что вы видели раньше. И точно такой же охранник встречает вас заготовленной речью.^-- Здравствуй, путник! Я представляю здесь Братство Стали. Хочешь послужить добру и свету? Ты бы хотел спасти мир от грязной тирании и насадить демократию? Принеси мне чертежи вертибёрда и на земле настанет всеобщее счастье, мир восстанет из пепла! Да это так!';
	phr = {
		{always = true, 'Посмеявшись, вы уходите отсюда.', nil, [[back();]]};
	};
};

Tanker = room {
	nam = 'Нефтеналивной танкер СКП «Вальдез»';
	pic = 'gfx/40.jpg';
	dsc = 'Это тот самый танкер, который когда-то возил нефть с вышки Анклава на большую землю. В 2077 его пульт управления заблокировали, ключ хранится в Наварро, а в трюм закинули кентавров и ванаминго, чтобы никто туда не совался. Впрочем кажется это не сработало. Вы видите что танкер все же населен, по сходням ходит народ, а изнутри виден свет. Вы поднимаетесь и оказываетесь на палубе.';
	way = {vroom('Вернуться в город', 'SanFran'), 'Jenny', 'Guns_SF'};
	obj = {'Chip'};
};

chip_dlg = dlg {
	nam = 'Чип';
	pic = 'gfx/00.png';
	enter = '-- Что мне делать? Я проигрался! Я банкрот! Мне просто необходимо заработать денег! Но, как?';
	phr = {
		{'Грех не помочь нуждающемуся человеку.^-- Тебе надо сыграть в карты на какой-нибудь свой орган. На этом реально можно подзаработать. Я читал об этом в книжках', 'Хм, и правда, какой бы орган продать? Ненужный?', [[pon 'two';]]};
		{tag = 'two', false, 'Селезёнку. – Подсказываете вы. – Селезёнка досталась нам от приматов, которым она была нужна. Человеку селезёнка только мешает!', '-- Ура! Я так и сделаю.^Вы довольный собой можете уйти. Вот только селезёнка или аппендикс? Да, селезёнка! Точно!', [[Exp = Exp + rnd(20); objs(from()):del(Chip); Moral = Moral + 5; if Moral > MaxMoral then Moral = MaxMoral; end; back();]]};
		{always = true, 'Отойти.', nil, [[back();]]};
	};
};

Jenny = dlg {
	nam = 'Магазинчик Дженни';
	pic = 'gfx/00.png';
	enter = 'Наивно хлопая глазами Дженни предлагает вам купить у неё несколько книжек, похоже она совсем сошла с ума, с такими ценами.';
	phr = {
		{always = true, 'Книга – 2000 золота.', code[[
			if Gold >= 2000 and not have 'book' then take 'book'; Gold = Gold - 2000; p '-- Приходите еще.';
			elseif Gold < 2000 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У тебя уже есть книга.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};

Guns_SF = dlg {
	nam = 'Пушки';
	pic = 'gfx/35.jpg';
	enter = '-- Эй, привет. Что надо?';
	phr = {
		{always = true, 'Снайперская винтовка – 2000 золотых.', code[[
			if Gold >= 2000 and tonumber(weapon) < 16 then weapon = '16'; damage = 34; Gold = Gold - 2000; p '-- Держи, парень.';
			elseif Gold < 2000 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Винтовка FN FAL – 1500 золотых.', code[[
			if Gold >= 1500 and tonumber(weapon) < 20 then weapon = '20'; damage = 18; Gold = Gold - 1500; p '-- Держи, парень.';
			elseif Gold < 1500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{always = true, 'Граната – 150 золотых.', code[[
			if Gold >= 150 and not have 'grenade' then take 'grenade'; Gold = Gold - 150; p '-- Держи, парень.';
			elseif Gold < 150 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть граната.'; end;]]};
		{always = true, 'Уйти.', nil, [[back();]]};
	};
};
