status = stat {
	nam = function()
		local i;
		if Moral < 0 then Moral = 0; end;
		if Life > MaxLife then Life = MaxLife; end;
		if Rad < 0 then Rad = 0; end;
		p (img 'gfx/health.png');
		for i = 1, Life do
			p (img 'box:4x6,lawngreen,128');
		end;
		for i = 1, (MaxLife - Life) do
			p (img 'box:4x6,gray,128');
		end;
		p '^^';
		p (img 'gfx/moral.png');
		for i = 1, Moral do
			p (img 'box:4x6,dodgerblue,128');
		end;
		for i = 1, (MaxMoral - Moral) do
			p (img 'box:4x6,gray,128');
		end;
		p '^^';
		p (img 'gfx/radiation.png');
		for i = 1, Rad do
			p (img 'box:4x6,yellow,128');
		end;
		for i = 1, (MaxRad - Rad) do
			p (img 'box:4x6,gray,128');
		end;
		p '^';
		if armor ~= 0 then p (img('pad:10 10 0 30,armor/0'..tostring(armor)..'.png')); end;
		if weapon ~= 0 then p (img('pad:10 0,weapon/'..tostring(weapon)..'.png')); end;
		if Life <= 0 then walk(end2); end;
		if Rad >= MaxRad then walk(end2); end;
		p '^^';
	end;
};

function init()
    inv():add('status');
    inv():add('pipboy');
end;

pipboy = obj {
	nam = function()
		p (img('items/pipboy.png'));
	end;
	inv = function()
                p(txttab '0%', 'Опыт: ', Exp);
                p(txttab '35%', 'Долларов: ', Dollars);
                p(txttab '70%', 'Золота: ', Gold);
		pn();
		pn();
                p(txttab '10%', 'Рукопашная:');
                p(txttab '40%', Unarmed);
                p(txttab '60%', 'Медицина:');
                p(txttab '90%', First_Aid);
		pn();
                p(txttab '10%', 'Легкое оружие:');
                p(txttab '40%', Small_Guns);
                p(txttab '60%', 'Разговор:');
                p(txttab '90%', Speech);
		pn();
                p(txttab '10%', 'Тяжелое оружие:');
                p(txttab '40%', Big_Guns);
                p(txttab '60%', 'Следопыт:');
                p(txttab '90%', Outdoorsman);
		pn();
                p(txttab '10%', 'Энергооружие:');
                p(txttab '40%', Energy_Weapons);
                p(txttab '60%', 'Игра:');
                p(txttab '90%', Gambling);
		pn();
                p(txttab '10%', 'Скрытность:');
                p(txttab '40%', Sneak);
                p(txttab '60%', 'Наука:');
                p(txttab '90%', Science);
		pn();
                p(txttab '10%', 'Воровство:');
                p(txttab '40%', Steal);
                p(txttab '60%', 'Ремонт:');
                p(txttab '90%', Repair);
		pn();
		pn();
                p(txttab '0%', 'Звание: ', rank);
		if Perk ~= '' then p ('^Особенность: ', Perk); end;
		if Grave ~= '' then p ('^Отметки: ', Grave); end;
		p '^^Задачи:^';
		if have 'agenda' then p '• Нужно найти терминал на призывном пункте и сунуть в него повестку.^'; end;
		if mission == 1 then p '• Нужно зайти к Джеку Олдвину.^';
		elseif mission == 2 then p '• Нужно зайти в отдел информации.^';
		elseif mission == 4 then p '• Нужно доложить Джеку Олдвину о находке Свида.^';
		elseif mission == 40 then p '• Нужно заглянуть в арсенал за пушкой, а потом быстро топать на вертибёрдную площадку. Френк Хорриган не любит ждать.^';
		elseif mission == 5 then p '• Нужно доложить Джеку Олдвину об охоте на Свида.^';
		elseif mission == 6 and not have 'map' then p '• Джек сказал заглянуть в отдел биоразработок.^';
		elseif mission == 7 then p '• Нужно вернуться к Джеку и рассказать о соглашении с Мецгером.^';
		elseif mission == 8 then p '• Вернуться в Ден и атаковать охрану бункера Братства Стали.^';
		elseif mission == 9 then p '• Нужно доложить Джеку Олдвину о результатах разведки бункера Братства стали в Дене.^';
		elseif mission == 101 then p '• Найти доктора Кёрлинга в отделе биоразработок.^';
		elseif mission == 103 then p '• Вернуться к Джеку и спросить о новом задании.^';
		elseif mission == 11 then p '• Нужно доложить Джеку Олдвину о защите Санта-Марии.^';
		end;
		if have 'modulator' then p '• Нужно отнести модулятор в Отдел Информации.^'; end;
		if minigan == 1 then p '• Нужно где-то найти образец Минигана "Мстителя", который предположительно есть на материке и принести в лабораторию 112.^'; end;
		if have 'drawings' then p '• Нужно вернуть чертежи вертибёрда Раулю в ремонтную мастерскую 1 в Наварро.^'; end;
		if ranger_die == 1 then p '• Доложить капитану Наварро что проблема с рейнджерами решена.^'; end;
		if have 'map' then p '• Нужно лететь в Ден. Вертибёрд стоит на взлетной полосе в Наварро. Только где там искать этих работорговцев?^'; end;
		if vert_clamat == 1 then p '• Где-то к северу от Дена пропал вертибёрд. Капитан Наварро просил его найти.^'; end;
		if have 'map2' then p '• Нужно лететь на миссию в Санта-Марию. Вертибёрд стоит на взлетной полосе в Наварро.^'; end;
		if have 'map3' then p '• Доктор Кёрлинг ждет от вас результатов охоты на ванаминго. Вам разрешили взять для этого вертибёрд в Наварро.^'; end;
		if have 'map4' then p '• Доктор Кёрлинг послал вас в Нью-Рено за наркотиками. Вертибёрд в Наварро ждет.^'; end;
		if have 'letter' then p '• Нужно отнести письмо Джека Олдвина капитану Наварро.^'; end;
		if have 'tranquilizer' then p '• Найти и вколоть транквилизатор смертекогтю. После чего оттащить его в отдел биоразработок в Наварро. Чёрт, какое-то самоубийство, а не задание.^'; end;
		if have 'dc_corpse' then p '• Нужно оттащить эту тушу смертекогтя в отключке в отдел биоразработок в Наварро.^'; end;
		if have 'vanamingo_corpse' then p '• Нужно отнести этот образец дохлого ванаминго доктору Керлингу в отдел Биоразработок.^'; end;
		if have 'pudding' then p '• Нужно отнести крысиную запеканку на свалку в Дене и отдать Смитти.^'; end;
		if have 'controller' then p '• У вас есть топливный контроллер. Интересно Смитти из Дена он еще нужен или нет?^'; end;
		if have 'memory_chip' then p '• Кажется нужно было отнести чип с мистера Хенди тому капитану Наварро.^'; end;
		if have 'minigan_avenger' then p '• У вас есть сломанный миниган Мститель, стоит отнести его в лабораторию 112. Пусть технари посмотрят.^'; end;
		if have 'picture' then p '• Вы достали картину из бара, Мерк обещал за нее вознаграждение.^'; end;
		if search_lora == 1 then p '• Мейнс послал вас искать Лору в Сан-Франциско.^';
		elseif search_lora == 2 then p '• Следы Лоры ведут в Нью-Рено.^';
		elseif search_lora == 3 then p '• Вероятно Лора в "Кошачьей Лапе", стоит туда наведаться.^';
		elseif search_lora == 4 then p '• Задание выполнено, нужно вернуться к Мейнсу в лабораторию 112 за вознаграждением.^';
		end;
		if shreber == 1 then p '• Найти способ успокоить шумного смертекогтя и вернуться к доктору Шреберу в Наварро.^'; end;
		if lidia == 1 then p '• Найти способ разрешить ситуацию с баром Кэссиди.^';
		elseif lidia == 2 then p '• Встретить сержанта Старка у бара Кэссиди.^';
		elseif lidia == 3 then p '• Вернуться за наградой к Лидии.^';
		end;
		if kerling == 3 then p '• Доложить доктору Кёрлингу о соглашении с Сальваторе.^';
		elseif kerling == 4 then p '• Нужно добраться до Убежища 8 и слить информацию из компьютера.^';
		elseif kerling == 5 then p '• Нужно вернуться к доктору Кёрлингу в Анклав и отдать голодиск.^';
		elseif kerling == 6 then p '• У доктора Кёрлинга есть для вас задание.^';
		elseif kerling == 7 then p '• Нужно добраться до НКР и найти там доктора Генри.^';
		elseif kerling == 8 then p '• Вернуться к доктору Кёрлингу и отдать ему голодиск от доктора Генри.^';
		end;
		if sabotage > 0 and sabotage < 5 then p '• Найти саботажника с причала, который ломает роботов.^';
		end;
	end;
};

--объекты в локациях

map_enclave = obj {
	nam = 'Информационное табло';
	dsc = 'На стене висит широкое {информационное табло}.';
	act = function()
		pn();
                p(txttab '0%', '{xwalk(Corridor_A)|Коридор A}');
                p(txttab '50%', '{xwalk(Corridor_B)|Коридор B}');
		pn();
                p(txttab '0%', '{xwalk(Laboratory_112)|• Лаборатория 112}');
                p(txttab '50%', '{xwalk(Arsenal)|• Арсенал}');
		pn();
                p(txttab '0%', '{xwalk(Research_Laboratory)|• Научный отдел}');
                p(txttab '50%', '{xwalk(Relaxation)|• Комната релаксации}');
		pn();
                p(txttab '0%', '{xwalk(Promotion_department)|• Отдел пропаганды}');
                p(txttab '50%', '{xwalk(Restroom)|• Комната отдыха}');
		pn();
		pn();
                p(txttab '0%', '{xwalk(Corridor_C)|Коридор C}');
                p(txttab '50%', '{xwalk(Corridor_D)|Коридор D}');
		pn();
                p(txttab '0%', '{xwalk(Biodevelopment)|• Биоразработки}');
                p(txttab '50%', '{xwalk(Information)|• Отдел информации}');
		pn();
                p(txttab '0%', '{xwalk(Material)|• Материальный отдел}');
                p(txttab '50%', '{xwalk(Training_center)|• Тренировочный центр}');
		pn();
		pn();
                p(txttab '0%', '{xwalk(Vert)|Вертибёрдная площадка}');
                p(txttab '50%', '{xwalk(Mooring)|Причал}');
	end;
};

JimmyG = obj {
	nam = 'Джимми-Джи';
	dsc = 'В темном углу светится огонек сигареты. Кажется это {Джимми-Джи}, о котором вам говорил Джулс.';
	act = function()
		walk(JimmyG_dlg);
	end;
};

Frank = obj {
	nam = 'Френк';
	dsc = 'Около вертибёрда стоит {Френк Хорриган} и еще троица бойцов в силовой броне.';
	act = function()
		if weapon ~= '14' and mission == 40 then p '-- Где твое оружие боец? Бегом в арсенал!';
		elseif mission == 40 then
			objs():del('Frank');
			walk(Mountains);
			narkoff();
		end;
		if mission == 12 then
			objs():del('Frank');
			walk(v13_fight);
			narkoff();
		end;
	end;
};

sulik = obj {
	nam = 'Сулик';
	dsc = 'За одним из столов сидит {разукрашенный дикарь с палкой в носу} в обнимку с бутылкой.';
	act = function()
		walk(sulik_dlg);
	end;
};

whisky_bob = obj {
	nam = 'Виски-Боб';
	dsc = 'За другим столиком сидит {старик} с неопрятной бородой и красным носом.';
	act = function()
		walk(whisky_bob_dlg);
	end;
};

Lloid = obj {
	nam = 'Ллойд';
	dsc = 'За дальним столом сидит весьма {пьяный субъект}, который чем-то привлек ваше внимание.';
	act = function()
		walk(Lloid_dlg);
	end;
};

Angela = obj {
	nam = 'Анжела';
	dsc = 'Однако в толпе грязных лиц вы замечаете {симпатичную мордашку}.';
	act = function()
		walk(Angela_dlg);
	end;
};

Lesli = obj {
	nam = 'Лесли';
	dsc = 'У дальней двери стоит {дамочка} с внушительными и даже выдающимися.. Короче, непременно надо подойти и спросить который час.';
	act = function()
		walk(Lesli_dlg);
	end;
};

Bishop = obj {
	nam = 'Бишоп';
	dsc = 'В небольшой группе дает какие-то ценные указания {внушительный мужик}. Кажется это главарь.';
	act = function()
		walk(Bishop_dlg);
	end;
};

Comic = obj {
	nam = 'Комик';
	dsc = 'На огороженной решеткой сцене вы видите бесталанного комика. Он нервничает, и это видно.';
};

Guitarist = obj {
	nam = 'Гитарист';
	dsc = 'В углу пристроился какой-то хмырь с гитарой и что-то негромко бренчит.';
};

Fighter = obj {
	nam = 'Драчун в баре';
	dsc = 'За стойкой бара сидит пьяный в хлам {громила}.';
	act = function()
		walk(Fighter_dlg);
	end;
};

Merk = obj {
	nam = 'Мерк';
	dsc = 'За дальним столиком в тени сидит {небритый тип}.';
	act = function()
		walk(Merk_dlg);
	end;
};

Moore = obj {
	nam = 'Томас Мур';
	dsc = 'Вы видите {человека с диким взглядом}. Волосы у него растрепанные, борода всклокочена, но одежда чистая и ухоженная.';
	act = function()
		walk(Moore_dlg);
	end;
};

Voices = obj {
	nam = 'Голоса';
	dsc = 'Также вы слышите {голоса} из соседней комнаты.';
	act = function()
		p '-- Доктор Трой, я подготовила эти образцы для исследований.^-- Хорошо, Филлис. Займитесь теперь документами к моему завтрашнему семинару.';
		objs():del(Voices);
		ways():add(Troy);
		ways():add(Fillis);
	end;
};

V8Lift = obj {
	nam = 'Лифт';
	dsc = 'Перед вами находится {лифт}.';
	act = function()
		walk(V8Lift_dlg);
	end;
};


Chip = obj {
	nam = 'Чип';
	dsc = 'По палубе бродит чем-то {расстроенный человек}.';
	act = function()
		walk(chip_dlg);
	end;
};

recruiting_terminal = obj {
	nam = 'Терминал';
	dsc = 'В углу стоит {потертый терминал}.';
	act = function()
		if have 'agenda' then walk(Form);
			remove('agenda', me);
			mission = 1;
		else p 'Кажется тут можно записаться в армию.';
		end;
	end;
};

SabJoe = obj {
	nam = 'Саботажник Джо';
	dsc = 'На одной из кроватей сидит {Джо} и чинит ботинок.';
	act = function()
		walk(joe_dlg);
	end;
};

SabFil = obj {
	nam = 'Саботажник Фил';
	dsc = 'За столом {Фил} пьет что-то из грязной кружки.';
	act = function()
		walk(fil_dlg);
	end;
};

SabHenry = obj {
	nam = 'Саботажник Генри';
	dsc = '{Генри} метает дротики в мишень на двери сортира.';
	act = function()
		walk(henry_dlg);
	end;
};

back_door_tubbie = obj {
	nam = 'Задняя дверь Тубби';
	dsc = 'У заведения под вывеской "У Тубби" есть также {запертая задняя дверь}.';
	act = function()
		walk(back_door_dlg);
	end;
};

fred = obj {
	nam = 'Фред';
	dsc = 'Рядом с магазином Тубби бродит {Фред}.';
	act = function()
		walk(fred_dlg);
	end;
};

boys = obj {
	nam = 'Дети';
	dsc = 'Также {ватага детей} играет в какую игру на улице.';
	act = function()
		walk(boys_dlg);
	end;
};

drunk_farmer = obj {
	nam = 'Пьяный фермер';
	dsc = 'За столиком сидит {подвыпивший фермер}.';
	act = function()
		walk(farmer_dlg);
	end;
};

Melinda = obj {
	nam = 'Офицер Мелинда';
	dsc = 'За другим столиком сидит {девушка} в синем костюме.';
	act = function()
		walk(melinda_dlg);
	end;
};

Charlie = obj {
	nam = 'Траппер Чарли';
	dsc = 'В самой тени вы замечаете еще одного {угрюмого траппера}.';
	act = function()
		walk(Charlie_dlg);
	end;
};

turret = obj {
	nam = 'Плазменная турель';
	dsc = function()
		if mission == 10 then
			p 'Неподалеку возвышается {поврежденная плазменная турель}.';
		end;
	end;
	act = 'Да, без ремонтного набора тут не справиться.';
};

door_BS = obj {
	nam = 'Дверь бункера Братства Стали';
	dsc = 'Перед {запертой дверью бункера Братства Стали} лежат два тела.';
	act = function (s, w)
		if Steal >= rnd(8) then
			p 'Зайдя внутрь бункера, вас прежде всего поразила грязь и запущенность помещения. Повсюду валяются бутылки из-под пива и джина, в углу кто-то явно помочился. И с таким отношением они собираются противостоять Анклаву? Наверное, они надеются, что придёт какой-нибудь избранный герой и сделает всю работу за них? Но ведь такого не бывает. Ладно, вы по-быстрому осматриваете бункер, здесь есть немного оружия и 300 золотых, пожалуй и всё.';
			take 'dynamite';
			if tonumber(weapon) < 13 then weapon = '13'; damage = 32; end;
			take 'grenade';
			Gold = Gold + 300;
			remove(door_BS);
		elseif Moral > 0 then Moral = Moral - 1; p 'Вы попробовали взломать дверь, но замок сложнее, чем вы встречали ранее.';
		end;
	end;
};

arsenalSM = obj {
	nam = 'Арсенал в СантаМарии';
	dsc = 'Также на базе Санта-Мария есть {арсенал}.';
	act = function()
		p 'Там возможно есть полезное для вас вооружение, но ключ от арсенала пропал вместе с интендантом во время последнего нападения. Кто-то видел как интендант с криками пытался убежать от супермутанта.';
		if Steal >= rnd(8) and Moral > 0 then
			p 'Дверь под вашим нежным воздействием наконец-то открылась. Раздав пару стволов помощнее салагам назначенным вам в помощники и техникам побоевитее, вы забрали самое мощное себе.';
			take 'gin';
			take 'beer';
			if tonumber(weapon) < 14 then weapon = '14'; damage = 22; end;
			remove(arsenalSM);
		elseif Moral > 0 then Moral = Moral - 1; p 'Вы попробовали взломать дверь, но замок сложнее, чем вы встречали ранее.';
		else p 'Уф, слишком утомительно. Даже браться не стану.';
		end;
	end;
};

case_v13 = obj {
	nam = 'Шкафчик';
	dsc = 'В стене коридора есть {маленькая дверца}.';
	act = function()
		walk(case_v13_dlg);
	end;
};

dc_v13 = obj {
	nam = 'Смертекогти';
	dsc = 'В глубине коридора вы видите группу {смертекогтей}. Оставить их Френку, который не влез в лифт и спустится после вас, или атаковать?';
	act = function()
		walk(v13_fight2);
	end;
};

dc2_v13 = obj {
	nam = 'Смертекогти';
	dsc = 'Из глубины коридора вы слышите выстрелы бандуры {Френка} и рев смертекогтей. Кажется сражение в разгаре.';
	act = function()
		walk(v13_fight3);
	end;
};

Caravan = obj {
	nam = 'Караванщик';
	dsc = 'Около грязных навесов и палаток рынка, разгружаются {караванщики}.';
	act = function()
		walk(manager_of_caravans2);
	end;
};

--хавка

aerated_water = obj {
	nam = function()
		p (img('items/bottle.gif'));
	end;
	inv = function()
		p 'О, настроение улучшается.';
		Moral = Moral + rnd(7);
		if Moral > MaxMoral then Moral = MaxMoral; end;
		remove('aerated_water', me);
	end;
};

nuke_cola = obj {
	nam = function()
		p (img('items/bottle.gif'));
	end;
	inv = function()
		if Life < 5 then
			p 'Только ортофосфорной кислоты для полного счастья и не хватало. Так и язву заработать можно.';
		else
			p 'Вы осушили бутылку лучшей постядерной газировки. Тепленькая.';
			Moral = Moral + 3;
			if Moral > MaxMoral then Moral = MaxMoral; end;
			if rnd(2) == 1 then Life = Life - 1; end;
			remove('nuke_cola', me);
		end;
	end;
};

vodka = obj {
	nam = function()
		p (img('items/booze.gif'));
	end;
	inv = function()
		p 'О, настроение улучшается.';
		Moral = Moral + rnd(10);
		if Moral > MaxMoral then Moral = MaxMoral; end;
		remove('vodka', me);
	end;
};

beer = obj {
	nam = function()
		p (img('items/beer.gif'));
	end;
	inv = function()
		p 'Пара глотков пива и все сразу стало выглядеть лучше и веселее.';
		Moral = Moral + rnd(3);
		remove('beer', me);
	end;
};

gin = obj {
	nam = function()
		p (img('items/gin.gif'));
	end;
	inv = function()
		p 'О, настроение улучшается.';
		Moral = Moral + rnd(10);
		if Moral > MaxMoral then Moral = MaxMoral; end;
		remove('gin', me);
	end;
};

radgin = obj {
	nam = function()
		p (img('items/radgin.gif'));
	end;
	inv = function()
		p 'О, настроение улучшается.';
		Moral = Moral + rnd(10);
		if Moral > MaxMoral then Moral = MaxMoral; end;
		Rad = Rad + 1;
		remove('radgin', me);
	end;
};

fruit = obj {
	nam = function()
		p (img('items/fruit.gif'));
	end;
	inv = function()
		if Moral == 0 then
			p 'Нужно больше силы духа, чтобы съесть эту дрянь.';
		else
			p 'Вы съели этот плод, ну и мерзость.';
			Life = Life + 3;
			if Life > MaxLife then Life = MaxLife; end;
			Moral = Moral - 1;
			Rad = Rad + 1;
			remove('fruit', me);
		end;
	end;
};

dried_meat = obj {
	nam = function()
		p (img('items/drymeat.gif'));
	end;
	inv = function()
		p 'С трудом вы смогли прожевать немного вяленого мяса.';
		Life = Life + rnd(5);
		if Life > MaxLife then Life = MaxLife; end;
		remove('dried_meat', me);
	end;
};

first_aid_kit = obj {
	nam = function()
		p (img('items/first_aid_kit.gif'));
	end;
	inv = function()
		p 'Воспользовавшись бинтами и мазями из аптечки вы восстановили свое здоровье.';
		Life = Life + 10*First_Aid;
		if Life > MaxLife then Life = MaxLife; end;
		remove('first_aid_kit', me);
	end;
};

tranquilizer = obj {
	nam = function()
		p (img('items/trank.gif'));
	end;
	inv = 'Доктор Шребер дал вам этот транквилизатор с просьбой испытать на первом встречном смертекогте. И притащить спящего монстра ему в лабораторию в Наварро.';
};

--наркотики

psycho = obj {
	nam = function()
		p (img('items/psycho.gif'));
	end;
	inv = function()
		p 'Мрак застилает ваши глаза, вы теперь не чуствуете боли и вы чуствуете, как будто ваша броня как будто стала в два раза толще.';
		epsycho = epsycho + 1;
		armor_count = armor_count*2;
		remove('psycho', me);
	end;
};

buffout = obj {
	nam = function()
		p (img('items/buffout.gif'));
	end;
	inv = function()
		p 'Вы глотаете наркотик и чуствуете как ваша сила увеличивается. Вы готовы горы свернуть, ну или хотя бы пару челюстей.';
		ebuffout = ebuffout + 1;
		Unarmed = Unarmed + 2;
		remove('buffout', me);
	end;
};

mentat = obj {
	nam = function()
		p (img('items/mentats.gif'));
	end;
	inv = function()
		p 'Потом вы будете страдать жуткой головной болью, а сейчас вы чуствуете как ваше сознание становится кристально ясным.';
		ementat = ementat + 1;
		Science = Science + 1;
		Repair = Repair + 1;
		Speech = Speech + 1;
		Outdoorsman = Outdoorsman + 1;
		remove('mentat', me);
	end;
};

jet = obj {
	nam = function()
		p (img('items/jet.gif'));
	end;
	inv = function()
		p 'Вдохнув испарения браминьего навоза вы ощутили прилив сил. Теперь в бою с вами никто не сравнится.';
		ejet = ejet + 1;
		Small_Guns = Small_Guns + 1;
		Big_Guns = Big_Guns + 1;
		Energy_Weapons = Energy_Weapons + 1;
		remove('jet', me);
	end;
};

--функция отходняка от наркотиков

narkoff = function()
	while epsycho > 0 do
		armor_count = armor_count/2;
		Moral = Moral - 2;
		epsycho = epsycho - 1;
	end;
	while ebuffout > 0 do
		Unarmed = Unarmed - 2;
		Moral = Moral - 2;
		ebuffout = ebuffout - 1;
	end;
	while ementat > 0 do
		Science = Science - 1;
		Repair = Repair - 1;
		Speech = Speech - 1;
		Outdoorsman = Outdoorsman - 1;
		Moral = Moral - 2;
		ementat = ementat - 1;
	end;
	while ejet > 0 do
		Small_Guns = Small_Guns - 1;
		Big_Guns = Big_Guns - 1;
		Energy_Weapons = Energy_Weapons - 1;
		Moral = Moral - 4;
		ejet = ejet - 1;
	end;
end;

-----------------------

heal_powder = obj {
	nam = function()
		p (img('items/healpwdr.gif'));
	end;
	inv = function()
		Life = Life + rnd(5)*First_Aid;
		if Life > MaxLife then Life = MaxLife; end;
		remove('heal_powder', me);
	end;
};

stimpack = obj {
	nam = function()
		p (img('items/stimpack.gif'));
	end;
	inv = function()
		p 'Вы вкалываете стимпак в руку и сразу кровь перестает течь и раны затягиваются тонкой пленкой кожи. Используя этот стимулятор вы расплачиваетесь годами будущей жизни, но кого это сейчас волнует?';
		Life = Life + rnd(10)*First_Aid;
		if Life > MaxLife then Life = MaxLife; end;
		remove('stimpack', me);
	end;
};

radaway = obj {
	nam = function()
		p (img('items/radaway.gif'));
	end;
	inv = function()
		p 'Вы делаете себе инъекцию и счетчик гейгера перестает так трещать. Замечательно.';
		Rad = Rad - rnd(10)*First_Aid;
		if Rad < 0 then Rad = 0; end;
		remove('radaway', me);
	end;
};

radx = obj {
	nam = function()
		p (img('items/radx.gif'));
	end;
	inv = function()
		p 'Вы глотаете пару зеленых таблеток и ничего не ощущаете, но стойкость вашего организма к радиации временно выросла.';
		remove('radx', me);
	end;
};

book = obj {
	nam = function()
		p (img('items/book.gif'));
	end;
	inv = function()
		p 'Вы открываете потрепанную книгу и это';
		local i = rnd(10);
		if i == 1 and Speech < 10 then p 'оказалась книга Дейла Карнеги «Как заводить друзей». Ваш навык разговора вырос.'; Speech = Speech + 1;
		elseif i == 2 and Repair < 10 then p 'оказался справочник "Электроника" Дина. Вы стали лучше разбираться в ремонте.'; Repair = Repair + 1;
		elseif i == 3 and Small_Guns < 10 and Repair > 3 then p 'оказалось Пособие «Калашников. Сделай сам». Вы стали лучше разбираться в легком оружии.'; Small_Guns = Small_Guns + 1;
		elseif i == 4 and Outdoorsman < 10 then p 'оказалась Настольная книга скаута. Вы стали лучше разбираться в следах.'; Outdoorsman = Outdoorsman + 1;
		elseif i == 5 and First_Aid < 10 then p 'оказался Учебник по теории и практике оказания первой медицинской помощи. Вы стали лучше разбираться в бинтах и типах ран.'; First_Aid = First_Aid + 1;
		elseif i == 6 and Big_Guns < 10 then p 'оказался журнал "Оружие и боеприпасы". Вы стали лучше разбираться в тяжелом оружии.'; Big_Guns = Big_Guns + 1;
		elseif i == 7 and Science < 10 then p 'оказалась большая научная книга. Вы стали лучше разбираться в науке.'; Science = Science + 1;
		elseif i == 8 and Energy_Weapons < 10 then p 'оказалась Кошачья лапка, выпуск 5. Если забыть об иллюстрациях, в этом выпуске есть прекрасная статья об энергетическом оружии.'; Energy_Weapons = Energy_Weapons + 1;
		elseif i == 9 and Sneak < 10 then p 'оказался документальный роман "Тайны ниндзя". Вы теперь знаете как подкрасться к ванаминго в кустах.'; Sneak = Sneak + 1;
		else p 'оказался какой-то детектив. Ничего полезного.'; end;
		remove('book', me);
	end;
};

--квестовые предметы

agenda = obj {
	nam = function()
		p (img('items/agenda.gif'));
	end;
	inv = 'Такой-то сякой-то призывается в силы службы безопастности бла-бла-бла, явиться на призывной пункт до такого-то числа. Уклонение грозит бла-бла-бла, вплоть до смертной казни. Дата, печать. Да, серьезный документ.';
	use = function(s,w)
		if w == recruiting_terminal then
			walk(Form);
			remove('agenda', me);
			mission = 1;
		end;
	end;
};

modulator = obj {
	nam = function()
		p (img('items/mod.gif'));
	end;
	inv = 'Это небольшое электронное устройство. Хм, зачем оно мне? В отдел информации отнести чтоли?';
};

drawings = obj {
	nam = 'Чертежи вертибёрда';
	inv = 'Как ни странно это именно чертежи вертибёрда.';
};

map = obj {
	nam = function()
		p (img('items/map.gif'));
	end;
	inv = 'Это небольшая электронная карта, вставляется в панель вертибёрда и курс отображается у пилота на экране. Курс проложен на Ден.';
};

map2 = obj {
	nam = function()
		p (img('items/map.gif'));
	end;
	inv = 'Это небольшая электронная карта, вставляется в панель вертибёрда и курс отображается у пилота на экране. Курс проложен на Санта-Марию.';
};

map3 = obj {
	nam = function()
		p (img('items/map.gif'));
	end;
	inv = 'Это небольшая электронная карта, вставляется в панель вертибёрда и курс отображается у пилота на экране. Курс проложен на пустошь, где видели ванаминго.';
};

map4 = obj {
	nam = function()
		p (img('items/map.gif'));
	end;
	inv = 'Это небольшая электронная карта, вставляется в панель вертибёрда и курс отображается у пилота на экране. Курс проложен на Нью-Рено.';
};

holodisc = obj {
	nam = function()
		p (img('items/holo.gif'));
	end;
	inv = function()
		if kerling == 5 then p 'Голодиск залит данными из главного компьютера убежища 8. Нужно вернуть его доктору Кёрлингу в биолабораторию Анклава.';
		else p 'Доктор Кёрлинг поручил вам скачать на этот голодиск данные из компьютера убежища 8.'; end;
	end;
};

holodisk2 = obj {
		nam = function()
		p (img('items/holo.gif'));
	end;
	inv = 'Нужно отдать этот голодиск доктору Кёрлингу в Анклаве.';
};

letter = obj {
	nam = function()
		p (img('items/letter.gif'));
	end;
	inv = 'Джек Олдвин попросил вас отдать это письмо капитану Наварро.';
};

dc_corpse = obj {
	nam = function()
		p (img('items/dclaw.png'));
	end;
	inv = 'Кажется транквилизатор все-таки подействовал. Смертекогть спит.';
};

vanamingo_corpse = obj {
	nam = function()
		p (img('items/vanamingo.png'));
	end;
	inv = 'Ну и воняет же этот монстр. Да и счетчик гейгера трещит впридачу, скорее бы избавиться от него.';
};

transceiver = obj {
	nam = function()
		p (img('items/radio.gif'));
	end;
	inv = function()
		if here() == Den or here() == OstDen or here() == WestDen or here() == NewReno or here() == SanFran then
			p 'Вертибёрд прилетел в условленное место и успешно перевез вас в Наварро.';
			walk('Navarro');
			narkoff();
		elseif here() == Navarro or here() == landing_strip then p '-- Эй, боец, вертибёрд стоит у тебя за спиной. -- Окликнул вас пилот.';
		else p '-- Эй, я не могу забрать тебя из этого места.';
		end;
--		walk('vert_dlg');
	end;
};

vert_dlg = dlg {
	nam = 'Рация';
	hideinv = true;
	pic = 'gfx/13.png';
	enter = function()
		if from() == Den or from() == OstDen or from() == WestDen or from() == NewReno or from() == SanFran then pon 'navarro';
		elseif from() == Navarro or from() == landing_strip then pon 'navarro1';
		else pon 'not';
		end;
	end;
	phr = {
		{tag = 'navarro1', false, 'Включить рацию.', '-- Эй, боец, вертибёрд стоит у тебя за спиной. -- Окликнул вас пилот.'};
		{tag = 'navarro', false, 'Вызвать вертибёрд и лететь в Наварро?', nil, [[walk('Navarro'); narkoff();]]};
		{tag = 'not', false, 'Вызвать вертибёрд.', '-- Эй, я не могу забрать тебя из этого места.'};
		{always = true, 'Отмена.', nil, [[back();]]};
	};
};

pudding = obj {
	nam = function()
		p (img('items/smitfood.gif'));
	end;
	inv = 'Мамочка просила отнести эту запеканку Смитти на свалку.';
};

controller = obj {
--	nam = 'Топливный контроллер';
	nam = function()
		p (img('items/carcontr.gif'));
	end;
};

memory_chip = obj {
	nam = function()
		p (img('items/memory.gif'));
	end;
	inv = 'Этот блок снят с мистера Хэнди в Кламате, кажется его нужно было отнести капитану в Наварро.';
};

minigan_avenger = obj {
	nam = function()
		p (img('items/avenger.gif'));
	end;
	inv = 'Это миниган модели "Мститель". Оружие серьезно повреждено и вы сами не сможете его починить.';
};

picture = obj {
	nam = function()
		p (img('items/paint.png'));
	end;
	inv = 'Это небольшая картина, на ней изображен человек со странной прической.';
	act = 'Это небольшая картина, на ней изображен человек со странной прической.';
	dsc = 'На стене висит {картина} с каким-то портретом.';
};

--добро на продажу

wings = obj {
	nam = 'Крылья мантисса';
};

jaw = obj {
	nam = function()
		p (img('items/jaw.png'));
	end;
	inv = 'Это челюсть смертекогтя, используется в поделках или для ручек ножей например.';
};

tail = obj {
	nam = function()
		p (img('items/scorp.gif'));
	end;
	inv = 'Это хвост огромного радскорпиона.';
};

canines = obj {
	nam = 'Клыки волка';
};

--полезный инструмент

crowbar = obj {
	nam = function()
		p (img('items/crowbar.png'));
	end;
	use = function (s, w)
		if w == back_door_tubbie and Steal >= rnd(10) then
			p 'Отжав замок ломиком, вам удалось его взломать.^Вы прошли в проем двери и оказались в маленькой кладовке. Внутри оказалась лопата!';
			take 'shovel';
			remove(back_door_tubbie);
		elseif w == door_BS then
			p 'Не, ломиком эту дверь не возьмешь.';
		elseif w == arsenalSM and Steal >= rnd(7) then
			p 'Дверь под вашим нежным воздействием наконец-то открылась. Раздав пару стволов помощнее салагам назначенным вам в помощники и техникам побоевитее, вы забрали самое мощное себе.';
			take 'gin';
			take 'beer';
			if tonumber(weapon) < 14 then weapon = '14'; damage = 32; end;
			remove(arsenalSM);
		elseif Moral > 0 then Moral = Moral - 1; p 'Ничего не получается. Дурацкий ломик.';
		end;
	end;
};

rope = obj {
	nam = function()
		p (img('items/rope.gif'));
	end;
	inv = 'Метра три веревки. Хватит и повеситься и что-нибудь еще сделать. Слушай, а зачем я её таскаю?';
};

shovel = obj {
	nam = function()
		p (img('items/shovel.gif'));
	end;
	inv = 'Обычная лопата, ну копать которой. Ну землю. Ну ты понял.';
};

tools = obj {
	nam = function()
		p (img('items/supertools.gif'));
	end;
	use = function (s, w)
		if w == turret and Repair >= rnd(8) then
			p 'После нескольких попыток вы сумели починить плазменную турель. Отлично.^^И весьма вовремя. На Санта-Марию напал еще один отряд супермутантов. После ожесточенной перестрелки в живых остались почти все салаги, под вашим руководством прошедшие боевое крещение, и все техники, которым хватило ума спрятаться в одном из строений. Пилот вертибёрда проспал всю заваруху в кабине своего летательного аппарата. Краткий допрос с сывороткой правды одного смертельно раненого супермутанта показал, что это была последние силы этой банды и больше никто про Санта-Марию не знает. Кажется ваша миссия здесь закончена. Вы садитесь в вертибёрд и трясетесь обратно на доклад к Джеку Олдвину в Анклав.';
			mission = 11;
			walk(Navarro);
		elseif Moral > 0 then Moral = Moral - 1; p 'Черт, где же этот ключ на тринадцать?';
		end;
	end;
};

molotov_cocktail = obj {
	nam = 'Коктейль Молотова';
};

adm = obj {
	nam = function()
		p (img('items/daypass.gif'));
	end;
	inv = 'Этот пропуск дает вам право входа во внутреннюю часть Города-Убежища.';
};
