VaultCity = room {
	nam = 'Внешний город';
	pic = 'gfx/44.jpg';
	enter = function()
		set_music('bgm/VaultCity.mp3');
	end;
	dsc = 'Вы во Внешнем Городе, здесь живут люди, которые не заслужили гражданство, но хотят жить под защитой стен города, являясь дешёвой рабочей силой и снабжая горожан продовольствием.';
	way = {vroom('Отправиться в Нью-Рено', 'Wrights'), 'VCBar', 'VCclinic', 'VCGate', 'VCReg'};
	exit = function(s,t)
		if t == Wrights then 
			narkoff();
			p 'Вы вышли из города, слегка заплутав вы все-таки наткнулись на пути и пройдя по ним пару миль наткнулись на дрезину Райтов. Путь обратно был спокойным.';
		end;
	end;
};

VCBar = room {
	nam = 'Бар';
	pic = 'gfx/56.png';
	enter = function()
		if lidia == 2 then p 'Около бара вы встретили сержанта Старка из "Коррекционного центра" с парой громил с битами в руках. Парой слов вы объяснили что делать, впрочем кажется Старк не нуждается в инструкциях.'; walk 'Stark'; end;
	end;
	dsc = 'Вы в местном баре. Публика здесь колоритная, в основном фермеры и чёрнорабочие. И те и другие не прочь подраться, к тому же вы не местный и выглядите умным, короче, держите уши на макушке. За стойкой бара крутого вида {xwalk(Kassidy)|лысый бармен} наливает что-то в стакан.';
	way = {vroom('Выйти наружу', 'VaultCity')};
	obj = {'drunk_farmer', 'Melinda'};
};

Kassidy = dlg {
	nam = 'Кэссиди';
	pic = 'gfx/57.png';
	enter = function()
		p'-- Эй, парень! Хочешь нажраться в хлам? Ты по адресу!';
		if Perk == 'Алкоголик' then pon 'alk'; end;
		if lidia == 1 then pon 'bar'; end;
		if lidia > 2 then p 'На дверь криво налеплена бумага "Бар закрыт".'; back(); end;
		if not path(Gecko, VaultCity) then pon 'gecko'; end;
		poff 'gecko2'; poff 'gecko3'; poff 'gecko4';
	end;
	phr = {
		{tag = 'gecko', false, 'Кассиди, а что тут вообще в округе творится?', '-- Да все как обычно. Налетчики налетают, городские понтуются, гули сливают отходы в водоносный слой. Ничего необычного.', [[pon 'gecko2';]]};
		{tag = 'gecko2', false, 'Что за налетчики?', '-- Да прибегают тут всякие из пустыни. Турели их шинкуют и они упокаиваются на некоторое время.'};
		{tag = 'gecko2', false, 'Городские?', '-- Ну из внутреннего города. Узнаешь сразу по синему костюму. Тут кстати одна цыпочка сидела.'};
		{tag = 'gecko2', false, 'Гули?', '-- Из Гекко, там у них ядерная станция.', [[pon 'gecko3';]]};
		{tag = 'gecko3', false, 'А как туда попасть?', '-- Хах, эта информация денег стоит.', [[pon 'gecko4';]]};
		{tag = 'gecko4', false, 'Дать 200 золота.', code[[
			if Gold >= 200 then
				Gold = Gold - 200;
				p 'Да выходишь из города и чапаешь на север. Ориентируйся по счетчику Гейгера. Атомную станцию издалека видно.';
				ways(VaultCity):add(Gecko);
			else p 'А золотишком сначала разживись, бродяга.';
		end;]]};
		{'Коктейль "Лежать!" - 30 золота.', '-- Внимание, внимание! Все слушайте! Этот псих хочет выпить коктейль «Лежать!», называемый также «Творящий вдов» и «Сожги мне кишки, я не против». - Услышав это, все в баре окружили вас ехидно посмеиваясь.^-- Я беру с него плату до того, как он выпьет этот напиток, поскольку вполне вероятно, что после он не сможет пошевелить даже пальцем! Итак, я беру с него 30 золотых, наливаю «Лежать!»^Бармен наливает вонючую жидкость в стакан, берёт ложку и начинает ею размешивать коктейль, к вашему ужасу ложка растворяется в стакане! Наверняка в стакане кислота! Господи, помоги вам, зачем вы заказали этот чёртов коктейль? Бармен радостно глядя на вас протягивает вам стакан.', [[Gold = Gold - 30; pon 'two';]]};
		{tag = 'two', false, 'Выпить залпом.', 'Вы залпом глотаете «Лежать!» и прислушиваетесь к своим ощущениям, крепко зажмурив глаза. Через некоторое время вы слышите вокруг отдельные смешки, постепенно перерастающие во всеобщий гогот. Вы удивлённо открываете глаза. Кассиди сквозь слёзы говорит:^-- У тебя есть яйца, парень! Я бы ни за что не выпил эту заразу, если бы не знал в чём дело! Мы тебя надули! Это обыкновенное пиво! Ложка была специальная, растворяется в чём угодно. Ну, ты дал! Давненько я так не смеялся! Внимание! Этот человек не побоялся выпить «Лежать!» и за это ему полагается награда! Выпивка нахаляву!^Награда? Да вы чуть не умерли со страха!', [[take 'beer'; take 'radgin'; Moral = Moral - 15; if Moral < 0 then Moral = 0; end;]]};
		{tag = 'bar', false, 'Кассиди, твой бизнес вредит бару во внутреннем городе, если ты не прекратишь торговать алкоголем, у него не будет клиентов! Внутренний бар обанкротится!', '-- А мне, что за дело? Я зарабатываю больше, чем Первый Гражданин! Пошли они все!'};
		{always = true, 'Взять пивка – 15 золота.', code[[
			if Gold > 15 and not have 'beer' then take 'beer'; Gold = Gold - 15; p '-- Держи, друг.';
			elseif Gold < 15 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Глотнуть нюка-колы – 7 золота.', code[[
			if Gold > 7 and not have 'nuke_cola' then take 'nuke_cola'; Gold = Gold - 7; p '-- Теплая и выдохшаяся, как мы все любим.';
			elseif Gold < 7 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Выпить радиоджина – 25 золотых.', code[[
			if Gold > 25 and not have 'radgin' then take 'radgin'; Gold = Gold - 25; p '-- Много не пей, друг.';
			elseif Gold < 25 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, ты и так светишься.'; end;]]};
		{tag = 'alk', false, 'Купить джина – 25 золотых.', code[[
			if Gold > 25 and not have 'gin' then take 'gin'; Gold = Gold - 25; p '-- Много не пей, друг.';
			elseif Gold < 25 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Куда тебе еще бутылку, у тебя же уже есть одна.'; end;]]};
		{always = true, 'Отойти от стойки.', nil, [[back();]]};
	};
};

Stark = dlg {
	nam = 'Бар';
	pic = 'gfx/56.png';
	enter = function()
	end;
	phr = {
		{tag = 'bar2', 'Вломиться в бар Кэссиди.', 'Кэссиди попытался вас остановить, но схлопотал от Старка и прилег в уголке, комментируя все что вы творили.', [[pon 'bar3';]]};
		{tag = 'bar3', false, 'Разгромить самогонный аппарат.', '-- Оставь хоть трубку охлаждения, где такую еще достать?', [[Exp = Exp + 50;]]};
		{tag = 'bar3', false, 'Разбить кружки.', '-- Эй, это еще довоенные!', [[Exp = Exp + 50;]]};
		{tag = 'bar3', false, 'Дать пинка какому-то алкашу.', '-- Оставь клиента в покое! Он тут лежит сколько я себя помню.', [[Exp = Exp + 50;]]};
		{tag = 'bar3', false, 'Выпить пиво.', '-- Не позволю пить мое пиво нахаляву! Лучше разбей!', [[Exp = Exp + 50; pon 'bar4';]]};
		{tag = 'bar4', false, 'Кажется, разгром бара завершен и можно валить отсюда.', '-- Кэссиди, это предупреждение. Никакого алкоголя в баре, ясно? -- грозно прознес сержант Старк и вы вышли из помещения.', [[lidia = 3; back();]]};
	};
};

farmer_dlg = dlg {
	nam = 'Пьяный фермер Джошуа';
	pic = 'gfx/00.png';
	enter = function()
		p '-- Ишь! Вырядилась! Синий костюм, думает всё можно. Думает, что если из города, может тут сидеть с важным видом. - Фермер смотрит в сторону незнакомки в синем костюме.';
	end;
	phr = {
		{'Это точно.', '-- Ишь, как стакан держит! Двумя пальчиками. Думает, если мы пиво пьём, она может вот так, двумя пальчиками.', [[pon 'one';]]};
		{tag = 'one', false, 'Да, вообще!', '-- Ишь, смотри, не нравится, что стакан грязный. Думает что нам значит такие стаканы годятся, а ей нет!', [[pon 'two';]]};
		{tag = 'two', false, 'Это точно!', '-- Надо этих городских воспитывать по нашему, правильно?', [[pon 'three';]]};
		{tag = 'three', false, 'Именно так, папаша.', '-- БЕЙ ГОРОДСКИХ! - Внезапно завопил он. Однако, едва он приблизился к девушке из Внутреннего Города, та хладнокровно съездила ему резиновой дубинкой в челюсть, и схватив за шиворот бросила за порог бара, где несчастного фермера сразу схватил патруль и уволок в неизвестном направлении.', [[remove('drunk_farmer', from()); Exp = Exp + rnd(20);]]};
		{always = true, 'Отойти.', nil, [[back();]]};
	};
};

melinda_dlg = dlg {
	nam = 'Офицер Мелинда';
	pic = 'gfx/00.png';
	enter = function()
		p 'Весьма симпатичная незнакомка для такого места.';
	end;
	phr = {
		{'Эй, крошка, ты как, работаешь?', '-- Ну, вообще-то у меня перерыв, хотя он уже закончился пять минут назад. Вам требуются мои услуги?', [[pon 'one';]]};
		{tag = 'one', false, 'О да, детка! Мне требуются твои услуги прямо сейчас!', '-- Ладно, пойдёмте ко мне в кабинет, там нам не помешают.^Вы идёте за девушкой в здание с вывеской «Регистрация и приветствие приезжающих». Хм, странные у них вывески в этом Городе-Убежище, может это для конспирации?^-- Меня зовут офицер Мелинда.', [[pon 'two'; poff 'ext';]]};
		{tag = 'two', false, 'Нет. Мне без садомазохизма, пожалуйста.', 'Глаза Мелинды округляются, потом она хмурится, но продолжает идти к офису. Наконец, вы проходите внутрь, Мелинда тем временем проходит за стойку.', [[pon 'three';]]};
		{tag = 'three', false, 'Начать раздеваться.', '-- Хорошо, вот вам.. Что вы делаете?! Оденьтесь немедленно!', [[pon 'four';]]};
		{tag = 'four', false, 'Да, ладно, крошка. Что с тобой? Не дёргайся!', '-- Чёртов извращенец! - И Мелинда отточенным движением бьет вас в челюсть дубинкой. Через некоторое время вы очухались за дверью. К счастью никто не успел вас обобрать до нитки.', [[remove('Melinda', from()); Exp = Exp + rnd(20); Life = Life - 5; if Life < 0 then Life = 1; end; walk(VaultCity);]]};
		{tag = 'ext', 'Отойти.', nil, [[back();]]};
	};
};

VCclinic = dlg {
	nam = 'Клиника';
	pic = 'gfx/00.png';
	enter = function()
		p'Вы видите неряшливого человека в грязной коричневой рубашке. Его руки покрыты ярко-красной сыпью, которую он все время почесывает.';
		if Life < MaxLife then pon 'med'; end;
		if Rad > 0 then pon 'rad'; end;
	end;
	phr = {
		{tag = 'med', false, 'Эй, док, можешь залатать меня?', '-- Могу, за 150 золота. Разумеется, никто не гарантирует, что старый Док в задней комнате в порядке..', [[pon 'med2';]]};
		{tag = 'med2', false, 'Согласен.', code[[if Gold > 150 then Gold = Gold - 150; Life = MaxLife; p '-- Готово.'; else p '-- Тогда иди за деньгами.'; end;]]};
		{always = true, 'Купить Стимпак – 250 золотых.', code[[
			if Gold > 250 and not have 'stimpack' then take 'stimpack'; Gold = Gold - 250; p '-- Полезно для здоровья.';
			elseif Gold < 250 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Уже есть стимпак в кармане.'; end;]]};
		{always = true, 'Купить Рад-Эвей – 700 золотых.', code[[
			if Gold > 700 and not have 'radaway' then take 'radaway'; Gold = Gold - 700; p '-- От радиации весьма способствует.';
			elseif Gold < 700 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- Уже есть Рад-Эвей в кармане.'; end;]]};
		{always = true, 'Покинуть клинику.', nil, [[back();]]};
	};
};

VCGate = dlg {
	nam = 'Ворота';
	pic = 'gfx/45.png';
	enter = function()
		p'Вы видите закрытые автоматические ворота и пару охранников перед ними.';
		if have 'adm' then
			if have 'beer' or have 'gin' or have 'radgin' or have 'vodka' then pon 'alk';
			else pon 'adm'; end;
		elseif sitizen == 1 then pon 'sit'; end;
	end;
	phr = {
		{tag = 'adm', false, 'Предьявить пропуск.', '-- Проходите, гость. Не забудьте, ворота в полночь закрываются.', [[walk(InnerCity);]]};
		{tag = 'alk', false, 'Предьявить пропуск.', '-- С выпивкой нельзя. Давай избавляйся от этого мусора, быстро.'};
		{tag = 'sit', false, 'Откройте ворота.', '-- Добро пожаловать, гражданин.', [[walk(InnerCity);]]};
		{'Откройте ворота.', '-- Ха, покажи сначала пропуск.', [[pon 'two';]]};
		{tag = 'two', false, 'А где его взять?', '-- Обратись в бюро регистраций, вот это здание справа.'};
		{always = true, 'Отойти от ворот.', nil, [[back();]]};
	};
};

VCReg = dlg {
	nam = 'Таможня';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы вошли в здание Таможни.';
		if not have 'adm' then p 'У входа вас сразу перехватывает молодой тощий человек. Глаза у него так и бегают.^-- Вы хотите попасть в город? Ну, вы можете зайти к моему боссу, Уоллесу, и ПОПРОБОВАТЬ получить разрешение на проход внутрь, но это пустая трата времени. Он никогда никого не впускает. Конечно, есть и другие пути...'; pon 'adm';
		end;
	end;
	phr = {
		{tag = 'adm', false, 'Какие пути?', '-- За двести золотых я могу достать вам дневной пропуск. Вы сможете свободно и беспрепятственно проходить через ворота. Я могу распечатать пропуск, зарегистрировать серийный номер, и вы уйдете отсюда через пять минут.', [[pon 'adm2';]]};
		{tag = 'adm2', false, 'Согласен.', '-- Ну вот, печать закончена. Прошу вас.. И никому об этом не рассказывайте, ясно?', [[if Gold >= 200 then take 'adm'; Gold = Gold - 200; else p 'Эй, а золото? Иди за бабками и потом возвращайся.'; end; poff 'adm2';]]};
		{tag = 'adm2', false, code[[p('А что так дорого? Давай за 150? (Разговор - ', Speech*10, '%).');]], code[[
			if Speech >= rnd(10) and Moral > 0 then
				p '-- Хммм. Что ж, ладно... Я сегодня добрый. Только не говорите своим друзьям-чужеземцам, что получили пропуск так дешево.';
				if Gold > 200 then take 'adm'; Gold = Gold - 200; poff 'adm2'; else p 'Эй, а золото? Иди за бабками и потом возвращайся.'; end;
			elseif Moral > 0 then Moral = Moral - 1; p '-- Хмм, я думаю нет.'; pon 'adm2'; end;]]};
		{tag = 'adm2', false, 'Думаю, я сперва испробую официальные каналы.', '-- Ха! Удачи. Единственный способ получить дневной пропуск у старика Уоллеса - через его труп.^^Вы прошли в следующую комнату и увидели худого человека с измученным лицом. Он носит отлично выглаженную форму Убежища.^-- Приветствую. Добро пожаловать в Город Убежища. Я могу чем-нибудь вам помочь?', [[pjump 'walles';]]};
		{always = true, 'Выйти наружу.', nil, [[poff 'adm2'; back();]]};
		{};
		{tag = 'walles', always = true, code[[p('У меня срочное дело к вашему смотрителю. Я из убежища к северу отсюда. (Разговор - ', (Speech - 3)*10, '%).');]], code[[
			if (Speech - 3) >= rnd(10) and Moral > 0 then
				p '-- Вот, возьмите этот дневной пропуск и поговорите с нашей Первой Гражданкой - не сомневаюсь, что у нее к вам будет много вопросов.';
				take 'adm';
				pjump 'adm';
				poff 'adm2';
			elseif Moral > 0 then Moral = Moral - 1; p '-- Не похоже на правду.';end;]]};
		{always = true, 'Вернуться к Скиву.', '-- Быстро ты вернулся, убедился что мой начальник непробиваем? Так тебе еще нужен пропуск? Всего 200 золота.', [[pjump 'adm2';]]};
	};
};

InnerCity = room {
	nam = 'Внутренний город';
	pic = 'gfx/46.png';
	dsc = 'Массивные стены и турели окружают это место с газонами и цветущими деревьями. Кажется тут действительно безопасно.';
	way = {'VCresidence', vroom('Бар', 'Lidia'), 'GateV8', vroom('Служба обустройства', 'Randal'), vroom('Ремонтный центр', 'Valerie'), 'VaultCity'};
	obj = {'Moore'};
};

VCresidence = room {
	nam = 'Резиденция Совета';
	pic = 'gfx/46.png';
	dsc = 'Вы вошли в резиденцию Совета, пройдя по коридору вы нашли три кабинета с табличками.';
	way = {'Mclure', 'Lynette', 'Gregory', vroom('Выйти наружу', 'InnerCity')};
};

Mclure = dlg {
	nam = 'МакКлюр';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы видите старейшего чиновника Города Убежища. Его волосы уже начали седеть.^-- Что вам нужно?';
		if sitizen == 0 then pon 'sit'; end;
		if lidia == 1 then pon 'bar'; end;
	end;
	phr = {
		{tag = 'sit', false, 'Я хочу стать гражданином.', '-- Вы должны быть весьма умны и образованны, чтобы претендовать на это. Вторая дверь направо по коридору. Заполните тест.', [[pon 'sit2';]]};
		{tag = 'sit2', false, 'Что за тест?', '-- Сходите туда и всё узнаете, а теперь извините, мне нужно работать. Маклюр. Цени настоящее. Ну-ка, ты похож на среднестатистического горожанина скажи мне, за кого бы ты проголосовал, за меня или за этого мерзкого Куилли?', [[pon 'sit3';]]};
		{tag = 'sit3', false, 'Я не знаю кто такой Куилли.', '-- Эх, надо еще поработать над речью.'};
		{tag = 'bar', false, 'Рассказать про ситуацию с баром Лидии.', '-- Алкоголь – яд! Я не пью яд и горжусь этим! Это я ввёл сухой закон и уверен, что поступил правильно. Скоро люди это поймут и перестанут ходить к Кассиди. Вот так! Выборы, все на выборы! Послушай: Огненный смерч снёс цивилизации, радиация уничтожила все живое, однако лучшие сумели выжить, лучшие подняли из пепла города, будущее в надежных руках. Маклюр. Выбери лучшее будущее.'};
		{always = true, 'Выйти в коридор.', nil, [[back();]]};
	};
};

Lynette = dlg {
	nam = 'Линетт';
	pic = 'gfx/47.png';
	enter = function()
		p 'Вы видите строгую женщину в очках с толстыми стеклами и в форменном комбинезоне Города Убежища. Судя по ее поведению, она важная особа.';
		if sitizen == 0 then pon 'sit'; end;
		if lidia == 1 then pon 'bar'; end;
	end;
	phr = {
		{tag = 'sit', false, 'Я хочу стать гражданином.', '-- Вы можете поговорить с проконсулом Грегори. Это он проводит экзамены на гражданство. Вы найдете его в конференц-зале, дальше по коридору.'};
		{'Можно еще спросить?', '-- Нет! Проваливайте, у меня и так куча проблем с этой чертовой атомной станцией.'};
		{tag = 'bar', false, 'Рассказать про ситуацию с баром Лидии.', '-- Нет, алкоголя не будет в нашем городе. Это даже не обсуждается.^Линетт склонилась к терминалу.^-- Сержант Старк, прошу вас подойти с парой человек к бару Кэссиди во внешнем городе, там вас встретит ответственный гражданин и объяснит что делать.', [[lidia = 2;]]};
		{always = true, 'Выйти в коридор.', nil, [[back();]]};
	};
};

Gregory = dlg {
	nam = 'Грегори';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы видите угрюмого мужчину чиновного вида с узким лицом и густыми бровями.^-- Я проконсул Грегори. Вы точно уверены, что не ошиблись дверью?';
		if sitizen == 0 then pon 'sit'; end;
	end;
	phr = {
		{'"Проконсул?" Это еще что за птица?', '-- Я ПОМОЩНИК Первой гражданки. Я составляю для нее расписание встреч, провожу экзамены для претендентов на гражданство и обновляю все списки на сервере Города Убежища. Работа не маленькая, уверяю вас.'};
		{tag = 'sit', false, 'Я хочу пройти экзамен на гражданство.', '-- Это обширный экзамен, поделенный на несколько частей... высшая математика, космология и астрономия, дедуктивное мышление, сравнительное языкознание... ах, да, и еще всесторонний медицинский осмотр.', [[pon 'sit2';]]};
		{tag = 'sit2', false, 'Просто устройте мне этот проклятый экзамен. (Наука и Следопыт)', code[[if Science < 5 and Outdoorsman < 5 then p 'Что ж, ответы, которые вы ДАЛИ, все верны... вот только время сдачи экзамена... и вопиющие грамматические ошибки, и... Если можно так выразиться, вы не очень удачно прошли тест. Возможно, в следующий раз вам больше повезет.'; else p 'Так, давайте-ка посмотрим... для начала вот это... о, очень хорошо, вижу, с этим вы справились, а как насчет этого... да, вы перенесли двойку, очень умно, очень... но почему... о, вы применили производную в №5... блестяще! Теперь вы гражданин.'; sitizen = 1; Exp = Exp + rnd(500); end;]]};
		{always = true, 'Выйти в коридор.', nil, [[back();]]};
	};
};

Lidia = dlg {
	nam = 'Лидия';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы заходите в безлюдный бар и видите темноволосую женщину-бармена в коричневой одежде.';
		if lidia == 3 then pon 'bar'; end;
	end;
	phr = {
		{'Что у вас есть выпить?', '-- У нас есть синтетическое пиво и крепкие напитки... водка-Аш, производные текилы Дабл Ю и Дабл Ю 2. О, и вода. И браминье молоко. Пиво и крепкие напитки по десять баксов, вода или молоко по три бакса. На вынос не даем.', [[pon 'two'; if lidia == 0 then if Perk == 'Алкоголик' then pon 'alk'; else pon 'alk2'; end; end;]]};
		{tag = 'alk', false, 'А настоящий алкоголь у вас есть?', '-- Есть в чертовом баре Кэссиди во внешнем городе! Туда ушли все мои клиенты. Ха! - Внезапное озарение осветило лицо женщины. - Я вижу ты достаточно беспринципен, чтобы купить пропуск в город у этого кровопийцы Скива. Сделай так чтобы бар Кэссиди прикрыли и я дам пятьсот баксов.', [[lidia = 1; pon 'ok';]]};
		{tag = 'alk2', false, code[[p('А настоящий алкоголь у вас есть? (Разговор - ', Speech*10, '%).');]], code[[
			if Speech >= rnd(10) and Moral > 0 then
				p '-- Есть в чертовом баре Кэссиди во внешнем городе! Туда ушли все мои клиенты. Ха! -- Внезапное озарение осветило лицо женщины. -- Я вижу ты достаточно беспринципен, чтобы купить пропуск в город у этого кровопийцы Скива. Сделай так чтобы бар Кэссиди прикрыли и я дам пятьсот баксов.'; lidia = 1; pon 'ok';
			elseif Moral > 0 then Moral = Moral - 1; p '-- Нет, это варево из пустошей, которое они называют алкоголем, в Городе Убежища запрещено. Я даже не хочу знать, как они его делают. Хотите что-нибудь выпить?'; pon 'alk2'; end;]]};
		{tag = 'ok', false, code[[p('Дело стоит тысячи, не меньше. (Разговор - ', Speech*10, '%).');]], code[[
			if Speech >= rnd(10) and Moral > 0 then
				p '-- Хорошо, семьсот, моя последняя цена.';
				lidia = 1;
				Exp = Exp + 100;
			elseif Moral > 0 then Moral = Moral - 1; p '-- Больше не дам. Соглашайся, это хорошая сумма для бродяги из пустошей.'; pon 'ok'; end;]]};
		{tag = 'ok', false, 'Ок, я сделаю это и вернусь за наградой.', 'Буду ждать.'};
		{tag = 'bar', false, 'Кэссиди теперь не конкурент. Его бар прикрыли.', '-- О, теперь народ повалит ко мне. Я так рада! На что мы договаривались?', [[pon 'bar2';]]};
		{tag = 'bar2', false, 'На тысячу баксов.', '-- Ах, хитрец. Держи свои 700 и вот еще настоящего пива в нагрузку. Только никому не рассказывай.', [[Gold = Gold + 700; take 'beer'; Exp = Exp + 100; lidia = 4;]]};
		{'Где находится Убежище?', '-- Это большая дыра в горе к востоку отсюда. Не пропустите. Но внутрь могут заходить только граждане.'};
		{tag = 'two', false, 'Я выпью глоточек синтетического пива – 10 золота.', code[[
			if Gold > 10 then Gold = Gold - 10; p 'Вы выпили отвратительной на вкус жидкости, только цветом похожей на пиво.';
			else p '-- Сначала сходи за деньгами, бесплатно не наливаю.'; end; pon 'two';]]};
		{tag = 'two', false, 'Рюмочка синтетической водочки мне не помешает – 10 золота.', code[[
			if Gold > 10 then Gold = Gold - 10; p 'Вы выпили горькой прозрачной водки, только похоже что градусов в ней нет совсем, то есть нихрена. Какая-то химия.';
				Rad = Rad - 1;
				if Rad < 0 then Rad = 0; end;
			else p '-- Сначала сходи за деньгами, бесплатно не наливаю.'; end; pon 'two';]]};
		{tag = 'two', false, 'Мне бы водички попить – 3 золота.', code[[
			if Gold > 3 then Gold = Gold - 3; p 'Вы выпили обычной воды.';
			else p '-- Сначала сходи за деньгами, бесплатно не наливаю.'; end; pon 'two';]]};
		{tag = 'two', false, 'Браминьего молока – 3 золота.', '-- Браминьего молока сейчас нет... временно.'};
		{always = true, 'Выйти из бара.', nil, [[back();]]};
	};
};

Moore_dlg = dlg {
	nam = 'Томас Мур';
	pic = 'gfx/00.png';
	enter = function()
		p '-- Привет и добро пожаловать! Вы сегодня уже слышали Слово?';
	end;
	phr = {
		{'А, ну... нет.', '-- Слово, дружище... слово это ЭГОИЗМ. Прибавьте море высокомерия, и что получится? Город Убежища... во всей его самодовольной красе работорговца.', [[pon 'two';]]};
		{tag = 'two', false, 'Аминь, брат!', '-- Настало ВРЕМЯ услышать стенания наших собратьев за этими стенами и впустить их внутрь! У нас более чем достаточно всего, чтобы накормить и обогреть наших братьев... мы не должны быть столь богаты, когда столь многие бедны.', [[pon 'three';]]};
		{tag = 'three', false, 'Я слышу вас!', '-- Глядя на вас сегодня, я вижу СИЛУ. Я вижу ВЕРУ. Лгут ли мне мои глаза? Или передо мной родственная душа, разделяющая мои убеждения?', [[pon 'four';]]};
		{tag = 'four', false, 'Чертовски верно!', 'Но тут вы не смогли сдержать смех и проповедник сердито взглянул на вас и заткнулся.', [[Exp = Exp + rnd(20);]]};
		{always = true, 'Э, нет, и не хочу слышать. До свидания.', nil, [[back();]]};
	};
};

GateV8 = dlg {
	nam = 'Убежище 8';
	pic = 'gfx/48.png';
	enter = function()
		p'Вы видите вход в убежище и пару охранников перед ним.^-- Проход только для граждан. Проваливай отсюда.';
		if sitizen == 1 then pon 'sit';
		else pon 'adm'; end;
	end;
	phr = {
		{tag = 'adm', false, 'Как стать гражданином?', '-- В Резиденции Совета найдите проконсула Грегори, возможно он вам поможет.'};
		{tag = 'sit', false, 'Я гражданин.', '-- Добро пожаловать, гражданин.', [[walk(V8);]]};
		{tag = 'sneak', code[[p('Отвлечь внимание охраны и прокрасться в убежище. (Скрытность - ', Sneak*10, '%)');]], code[[if Sneak >= rnd(10) then p 'Вы отошли за угол соседнего здания и найдя небольшой камушек, кинули его в другую сторону. Охранники дружно повернулись на звук и вы тихо прошли мимо их спин.'; walk(V8); Exp = Exp + 50; else p 'Вы попробовали отвлечь внимание охраны.^-- Эй смотрите, что это там?^Но охранники только внимательно на вас посмотрели и не сдвинулись с места.'; moral = moral - 1; pon 'sneak'; end;]]};
		{always = true, 'Отойти от ворот.', nil, [[back();]]};
	};
};

V8 = room {
	nam = 'Убежище 8';
	pic = 'gfx/00.png';
	dsc = 'Вы внутри убежища 8. Пройдя по коридору, вы оказались в небольшой комнате.';
	way = {vroom('Выйти из убежища', 'InnerCity')};
	obj = {'V8Lift', 'Voices'};
};

Troy = dlg {
	nam = 'Доктор Трой';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы видите человека средних лет в белом лабораторном халате. Он поглощен своими мыслями.';
		if shreber == 1 then pon 'dc'; end;
	end;
	phr = {
		{'Я ищу главный компьютер. Вы можете сказать мне, где он?', '-- Главный компьютер? Он внизу, на третьем уровне. Спуститесь вниз на лифте, идите прямо, пока не доберетесь до Т-образной развилки, и первый поворот налево. Потом сверните направо в центр управления. Ах, да. Там что-то случилось с лифтом.'};
		{'Чем вы тут занимаетесь?', '-- Я главный врач Города Убежища. Я забочусь обо всех гражданах Города Убежища и делаю все, что от меня зависит, чтобы все были здоровы. Погодите минутку... По-моему, я вас здесь раньше не видел. Вы гражданин?', [[pon 'three';]]};
		{tag = 'three', false, 'Да. Мне только недавно дали гражданство.', '-- Я доктор Трой, рад познакомиться, если что-то понадобится, вы всегда можете найти меня здесь.', [[if Life < MaxLife then pon 'med'; end; if Rad > 0 then pon 'med2'; end;]]};
		{tag = 'med', false, 'Можете меня подлечить?', '-- Конечно, залезайте в этот автодок. Готово!', [[Life = MaxLife;]]};
		{tag = 'med2', false, 'Я получил дозу радиации.', '-- Хорошо. Для начала я проверю ваши основные показатели.. располагайтесь, я подключу вас к Автодоку.. Готово!', [[Rad = 0;]]};
		{tag = 'dc', false, 'Доктор, есть одна проблема. Мой знакомый медик занимается исследованиями физиологии смертекогтей и они во время исследований весьма громко шумят.', '-- Тут нужен особенный подход, допустим, мы ломаем Когтю ногу, тот естественно, кричит. Тогда, мы бьём его электрическим шоком, потом немного шевелим сломанную ногу, Коготь несколько раз поорёт, потом ему это надоест, и он орать перестанет. Тут-то мы ему даём сахару. Повторяем до полного обучения, это называется условный рефлекс! Доктор Pavlov занимался такими опытами на собаках.', [[shreber = 2; Exp = Exp + 100;]]};
		{always = true, 'Просто иду мимо, спасибо.', nil, [[back();]]};
	};
};

Fillis = dlg {
	nam = 'Филлис';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы видите стройную молодую женщину. От нее исходит слабый запах антисептика.';
	end;
	phr = {
		{always = true, 'Эй, детка. Привет!', 'Хм, если вы ранены, то обратитесь к доктору Трою. Иначе не мешайте работать.', [[back();]]};
	};
};

V8Lift_dlg = dlg {
	nam = 'Лифт';
	pic = 'gfx/00.png';
	enter = function()
		p'Вы потыкали в кнопки, но не добились никакой реакции. Кажется что-то неисправно.';
	end;
	phr = {
		{tag = 'rep', code[[p('Попробовать починить. (Ремонт - ', Repair*10, '%)');]], code[[if Repair >= rnd(10) then p 'Отлично, вот оно, окислившийся контакт. Вы зачищаете ножом провод и втыкаете его на место. Лифт теперь исправен.';
				Exp = Exp + 50;
				objs(from()):del(V8Lift);
				ways(from()):add(V8Comp);
				back();
			elseif Life > 1 and Moral > 0 then p 'Вы сняли панель и начали копаться в проводах. Черт, как больно. Вас ударило током.'; Moral = Moral - 1; Life = Life - 1; pon 'rep';
			else p 'Надо восстановить силы перед тем как продолжить ремонт.'; pon 'rep'; end;]]};
		{always = true, 'Отойти от лифта.', nil, [[back();]]};
	};
};

V8Comp = dlg {
	nam = 'Главный компьютер';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы спустились на лифте на нижний этаж и беспрепятственно прошли к главному компьютеру Убежища.';
		if have 'holodisc' then pon 'holodisc'; end;
	end;
	phr = {
		{tag = 'holodisc', false, code[[p('Скачать данные на голодиск. (Наука - ', Science*10, '%)');]], code[[if Science >= rnd(10) then p 'Отлично, данные заливаются. Это оказалось проще, чем казалось.';
				Exp = Exp + 50;
				kerling = 5;
			elseif Moral > 0 then p 'Вы вставили голодиск в слот и погрузились в дебри меню. Устаревший на полвека интерфейс компьютера стал серьезным препятствием. Ничего не получается.'; Moral = Moral - 1; pon 'holodisc';
			else p 'Надо восстановить силы перед тем как продолжить.'; pon 'holodisc'; end;]]};
		{always = true, 'Вернуться на первый этаж.', nil, [[back();]]};
	};
};

Randal = dlg {
	nam = 'Рэндал';
	pic = 'gfx/00.png';
	enter = function()
		p'Вы видите человека средних лет с редеющими черными волосами.';
		if sitizen == 0 then p '^-- Ну, жаль вас расстраивать, но мне разрешено вести дела только с гражданами. Ничего личного, просто таковы правила, понимаете? Прошу вас выйти за дверь, гость.'; pon 'sit';
		else pon 'barter'; end;
	end;
	phr = {
		{tag = 'sit', false, 'Как можно стать гражданином?', 'Вы можете пройти гражданский тест. Проконсул Грегори проводит его для всех жителей внешнего мира, которые хотят стать гражданами.'};
		{tag = 'barter', false, 'Охотничье ружье – 500 золотых.', code[[
			if Gold >= 500 and tonumber(weapon) < 10 then weapon = '10'; damage = 20; Gold = Gold - 500; p '-- Держите, гражданин.';
			elseif Gold < 500 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{tag = 'barter', false, 'Снайперская винтовка – 750 золотых.', code[[
			if Gold >= 750 and tonumber(weapon) < 16 then weapon = '16'; damage = 34; Gold = Gold - 750; p '-- Держите, гражданин.';
			elseif Gold < 750 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{tag = 'barter', false, 'Гранатомет – 2000 золотых.', code[[
			if Gold >= 2000 and tonumber(weapon) < 22 then weapon = '22'; damage = 100; Gold = Gold - 2000; p '-- Держите, гражданин.';
			elseif Gold < 2000 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{tag = 'barter', false, 'Граната – 200 золотых.', code[[
			if Gold >= 200 and not have 'grenade' then take 'grenade'; Gold = Gold - 200; p '-- Держите, гражданин.';
			elseif Gold < 200 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня ствол покруче, зачем мне этот хлам?'; end;]]};
		{tag = 'barter', false, 'Кожаная броня – 750 золотых.', code[[
			if Gold >= 750 and armor < 3 then armor = 3; armor_count = 0.75; Gold = Gold - 750; p '-- Держите, гражданин.';
			elseif Gold < 750 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть броня покруче.'; end;]]};
		{tag = 'barter', false, 'Стальная броня – 900 золотых.', code[[
			if Gold >= 900 and armor < 4 then armor = 4; armor_count = 0.65; Gold = Gold - 900; p '-- Держите, гражданин.';
			elseif Gold < 900 then p '-- Маловато у тебя монет. Нужно больше.';
			else p '-- У меня уже есть броня покруче.'; end;]]};
		{always = true, 'Выйти на улицу.', nil, [[back();]]};
	};
};

Valerie = dlg {
	nam = 'Валери';
	pic = 'gfx/00.png';
	enter = function()
		p 'Вы видите темноволосую женщину в коричневой робе и металлической броне. Похоже, она механик.';
	end;
	phr = {
		{'Привет, крошка, есть что на продажу?', '-- Слушайте, у меня нет ничего на "продажу". Это не магазин. Большая часть вещей, которые я ремонтирую, в результате попадает в Службу Обустройства... выходите от меня и сразу налево.', [[pon 'steal';]]};
		{tag = 'steal', false, code[[p('Стащить что-нибудь назло этой хамке. (Воровство - ', Steal*10, '%)');]], code[[if Steal >= rnd(10) then p 'Отлично, удалось незаметно увести гаечный ключ. Правда зачем он мне нужен?^Вы выкидываете гаечный ключ в кучу мусора позади одного из зданий.';
				Exp = Exp + 50;
				back();
			elseif Moral > 0 then p '-- Продолжай в том же духе, и тебе понадобится гаечный ключ, чтобы вытащить мой ботинок из твоей задницы.'; Moral = Moral - 1; end;]]};
		{always = true, 'Выйти.', nil, [[back();]]};
	};
};
